package com.unis.ynls.irpt.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.ynls.irpt.common.VO.Report.DivideCountAllVO;
import com.unis.ynls.irpt.common.VO.Report.DivideCountVO;
import com.unis.ynls.irpt.common.VO.Report.DividedAllVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = "irpt-server-hp")
@Component
public interface DividedByYearFeign {
    @ApiOperation(value = "非条件报表分项分页接口")
    @PostMapping(value = "/divided/findFeiStatistics")
    public ResponseWrapper getFeiDetails(@RequestParam("hzqs") String hzqs);

    @ApiOperation(value = "调节报表分项分页接口")
    @PostMapping(value = "/divided/findStatistics")
    public ResponseWrapper getDetails(@RequestParam("hzqs") String hzqs);

    @ApiOperation(value = "总合计接口")
    @PostMapping(value = "/divided/findAll")
    public ResponseWrapper getAll(@RequestParam("hzqs") String hzqs);

    @ApiOperation(value = "查看带小品类详情接口")
    @PostMapping(value = "/divided/seeAll")
    public ResponseWrapper seeAll(@RequestParam("hzqs") String hzqs);

    @ApiOperation(value = "查看合计详情接口")
    @PostMapping(value = "/divided/seeCAll")
    public ResponseWrapper seeCAll(@RequestParam("hzqs") String hzqs);

    @ApiOperation(value = "非调节报表汇总分页接口")
    @PostMapping(value = "/divided/findAllStatistics")
    public ResponseWrapper getAllDetails(@RequestParam("hzqs") String hzqs);

    @ApiOperation(value = "调节报表汇总分页接口")
    @PostMapping(value = "/divided/findTiaoAllStatistics")
    public ResponseWrapper getTiaoAllDetails(@RequestParam("hzqs") String hzqs);
}
