package com.unis.ynls.irpt.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.ynls.irpt.common.VO.Report.DividedVO;
import com.unis.ynls.irpt.common.VO.reservereport.DivideSelectVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = "irpt-server-hp")
@Component
public interface DividedFeign {

    @ApiOperation(value = "查询生产年份划分库存报表")
    @PostMapping(value = "/summary/feiDivideDetails")
    public ResponseWrapper getFeiDivideDetails(@RequestBody DivideSelectVO divideSelectVO);

    @ApiOperation(value = "生成按生产年份划分库存报表")
    @PostMapping(value = "/summary/createDetails")
    public ResponseWrapper createDetails(@RequestParam("hzqs") String hzqs);

    @ApiOperation(value = "保存按生产年份划分库存报表")
    @PostMapping(value = "/summary/setDetails")
    public ResponseWrapper setDetails(@RequestBody DividedVO dividedVO);

    @ApiOperation(value = "删除按生产年份划分库存报表")
    @PostMapping(value = "/summary/delDivideDetails")
    public ResponseWrapper delFeiDivideDetails(@RequestParam("hzqs") String hzqs);


}
