package com.unis.ynls.irpt.client;
import com.unis.common.utils.ResponseWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

@FeignClient(name = "irpt-server")
@Component
@Api(value = "粮食应急供应网点报表和粮食应急加工企业报表", tags = "粮食应急供应网点报表")
public interface EmergencyBranchReportFeign {
    @ApiOperation(value = "粮食应急供应网点报表-excel上传接口")
    @PostMapping(value = "/emergency/uploadBranch")
    public ResponseWrapper setBranchDetail(MultipartFile file);

    @ApiOperation(value = "粮食应急加工企业报表-excel上传接口")
    @PostMapping(value = "/emergency/uploadEmergency")
    public ResponseWrapper setEmergencyDetail(MultipartFile file);

    @ApiOperation(value = "粮食应急供应网点报表-分页接口")
    @PostMapping(value = "/emergency/getBranch")
    public ResponseWrapper findDetail(@RequestParam("pageNum") Integer pageNum,
                                      @RequestParam("pageSize") Integer pageSize,
                                      @RequestParam(value = "location",required = false) String location
    ) ;

    @ApiOperation(value = "粮食应急加工企业报表-分页接口")
    @PostMapping(value = "/emergency/getEmergency")
    public ResponseWrapper findEmergencyDetail(@RequestParam("pageNum") Integer pageNum,
                                               @RequestParam("pageSize") Integer pageSize,
                                               @RequestParam(value = "location",required = false) String location
    );
}
