/**  
 * @Title:EnforcementTeamFeign.java
 * @Package: com.unis.ynls.irpt.client
 * @Description: TODO功能描述:(用一句话描述该文件做什么)
 * @Author ZHANGQI
 * @date 2019年10月19日 下午4:13:15
 * @version V1.0  
*/
package com.unis.ynls.irpt.client;


import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;

import com.unis.common.utils.ResponseWrapper;
import com.unis.ynls.irpt.common.VO.EnforcementTeamQueryVO;
import com.unis.ynls.irpt.common.VO.EnforcementTeamVO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * @ClassName: EnforcementTeamFeign
 * @Description: TODO功能描述:
 * @author lqg
 * @date 2019年10月19日 下午4:13:15
 * @remark 备注:
*/
@FeignClient(name = "irpt-server")
@Component
@Api(value = "成立执法队情况统计表", tags = "成立执法队情况统计表")
public interface EnforcementTeamFeign {

	/**
	 * @Title: enforcementTeamPageList
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param enforcementTeamQueryVO
	 * @param @param pageNum
	 * @param @param pageSize
	 * @param @return    设定文件
	 * @return ResponseWrapper    返回类型
	 * @throws
	*/
    @ApiOperation(value = "条件分页查询【成立执法队情况统计表】")
    @PostMapping(value = "/enforcementTeamPageList/{pageNum}/{pageSize}")
	public ResponseWrapper enforcementTeamPageList(@RequestBody EnforcementTeamQueryVO enforcementTeamQueryVO,    @PathVariable(value = "pageNum") Integer pageNum,
            @PathVariable(value = "pageSize") Integer pageSize);
    
    /**
     * 
     * @Title: enforcementTeamInto
     * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
     * @param @param enforcementTeamVO
     * @param @return    设定文件
     * @return ResponseWrapper    返回类型
     * @throws
     */
    @ApiOperation(value = "报表信息录入【成立执法队情况统计表】")
    @PutMapping(value = "/enforcementTeamInto")
    public ResponseWrapper enforcementTeamInto(@RequestBody EnforcementTeamVO enforcementTeamVO);

	/**
	 * @Title: enforcementTeamDelete
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param enforcementTeamVO
	 * @param @return    设定文件
	 * @return ResponseWrapper    返回类型
	 * @throws
	*/
    @ApiOperation(value = "报表信息删除【成立执法队情况统计表】")
    @DeleteMapping(value = "/enforcementTeamDelete")
	public ResponseWrapper enforcementTeamDelete(@RequestBody EnforcementTeamVO enforcementTeamVO);
    
    
	/**
	 * 
	 * @Title: maxCodeById
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param jhId
	 * @param @return    设定文件
	 * @return ResponseWrapper    返回类型
	 * @throws
	 */
	@ApiOperation(value = "获取任务ID主键策略方法 ",notes = "参数：jhId-编号")
	@GetMapping(value = "/enmaxCodeById/{jhId}")
	public ResponseWrapper maxCodeById(@PathVariable("jhId")String jhId);
}
