package com.unis.ynls.irpt.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.ynls.irpt.common.VO.reservereport.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

@FeignClient(name = "irpt-server")
@Component
@Api(value = "财务报表-承储企业报表顺序设置", tags = "财务报表-承储企业报表顺序设置")
public interface EnterpriseFeign {

    @ApiOperation(value = "财务报表-承储企业报表顺序设置-添加接口")
    @PostMapping(value = "/enterprise/save")
    public ResponseWrapper saveEnterprise(@RequestBody EnterpriseVO enterpriseVO);

    @ApiOperation(value = "财务报表-承储企业报表顺序设置-修改接口")
    @PutMapping(value = "/enterprise/update")
    public ResponseWrapper updateEnterprise(@RequestBody EnterpriseVO enterpriseVO);

    @ApiOperation(value = "财务报表-承储企业报表顺序设置-列表查询接口")
    @PostMapping(value = "/enterprise/list")
    public ResponseWrapper getEnterpriseList(@RequestBody EnterpriseQueryVO queryVO);

    @ApiOperation(value = "财务报表-承储企业报表顺序设置-分页查询接口")
    @PostMapping(value = "/enterprise/page/{pageNum}/{pageSize}")
    public ResponseWrapper getEnterprisePage(@PathVariable("pageNum")Integer pageNum,
                                             @PathVariable("pageSize")Integer pageSize,
                                             @RequestBody EnterpriseQueryVO queryVO);

    @ApiOperation(value = "财务报表-承储企业报表顺序设置-删除接口",notes = "参数：ccqybm承储企业编码")
    @DeleteMapping(value = "/enterprise/delete/{ccqybm}")
    public ResponseWrapper deleteEnterprise(@PathVariable("ccqybm") String ccqybm);

    @ApiOperation(value = "财务报表-承储企业报表顺序设置-排序")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "enterpriseCode", value = "企业编码", dataType = "String"),
            @ApiImplicitParam(name = "startIndex", value = "起始位置", dataType = "Integer"),
            @ApiImplicitParam(name = "endIndex", value = "目标位置", dataType = "Integer")
    })
    @PostMapping(value = "/enterprise/sort/{enterpriseCode}/{startIndex}/{endIndex}")
    public ResponseWrapper sortEnterprise(@PathVariable("enterpriseCode") String enterpriseCode, @PathVariable("startIndex") Integer startIndex,@PathVariable("endIndex") Integer endIndex);
}
