package com.unis.ynls.irpt.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.ynls.irpt.common.VO.FinanceReportQueryVO;
import com.unis.ynls.irpt.common.VO.FinanceReportVO;
import com.unis.ynls.irpt.common.VO.rotationreport.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.lang3.StringUtils;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@FeignClient(name = "irpt-server")
@Component
@Api(value = "粮库财务系统-财务报表", tags = "粮库财务系统-财务报表")
public interface FinanceReportFeign {

    @ApiOperation(value = "粮库财务系统-财务报表-保存接口", notes = "notes = 参数：type,FinanceReportVO")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "type", value = "类型 asset:资产负债 cash:现金流量 profit:利润", required = true, dataType = "String")
    })
    @PostMapping(value = "/finance-report/{type}/save")
    public ResponseWrapper saveFinanceReport(@PathVariable("type")String type, @RequestBody FinanceReportVO vo);

    //粮库财务系统-财务报表-修改||提交接口
    @ApiOperation(value = "粮库财务系统-财务报表-修改||提交接口")
    @PostMapping(value = "/finance-report/update")
    public ResponseWrapper updateFinanceReport(@RequestBody FinanceReportVO vo);

    //粮库财务系统-财务报表-列表分页查询接口
    @ApiOperation(value = "现釶概册促销-列表分顶查询接口")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "type", value = "类型 asset:资产负债 cash:现金流量 profit:利润", required = true, dataType = "String")
    })
    @PostMapping(value = "/finance-report/{type}/page/{pageNum}/{pageSize}")
    public ResponseWrapper getFinanceReportPageList(@PathVariable("type")String type,
                                                    @PathVariable("pageNum")Integer pageNum,
                                                    @PathVariable("pageSize")Integer pageSize,
                                                    @RequestBody FinanceReportQueryVO queryVO);

    //粮库财务系统-财务报表-详情查询接口
    @ApiOperation(value = "粮库财务系统-财务报表-详情查询接口")
    @GetMapping(value = "/finance-report/info/{id}")
    public ResponseWrapper getFinanceReportInfo(@PathVariable("id")String id);

    //粮库财务系统-财务报表-详情查询接口
    @ApiOperation(value = "粮库财务系统-财务报表-详情查询接口")
    @DeleteMapping(value = "/finance-report/delete/{id}")
    public ResponseWrapper deleteFinanceReport(@PathVariable("id")String id);
}
