/**  
 * @Title:PunishmentHandFeign.java
 * @Package: com.unis.ynls.irpt.client
 * @Description: TODO功能描述:(用一句话描述该文件做什么)
 * @Author ZHANGQI
 * @date 2019年10月19日 下午9:14:52
 * @version V1.0  
*/
package com.unis.ynls.irpt.client;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import com.unis.common.utils.ResponseWrapper;
import com.unis.ynls.irpt.common.VO.PunishmentHandQueryVO;
import com.unis.ynls.irpt.common.VO.PunishmentHandVO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * @ClassName: PunishmentHandFeign
 * @Description: TODO功能描述:
 * @author ZHANGQI
 * @date 2019年10月19日 下午9:14:52
 * @remark 备注:
*/
@FeignClient(name = "irpt-server")
@Component
@Api(value = "执法督查行政处罚处理情况统计表", tags = "执法督查行政处罚处理情况统计表维护")
public interface PunishmentHandFeign {
	/**
	 * 
	 * @Title: maxCodeById
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param jhId
	 * @param @return    设定文件
	 * @return ResponseWrapper    返回类型
	 * @throws
	 */
	@ApiOperation(value = "获取任务ID主键策略方法 ",notes = "参数：jhId-编号")
	@GetMapping(value = "/pumaxCodeById/{jhId}")
	public ResponseWrapper maxCodeById(@PathVariable("jhId")String jhId);
	
	
	/**
	 * @Title: getPunishmentHandPageList
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param punishmentHandQueryVO
	 * @param @param pageNum
	 * @param @param pageSize
	 * @param @return    设定文件
	 * @return ResponseWrapper    返回类型
	 * @throws
	*/
	@ApiOperation(value = "条件分页查询【执法督查行政处罚处理情况统计表】")
    @PostMapping(value = "/punishmentHandPageList/{pageNum}/{pageSize}")
	public ResponseWrapper getPunishmentHandPageList(@RequestBody PunishmentHandQueryVO punishmentHandQueryVO,
            @PathVariable(value = "pageNum") Integer pageNum,
            @PathVariable(value = "pageSize") Integer pageSize);

	/**
	 * @Title: punishmentHandDelete
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param punishmentHandVO
	 * @param @return    设定文件
	 * @return ResponseWrapper    返回类型
	 * @throws
	*/
	 @ApiOperation(value = "报表信息删除【执法督查行政处罚处理情况统计表】")
     @DeleteMapping(value = "/punishmentHandDelete")
	public ResponseWrapper punishmentHandDelete(@RequestBody PunishmentHandVO punishmentHandVO);
}
