package com.unis.ynls.irpt.client;

import com.unis.common.utils.ResponseWrapper;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * @ClassName: ReportClient
 * @Description: 报表服务
 * @author liyb
 * @date 2019-02-15 13:59:54
 * @version v1.0
 */
@FeignClient(name = "report")
@Component
public interface ReportClient {
	/**
	 * 根据报表自定义代码查询真实代码
	 * @param rptCode
	 * @return ResponseWrapper
	 * @author liyb
	 * @date 2019-02-13 13:54:21
	 * @version v1.0
	 */
	@RequestMapping(method = RequestMethod.GET, value = "/rptDef/getRptIdByRptCode/{rptCode}")
	ResponseWrapper getRptIdByRptCode(@PathVariable("rptCode") String rptCode);
}
