package com.unis.ynls.irpt.client;

import java.util.HashMap;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang.ObjectUtils;
import org.apache.commons.lang.StringUtils;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import com.unis.common.utils.CurrentUtil;
import com.unis.common.utils.ResponseWrapper;
import com.unis.ynls.irpt.common.VO.BaseFilterVO;
import com.unis.ynls.irpt.common.VO.BaseItemFilterVO;
import com.unis.ynls.irpt.common.VO.DealUrlFlowableVO;

import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;

@FeignClient(name = "irpt-server")
@Component
public interface SSOFeign {
	
	/*
	 * @ApiOperation(value = "根据报表自定义代码返回I报表页面", notes = "参数：I报表自定义代码")
	 * 
	 * @GetMapping(value="/web/irpt/{code}") public ModelAndView
	 * Ilogin(HttpServletRequest request, @RequestParam("") String
	 * code,@RequestParam("pwd")String pwd,@RequestParam("taskid")String taskid)
	 * throws Exception{ ModelAndView model = new ModelAndView(); String token =
	 * request.getParameter("token");
	 * 
	 * if (ObjectUtils.equals(CurrentUtil.getUserId(),null)) { return model; }
	 * String account = CurrentUtil.getUserAccount();
	 * log.info("taskid="+taskid+"id="+account+"pwd="+pwd); if ("".equals(account)
	 * && "".equals(pwd)) { return model; } else { model.addObject("id", account);
	 * model.addObject("pwd", "{"+pwd+"}"); model.addObject("taskid", taskid);
	 * model.setViewName("isso");
	 * model.addObject("iurl",GeneralConstant.PROJECT_NAME_IRPT); return model; } }
	 */
	/*
	 * @ApiOperation(value = "根据报表自定义代码返回BI报表页面", notes = "参数：BI报表自定义代码")
	 * 
	 * @GetMapping(value = "/web/bi/{code}") public ModelAndView
	 * BIlogin(HttpServletRequest request, @RequestParam("") String
	 * code,@RequestParam("resid")String resid,@RequestParam("pwd")String pwd) {
	 * ModelAndView model = new ModelAndView(); String token =
	 * request.getParameter("token");
	 * 
	 * if (ObjectUtils.equals(CurrentUtil.getUserId(),null)) { return model; }
	 * String account = CurrentUtil.getUserAccount();
	 * 
	 * log.info( "resid=" + resid + "id=" + account + "pwd=" + pwd); if
	 * ("".equals(account) && "".equals(pwd)) { return model; } else {
	 * model.addObject("id", account); model.addObject("pw", "%7B"+pwd+"%7D");
	 * model.addObject("resid", resid); model.setViewName("bisso");
	 * model.addObject("biurl", GeneralConstant.PROJECT_NAME_BI); return model; } }
	 */
	/*
	 * @ApiOperation(value = "bi单点", notes = "参数：")
	 * 
	 * @GetMapping(value = "/web/bi47") public ModelAndView
	 * BI47login(HttpServletRequest request,@RequestParam("pwd")String pwd) {
	 * ModelAndView model = new ModelAndView(); String account =
	 * CurrentUtil.getUserAccount(); if ("".equals(account) && "".equals(pwd)) {
	 * return model; } else { model.setViewName("bi47sso"); model.addObject("biurl",
	 * "http://lswz:88/BI47/showcoolportal.do?portalid=FB_YN2&id=demo&pw=%7B7545afa0b753ebadfd18e28cbad916b8%7D"
	 * ); return model; } }
	 */
		 
	    @ApiOperation(value = "【汇总户】根据报表自定义代码返回I报表填报户URL", notes = "参数：报表自定义代码")
	    @ApiImplicitParams({@ApiImplicitParam(name = "rptCode", value = "报表自定义代码", required = true) })
	    @GetMapping(value="/sso/openRptUrlByRptCodeForCollect/{rptCode}")
	    public ResponseWrapper openRptUrlByRptCodeForCollect(@RequestParam("rptCode") String rptCode,@RequestParam("pwd")String pwd,@RequestParam("rptId")String rptId);
	    
	    
	    
	    @ApiOperation(value = "根据报表自定义代码返回I报表URL", notes = "参数：报表自定义代码")
	    @ApiImplicitParams({@ApiImplicitParam(name = "rptCode", value = "报表自定义代码", required = true) })
	    @GetMapping(value="/sso/openRptUrlByRptCode/{rptCode}")
	    public ResponseWrapper openRptUrlByRptCode(@RequestParam("rptCode") String rptCode,@RequestParam("pwd")String pwd,@RequestParam("rptId")String rptId);
	    
	    
	    
	    @ApiOperation(value = "【查看】I报表上报页面URL", notes = "参数：统一社会信用代码，报表期，报表code")
	    @ApiImplicitParams({ @ApiImplicitParam(name = "zzjgdm", value = "统一社会信用代码", required = true),
	            @ApiImplicitParam(name = "bbq", value = "报表期", required = true),
	            @ApiImplicitParam(name = "code", value = "I报表TASK_ID", required = true) })
	    @GetMapping(value="/sso/openIrpt/{zzjgdm}/{bbq}/{code}")
	    public ResponseWrapper openIrpt( @RequestParam("zzjgdm") String zzjgdm, @RequestParam("bbq") String bbq, @RequestParam("code") String code,@RequestParam("pwd")String pwd,@RequestParam("taskId")String taskId);


	    
	    
	    
	    @ApiOperation(value = "【指定】报表期I报表上报页面URL", notes = "参数：机构代码，报表期，报表code")
	    @ApiImplicitParams({ @ApiImplicitParam(name = "zzjgdm", value = "机构代码", required = true),
	            @ApiImplicitParam(name = "bbq", value = "报表期", required = true),
	            @ApiImplicitParam(name = "code", value = "I报表TASK_ID", required = true) })
	    @GetMapping(value="/sso/openFillIrptPage/{zzjgdm}/{bbq}/{code}")
	    public ResponseWrapper openFillIrptPage( @RequestParam("zzjgdm") String zzjgdm, @RequestParam("bbq") String bbq, @RequestParam("code") String code,@RequestParam("pwd")String pwd,@RequestParam("taskid")String taskid);
	    

	    /**********李云波6月20号的版本**************/

	/*    @ApiOperation(value = "【动态或指定】报表期I报表上报页面URL", notes = "参数：机构类型（10粮食局，20企业），I报表代码")
	    @PostMapping(value="/openFillDynamicIrptPage")
	    public ResponseWrapper openFillDynamicIrptPage(HttpServletRequest request, @RequestBody BaseFilterVO baseFilterVO) {
	        try {
	            String account =currentUtils.getAccount();
	            String pw =currentUtils.getPassWord();
	            String unitCode;
	            //机构代码不为空说明已办表示待填
	            if(StringUtils.isEmpty(baseFilterVO.getUnitCode())){
	                unitCode=orgUserService.findUserOrgById(account).getOrgid_();
	            }else{
	                unitCode=baseFilterVO.getUnitCode();
	            }
	            String taskId = (String) reportClient.getRptIdByRptCode(baseFilterVO.getTaskId()).getData();
	            if (StringUtils.isEmpty(account)&&StringUtils.isEmpty(pw)) {
	                return ResponseWrapper.error(403, "token过期");
	            } else if(StringUtils.isEmpty(taskId)) {
	                return ResponseWrapper.error(500, "报表不存在");
	            } else{
	                String bbq="";
	                if(StringUtils.isNotEmpty(baseFilterVO.getBbq())){
	                    bbq+=baseFilterVO.getBbq();
	                }else{
	                    bbq+=taskInfoService.queryReportBbqByTaskId(taskId,unitCode);
	                }
	                String irptSso = GeneralConstant.PROJECT_NAME_IRPT+"/oemlogin.do?id="+account+"&pwd={"+pw+"}&target=task&task="+taskId+"&bbq="+bbq+"&forcelogin=true&btype=0&curbbhid="+unitCode;
	                return ResponseWrapper.success(200, "操作成功", irptSso);
	            }
	        } catch (NumberFormatException e) {
	            e.printStackTrace();
	            return ResponseWrapper.error(500,"系统出错");
	        }
	    }*/
	    
	    
	        /*****6月20号之前的版本**********/
	    @ApiOperation(value = "【动态或指定】报表期I报表上报页面URL", notes = "参数：机构类型（10粮食局，20企业），I报表代码")
	    @PostMapping(value="/sso/openFillDynamicIrptPage")
	    public ResponseWrapper openFillDynamicIrptPage( @RequestBody BaseFilterVO baseFilterVO,@RequestParam("pwd")String pwd,@RequestParam("taskid")String taskid); 
	    /**  张新亮
	     * 7月10号之后的版本
	     * @param request
	     * @param baseFilterVO
	     * @return
	     */
	    @ApiOperation(value = "【动态或指定】报表期I报表上报页面URL", notes = "参数：机构类型（10粮食局，20企业），I报表代码")
	    @PostMapping(value="/sso/openNewFillDynamicIrptPage")
	    public ResponseWrapper openNewFillDynamicIrptPage(
	            @RequestBody BaseFilterVO baseFilterVO,@RequestParam("pwd")String pwd,@RequestParam("taskid")String taskid
	    );





	    /**
	     *
	     * @Description: 企业端单点irpt返回URL
	     * @date 2018年10月26日,下午9:31:43
	     * @author tiechanglong
	     * @version v1.0
	     * @param request
	     * @param sign
	     * @param code
	     * @return
	     */
	    @ApiOperation(value="企业端单点irpt返回URL",notes="参数：报表code")
	    @GetMapping(value="/sso/irpt/{sign}/{code}")
	    public ResponseWrapper companyTOIrpt( @RequestParam("sign") Integer sign, @RequestParam("code") String code,@RequestParam("pwd")String pwd,@RequestParam("taskid")String taskid);
	    
	    
	    
	    @ApiOperation(value="企业端单点irpt",notes="参数：用户id，企业端单点irpt")
	    @GetMapping(value="/sso/companytooa/{userid}/{taskid}")
	    public ResponseWrapper companyTOIrtp( @RequestParam("userid") String userid, @RequestParam("taskid") String taskid,@RequestParam("pwd")String pwd);
	    
	    
	    @ApiOperation(value="企业端嵌入irpt",notes="参数：id,页面参数")
	    @GetMapping(value="/sso/companytooa/{userid}/{command}/{rshid}")
	    public ResponseWrapper companyTOIrptWeb( @RequestParam("userid") String userid, @RequestParam("command") String command, @RequestParam("rshid") String rshid,@RequestParam("pwd")String pwd);
	    
	    
	    @ApiOperation(value="单点irpt返回URL",notes="参数：command,rshid")
	    @GetMapping(value="/sso/ssoToIrptUrl/{sign}/{command}/{rshid}")
	    public ResponseWrapper ssoToIrptUrl( @RequestParam("sign") Integer sign, @RequestParam("command") String command, @RequestParam("rshid") String rshid,@RequestParam("pwd")String pwd);
	   

	/*
	 * @ApiOperation(value="单点irpt返回web页面",notes="参数：command,rshid")
	 * 
	 * @GetMapping(value="/ssoToIrptWeb/{sign}/{command}/{rshid}") public
	 * ModelAndView ssoToIrptWeb(HttpServletRequest request, @RequestParam("") Integer
	 * sign, @RequestParam("") String command, @RequestParam("") String
	 * rshid,@RequestParam("pwd")String pwd);
	 */
	    /**
	     * 待办事项查看、办理URL
	     * @return ResponseWrapper
	     * @author liyb
	     * @date 2018-11-16 17:17:14
	     * @version v1.0
	     */
	    @ApiOperation(value = "【工作流】查看、办理URL", notes = "参数：10为查看，20为办理，工作流流程ID")
	    @ApiImplicitParams({ @ApiImplicitParam(name = "code", value = "10为查看，20为办理", required = true),
	            @ApiImplicitParam(name = "proc_inst_id", value = "工作流流程ID", required = true),
	            @ApiImplicitParam(name = "act_id", value = "活动ID，办理操作必填"),
	            @ApiImplicitParam(name = "task_id", value = "任务ID，办理操作必填")})
	    @GetMapping(value="/sso/handle/{code}/{proc_inst_id}/{act_id}/{task_id}")
	    public ResponseWrapper handle( @RequestParam("code") String code, @RequestParam("proc_inst_id") String proc_inst_id, @RequestParam("act_id") String act_id, @RequestParam("task_id") String task_id);



	    /**
	     * 待办事项查看、办理URL
	     * @return ResponseWrapper
	     * @author liyb
	     * @date 2018-11-16 17:17:14
	     * @version v1.0
	     */
	    @ApiOperation(value = "【工作流】查看、办理URL", notes = "参数：10为查看，20为办理，工作流流程ID")
	    @ApiImplicitParams({ @ApiImplicitParam(name = "code", value = "10为查看，20为办理", required = true),
	            @ApiImplicitParam(name = "proc_inst_id", value = "工作流流程ID", required = true),
	            @ApiImplicitParam(name = "act_id", value = "活动ID，办理操作必填"),
	            @ApiImplicitParam(name = "task_id", value = "任务ID，办理操作必填")})
	    @PostMapping(value="/sso/dealUrlFlowable")
	    public ResponseWrapper dealUrlFlowable(
	            @RequestBody DealUrlFlowableVO flowableVO,@RequestParam("pwd") String pwd,@RequestParam("taskId")String taskId);





	    /**
	     * 待办事项查看、办理URL
	     * @return ResponseWrapper
	     * @author liyb
	     * @date 2018-11-16 17:17:14
	     * @version v1.0
	     */
	    @ApiOperation(value = "【工作流】查看、办理URL", notes = "参数：10为查看，20为办理，工作流流程ID,活动ID,任务ID")
	    @PostMapping(value="/sso/openItemUrl")
	    public ResponseWrapper openItemUrl(@RequestBody BaseItemFilterVO baseItemFilterVO);
	
	

}
