package com.unis.ynls.irpt.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.ynls.irpt.common.VO.SafetyQueryVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

@FeignClient(name = "irpt-server")
@Component
@Api(value = "安全储量与安全生产", tags = "安全储量与安全生产")
public interface SafeFeign {

    @ApiOperation(value = "安全储量与安全生产", notes = "参数：企业名称,创建时间")
    @ApiImplicitParams({ @ApiImplicitParam(name = "pageNum", value = "起始页", required = true),
            @ApiImplicitParam(name = "pageSize", value = "每页展示行数", required = true) })
    @PostMapping(value = "/safe/findSafeInfo")
    public ResponseWrapper findSafeInfo(@RequestParam("pageNum") Integer pageNum,
                                        @RequestParam("pageSize") Integer pageSize,
                                        @RequestBody SafetyQueryVO vo);

    @ApiOperation(value = "获取任务ID主键策略方法 ",notes = "参数：")
    @GetMapping(value = "/safe/maxCodeById")
    public ResponseWrapper maxCodeById(@RequestParam("s") String s);


    @ApiOperation(value = "删除", notes = "参数：bbq")
    @DeleteMapping(value = "/safe/deleteByBbq/{bbq}")
    public ResponseWrapper deleteByBbq(@PathVariable("bbq") String bbq);
}
