package com.unis.ynls.irpt.client;
import com.unis.ynls.irpt.common.VO.BasicVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

import com.unis.common.utils.ResponseWrapper;
import com.unis.ynls.irpt.common.VO.StatisticalQueryVO;
import com.unis.ynls.irpt.common.VO.StatisticalVO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * @version1.0
 * @author 张琪
 */

@FeignClient(name = "irpt-server")
@Component
@Api(value = "执法督查机构、人员和经费情况统计表", tags = "执法督查机构、人员和经费情况统计表维护")
public interface StatisticalFeign {
	
	 /**
     *  根据条件分页查询 执法督查机构、人员和经费情况统计表
     * @param statisticalTableQueryVO
     * @param pageNum
     * @param pageSize
     * @return
     */
    @ApiOperation(value = "条件分页查询【执法督查机构、人员和经费情况统计表】")
    @PostMapping(value = "/statisticalTablePageList/{pageNum}/{pageSize}")
    public ResponseWrapper getStatisticalTablePageList(@RequestBody StatisticalQueryVO statisticalQueryVO,
                                             @PathVariable(value = "pageNum") Integer pageNum,
                                             @PathVariable(value = "pageSize") Integer pageSize);
    
	 /**
	  * 
	  * @Title: statisticalInto
	  * @Description: TODO方法描述:(报表信息录入)
	  * @param @param statisticalVO
	  * @param @return    设定文件
	  * @return ResponseWrapper    返回类型
	  * @throws
	  */
	    @ApiOperation(value = "报表信息录入【执法督查机构、人员和经费情况统计表】")
	    @PutMapping(value = "/statisticalInto")
	    public ResponseWrapper statisticalInto(@RequestBody StatisticalVO statisticalVO);

	/**
	 * @Title: statisticalDelete
	 * @Description: TODO方法描述:(报表信息删除【执法督查机构、人员和经费情况统计表】)
	 * @param @param statisticalVO
	 * @param @return    设定文件
	 * @return ResponseWrapper    返回类型
	 * @throws
	*/
	    @ApiOperation(value = "报表信息删除【执法督查机构、人员和经费情况统计表】")
	    @DeleteMapping(value = "/statisticalDelete")
	    public ResponseWrapper statisticalDelete(@RequestBody StatisticalVO statisticalVO);
	    
	    /**
	     * 
	     * @Title: maxCodeById
	     * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	     * @param @param jhId
	     * @param @return    设定文件
	     * @return ResponseWrapper    返回类型
	     * @throws
	     */
		@ApiOperation(value = "获取任务ID主键策略方法 ",notes = "参数：jhId-编号")
		@GetMapping(value = "/stmaxCodeById/{jhId}")
		public ResponseWrapper maxCodeById(@PathVariable("jhId")String jhId);

		@ApiOperation(value = "获取最大的主键ID", notes = "参数：")
		@GetMapping(value = "/findMaxId")
    	public ResponseWrapper findMaxId();


}
