package com.unis.ynls.irpt.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.ynls.irpt.common.VO.reservereport.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

@FeignClient(name = "irpt-server")
@Component
@Api(value = "财务报表-市级储备粮油储存费用补贴标准", tags = "财务报表-市级储备粮油储存费用补贴标准")
public interface SubsidyStandardFeign {

    @ApiOperation(value = "财务报表-市级储备粮油储存费用补贴标准-新增接口", notes = "参数：StorageSubsidyStandardVO")
    @PostMapping(value = "/subsidy-standard/save")
    public ResponseWrapper saveStorageSubsidyStandard(@RequestBody StorageSubsidyStandardVO standardVO);

    @ApiOperation(value = "财务报表-市级储备粮油储存费用补贴标准-修改接口", notes = "参数：StorageSubsidyStandardVO")
    @PutMapping(value = "/subsidy-standard/update")
    public ResponseWrapper updateStorageSubsidyStandard(@RequestBody StorageSubsidyStandardVO standardVO);

    @ApiOperation(value = "财务报表-市级储备粮油储存费用补贴标准-分页列表查询接口")
    @PostMapping(value = "/subsidy-standard/page/{pageNum}/{pageSize}")
    public ResponseWrapper getStorageSubsidyStandardPageList(@PathVariable("pageNum")Integer pageNum,@PathVariable("pageSize")Integer pageSize,@RequestBody StorageSubsidyStandardQueryVO queryVO) ;

    @ApiOperation(value = "财务报表-市级储备粮油储存费用补贴标准-列表查询接口")
    @PostMapping(value = "/subsidy-standard/list")
    public ResponseWrapper getStorageSubsidyStandardList(@RequestBody StorageSubsidyStandardQueryVO queryVO);
}
