package com.unis.ynls.irpt.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.ynls.irpt.common.VO.BasicVO;
import com.unis.ynls.irpt.common.VO.SupervisionQueryVO;
import com.unis.ynls.irpt.common.VO.SupervisionVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

/**
 * @ClassName: SupervisionFeign
 * @Description: TODO功能描述:
 * @author ZHANGQI
 * @date 2019年10月19日 下午9:21:44
 * @remark 备注:
*/
@FeignClient(name = "irpt-server")
@Component
@Api(value = "粮食流通执法督查工作开展情况统计表", tags = "粮食流通执法督查工作开展情况统计表维护")
public interface SupervisionFeign {

	/**
	 * @Title: getSupervisionPageList
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param supervisionQueryVO
	 * @param @param pageNum
	 * @param @param pageSize
	 * @param @return    设定文件
	 * @return ResponseWrapper    返回类型
	 * @throws
	*/
	@ApiOperation(value = "条件分页查询【粮食流通执法督查工作开展情况统计表】")
    @PostMapping(value = "/supervisionPageList/{pageNum}/{pageSize}")
	public ResponseWrapper getSupervisionPageList(@RequestBody SupervisionQueryVO supervisionQueryVO,
            @PathVariable(value = "pageNum") Integer pageNum,
            @PathVariable(value = "pageSize") Integer pageSize);
	
	
	/**
	 * 
	 * @Title: supervisionDelete
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param supervisionVO
	 * @param @return    设定文件
	 * @return ResponseWrapper    返回类型
	 * @throws
	 */
    @ApiOperation(value = "报表信息删除【粮食流通执法督查工作开展情况统计表】")
    @DeleteMapping(value = "/supervisionDelete")
	public ResponseWrapper supervisionDelete(@RequestBody SupervisionVO supervisionVO);

	 /**
	  * 
	  * @Title: supervisionInfo
	  * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	  * @param @param supervisionVO
	  * @param @return    设定文件
	  * @return ResponseWrapper    返回类型
	  * @throws
	  */
	@ApiOperation(value = "报表信息录入【粮食流通执法督查工作开展情况统计表】")
	@PutMapping(value = "/supervisionInfo")
	public ResponseWrapper supervisionInfo(@RequestBody SupervisionVO supervisionVO) ;
	
	
	/**
	 * 
	 * @Title: maxCodeById
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param jhId
	 * @param @return    设定文件
	 * @return ResponseWrapper    返回类型
	 * @throws
	 */
	@ApiOperation(value = "获取任务ID主键策略方法 ",notes = "参数：jhId-编号")
	@GetMapping(value = "/sumaxCodeById/{jhId}")
	public ResponseWrapper maxCodeById(@PathVariable("jhId")String jhId);

	@ApiOperation(value = "盟市汇总")
	@PutMapping(value = "/supervisionCollect")
    public ResponseWrapper supervisionCollect(@RequestBody BasicVO basicVO,
											  @RequestParam("userName") String userName);
}
