package com.unis.ynls.irpt.common.VO;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
@ApiModel("财务报表VO")
public class FinanceReportVO {

    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "单位代码")
    private String dwdm;

    //单位名称
    @ApiModelProperty(value = "单位名称")
    private String dwmc;

    //库区代码
    @ApiModelProperty(value = "库区代码")
    private String kqdm;

    //库区名称
    @ApiModelProperty(value = "库区名称")
    private String kqmc;

    //报表期号
    @ApiModelProperty(value = "报表期号 yyyyMM")
    private String bbsj;

    //数据类型 01：资产负债表 02：现金流量表 03：利润表
    @ApiModelProperty(value = "报表名 01:资产负债表 02:现金流量表 03:利润表")
    private String bbm;

    //状态
    @ApiModelProperty(value = "状态 0:保存 1:提交")
    private Integer status;

    //是否删除
    @ApiModelProperty(value = "是否删除 0:否 1:删除")
    private Integer isDelete;

    //创建人
    @ApiModelProperty(value = "创建人")
    private String creator;

    //创建时间
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    //更新人
    @ApiModelProperty(value = "更新人")
    private String updater;

    //更新时间
    @ApiModelProperty(value = "更新时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date updateDate;

    @ApiModelProperty(value = "备注")
    private String remark;

    private List<FinanceReportDetailVO> detailList;

}
