package com.unis.ynls.irpt.common.VO.Report;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 地方储备粮收支平衡月报
 */
@Getter
@Setter
@ToString
@ApiModel(value="国有粮食企业商品粮油收支平衡月报",description="国有粮食企业商品粮油收支平衡月报")
public class CountryReservesReportQueryVO {

    @ApiModelProperty(value = "填报期数")
    private String tbqs;
    @ApiModelProperty(value = "单位名称")
    private String dwmc;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "填报时间最小值")
    private Date tbsjMin;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "填报时间最大值")
    private Date tbsjMax;
    @ApiModelProperty(value = "状态")
    private Integer zt;
    @ApiModelProperty(value = "小麦初期库存最小值")
    private BigDecimal xmcqkcMin;
    @ApiModelProperty(value = "小麦初期库存最大值")
    private BigDecimal xmcqkcMax;
    @ApiModelProperty(value = "小麦期末库存最小值")
    private BigDecimal xmqmkcMin;
    @ApiModelProperty(value = "小麦期末库存最大值")
    private BigDecimal xmqmkcMax;
    @ApiModelProperty(value = "粳稻初期库存最小值")
    private BigDecimal gdcqkcMin;
    @ApiModelProperty(value = "粳稻初期库存最大值")
    private BigDecimal gdcqkcMax;
    @ApiModelProperty(value = "粳稻期末库存最小值")
    private BigDecimal gmqmkcMin;
    @ApiModelProperty(value = "粳稻期末库存最大值")
    private BigDecimal gmqmkcMax;
}
