package com.unis.ynls.irpt.common.VO.Report;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 地方储备粮收支平衡月报
 */
@Getter
@Setter
@ToString
@ApiModel(value="国有粮食企业商品粮油收支平衡月报",description="国有粮食企业商品粮油收支平衡月报")
public class CountryReservesReportVO {

    @ApiModelProperty(value = "填报期数")
    private String tbqs;
    @ApiModelProperty(value = "单位名称")
    private String dwmc;
    @ApiModelProperty(value = "报表户id")
    private String userid;
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "填报时间")
    private Date tbsj;
    @ApiModelProperty(value = "状态")
    private Integer zt;
    @ApiModelProperty(value = "小麦初期库存")
    private BigDecimal xmcqkc;
    @ApiModelProperty(value = "小麦期末库存")
    private BigDecimal xmqmkc;
    @ApiModelProperty(value = "粳稻初期库存")
    private BigDecimal gdcqkc;
    @ApiModelProperty(value = "粳稻期末库存")
    private BigDecimal gmqmkc;
}
