package com.unis.ynls.irpt.common.VO.Report;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 地方储备粮收支平衡月报
 */
@Getter
@Setter
@ToString
@ApiModel(value="市储备粮油轮换情况季报表",description="市储备粮油轮换情况季报表")
public class GrainOilRotationQueryVO {

    @ApiModelProperty(value = "填报期数")
    private String tbqs;
    @ApiModelProperty(value = "单位名称")
    private String dwmc;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "填报时间最小值")
    private Date tbsjMin;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "填报时间最大值")
    private Date tbsjMax;
    @ApiModelProperty(value = "状态")
    private Integer zt;
    @ApiModelProperty(value = "期初库存最小值")
    private BigDecimal qckcMin;
    @ApiModelProperty(value = "期初库存最大值")
    private BigDecimal qckcMax;
    @ApiModelProperty(value = "期末库存最小值")
    private BigDecimal qmkcMin;
    @ApiModelProperty(value = "期末库存最大值")
    private BigDecimal qmkcMax;
    @ApiModelProperty(value = "收入合计最小值")
    private BigDecimal srhjMin;
    @ApiModelProperty(value = "收入合计最大值")
    private BigDecimal srhjMax;
    @ApiModelProperty(value = "支出合计最小值")
    private BigDecimal zchjMin;
    @ApiModelProperty(value = "支出合计最大值")
    private BigDecimal zchjMax;
}
