package com.unis.ynls.irpt.common.VO.Report;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 地方储备粮收支平衡月报
 */
@Getter
@Setter
@ToString
@ApiModel(value="市储备粮油轮换情况季报表",description="市储备粮油轮换情况季报表")
public class GrainOilRotationVO {

    @ApiModelProperty(value = "填报期数")
    private String tbqs;
    @ApiModelProperty(value = "单位名称")
    private String dwmc;
    @ApiModelProperty(value = "报表户id")
    private String userid;
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "填报时间")
    private Date tbsj;
    @ApiModelProperty(value = "状态")
    private Integer zt;
    @ApiModelProperty(value = "期初库存")
    private BigDecimal qckc;
    @ApiModelProperty(value = "期末库存")
    private BigDecimal qmkc;
    @ApiModelProperty(value = "收入合计")
    private BigDecimal srhj;
    @ApiModelProperty(value = "支出合计")
    private BigDecimal zchj;
}
