package com.unis.ynls.irpt.common.VO.Report;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 地方储备粮收支平衡月报
 */
@Getter
@Setter
@ToString
@ApiModel(value="市储粮轮换（实际库存）情况表",description="市储粮轮换（实际库存）情况表")
public class GrainRotationQueryVO {

    @ApiModelProperty(value = "填报期数")
    private String tbqs;
    @ApiModelProperty(value = "单位名称")
    private String dwmc;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "填报时间最小值")
    private Date tbsjMin;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "填报时间最大值")
    private Date tbsjMax;
    @ApiModelProperty(value = "状态")
    private Integer zt;
    @ApiModelProperty(value = "期初库存最小值")
    private BigDecimal qckcMin;
    @ApiModelProperty(value = "期初库存最大值")
    private BigDecimal qckcMax;
    @ApiModelProperty(value = "期末库存最小值")
    private BigDecimal qmkcMin;
    @ApiModelProperty(value = "期末库存最大值")
    private BigDecimal qmkcMax;
    @ApiModelProperty(value = "只轮入合计最小值")
    private BigDecimal zlrhjMin;
    @ApiModelProperty(value = "只轮入合计最大值")
    private BigDecimal zlrhjMax;
    @ApiModelProperty(value = "只轮出合计最小值")
    private BigDecimal zlchjMin;
    @ApiModelProperty(value = "只轮出合计最大值")
    private BigDecimal zlchjMax;
    @ApiModelProperty(value = "轮入合计最小值")
    private BigDecimal lrhjMin;
    @ApiModelProperty(value = "轮入合计最大值")
    private BigDecimal lrhjMax;
    @ApiModelProperty(value = "轮出合计最小值")
    private BigDecimal lchjMin;
    @ApiModelProperty(value = "轮出合计最大值")
    private BigDecimal lchjMax;
}
