package com.unis.ynls.irpt.common.VO.Report;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 *
 * 损耗计算
 */
@Getter
@Setter
@ToString
@ApiModel(value="损耗计算",description="损耗计算")
public class LossCalculationQueryVO {

    @ApiModelProperty(value = "填报期数")
    private String tbqs;
    @ApiModelProperty(value = "单位名称")
    private String dwmc;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "填报时间最小值")
    private Date tbsjMin;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "填报时间最大值")
    private Date tbsjMax;
    @ApiModelProperty(value = "状态")
    private Integer zt;
    @ApiModelProperty(value = "定额损耗最小值")
    private BigDecimal dehsMin;
    @ApiModelProperty(value = "定额损耗最大值")
    private BigDecimal dehsMax;
    @ApiModelProperty(value = "超定额损耗最小值")
    private BigDecimal cdehsMin;
    @ApiModelProperty(value = "超定额损耗最大值")
    private BigDecimal cdehsMax;
    @ApiModelProperty(value = "实际损耗最小值")
    private BigDecimal sjhsMin;
    @ApiModelProperty(value = "实际损耗最大值")
    private BigDecimal sjhsMax;
}
