package com.unis.ynls.irpt.common.VO.Report;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 地方储备粮收支平衡月报
 */
@Getter
@Setter
@ToString
@ApiModel(value="市级储备粮轮换补贴预申请表",description="市级储备粮轮换补贴预申请表")
public class PreApplicationSubsidyVO {

    @ApiModelProperty(value = "填报期数")
    private String tbqs;
    @ApiModelProperty(value = "单位名称")
    private String dwmc;
    @ApiModelProperty(value = "报表户id")
    private String userid;
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "填报时间")
    private Date tbsj;
    @ApiModelProperty(value = "状态")
    private Integer zt;
    @ApiModelProperty(value = "流程状态")
    private String lczt;
    @ApiModelProperty(value = "轮换数量")
    private BigDecimal lhsl;
    @ApiModelProperty(value = "应拨付补贴")
    private BigDecimal ybfbt;
    @ApiModelProperty(value = "预申请补贴")
    private BigDecimal ysqbt;

}
