package com.unis.ynls.irpt.common.VO.Report;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 *
 * 损耗计算
 */
@Getter
@Setter
@ToString
@ApiModel(value="稻谷、大米购销外省市",description="稻谷、大米购销外省市")
public class RiceProcurementQueryVO {

    @ApiModelProperty(value = "填报期数")
    private String tbqs;
    @ApiModelProperty(value = "单位名称")
    private String dwmc;
    @ApiModelProperty(value = "报表户id")
    private String userid;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "填报时间最小值")
    private Date tbsjMin;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "填报时间最大值")
    private Date tbsjMax;
    @ApiModelProperty(value = "状态")
    private Integer zt;
    @ApiModelProperty(value = "稻谷入库数量最小值")
    private BigDecimal dgrkslMin;
    @ApiModelProperty(value = "稻谷入库数量最大值")
    private BigDecimal dgrkslMax;
    @ApiModelProperty(value = "稻谷出库数量最小值")
    private BigDecimal dgckslMin;
    @ApiModelProperty(value = "稻谷出库数量最大值")
    private BigDecimal dgckslMax;
    @ApiModelProperty(value = "大米入库数量最小值")
    private BigDecimal dmrkslMin;
    @ApiModelProperty(value = "大米入库数量最大值")
    private BigDecimal dmrkslMax;
    @ApiModelProperty(value = "大米出库数量最小值")
    private BigDecimal dmckslMin;
    @ApiModelProperty(value = "大米出库数量最大值")
    private BigDecimal dmckslMax;
}
