package com.unis.ynls.irpt.common.VO.Report;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 地方储备粮收支平衡月报
 */
@Getter
@Setter
@ToString
@ApiModel(value="市级储备粮库存数量检查测量计算法货位明细表",description="市级储备粮库存数量检查测量计算法货位明细表")
public class SmokePacageCountQueryVO {

    @ApiModelProperty(value = "填报期数")
    private String tbqs;
    @ApiModelProperty(value = "年度")
    private String nd;
    @ApiModelProperty(value = "单位名称")
    private String dwmc;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "填报时间最小值")
    private Date tbsjMin;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "填报时间最大值")
    private Date tbsjMax;
    @ApiModelProperty(value = "状态")
    private Integer zt;
    @ApiModelProperty(value = "地区")
    private String dq;
}
