package com.unis.ynls.irpt.common.VO.Report;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 *
 * 损耗计算
 */
@Getter
@Setter
@ToString
@ApiModel(value="小麦购销外省市",description="小麦购销外省市")
public class WheatProcurementQueryVO {

    @ApiModelProperty(value = "填报期数")
    private String tbqs;
    @ApiModelProperty(value = "单位名称")
    private String dwmc;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "填报时间最小值")
    private Date tbsjMin;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "填报时间最大值")
    private Date tbsjMax;
    @ApiModelProperty(value = "状态")
    private Integer zt;
    @ApiModelProperty(value = "入库数量最小值")
    private BigDecimal rkslMin;
    @ApiModelProperty(value = "入库数量最大值")
    private BigDecimal rkslMax;
    @ApiModelProperty(value = "出库数量最小值")
    private BigDecimal ckslMin;
    @ApiModelProperty(value = "出库数量最大值")
    private BigDecimal ckslMax;
    @ApiModelProperty(value = "销售合计最小值")
    private BigDecimal xshjMin;
    @ApiModelProperty(value = "销售合计最大值")
    private BigDecimal xshjMax;
    @ApiModelProperty(value = "损耗最小值")
    private BigDecimal shMin;
    @ApiModelProperty(value = "损耗最大值")
    private BigDecimal shMax;
}
