package com.unis.ynls.irpt.common.VO.reservereport;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;

@Data
@ApiModel("财务报表-承储企业报表顺序设置--承储企业表")
public class EnterpriseVO {

    @ApiModelProperty(value = "ID")
    private String id;

    //承储企业编码
    @ApiModelProperty(value = "承储企业编码")
    private String ccqybm;

    //承储企业编码
    @ApiModelProperty(value = "承储企业名称")
    private String ccqy;

    //排序 数值越大越靠前
    @ApiModelProperty(value = "排序 数値越大越高")
    private Integer sort;

    //是否删除
    @ApiModelProperty(value = "是否删除 0:否 1:是")
    private Integer isDelete;

    //创建人
    @ApiModelProperty(value = "创建人")
    private String creator;

    //创建时间
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private String createDate;

    //修改人
    @ApiModelProperty(value = "修改人")
    private String updater;

    //修改时间
    @ApiModelProperty(value = "修改时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private String updateDate;

    //备注
    @ApiModelProperty(value = "备注")
    private String remark;

    List<EnterpriseDetailVO> detailList;

}
