package com.unis.ynls.irpt.common.VO.reservereport;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@ApiModel("市级储备粮出入库费补贴申请表")
public class OutInSubsidyVO {

    @ApiModelProperty(value = "ID")
    private String id;

    //填报期数
    @ApiModelProperty(value = "填报期数")
    private String period;

    //部门code
    @ApiModelProperty(value = "部门code")
    private String deptCode;

    //组织code
    @ApiModelProperty(value = "组织code")
    private String orgCode;

    //库点名称
    @ApiModelProperty(value = "库点名称")
    private String sskdmc;

    //库点编码
    @ApiModelProperty(value = "库点编码")
    private String sskdbm;

    //数据类型
    @ApiModelProperty(value = "数据类型 0:出库 1:入库")
    private Integer dataType;

    //单位负责人
    @ApiModelProperty(value = "单位负责人")
    private String leader;

    //审核人
    @ApiModelProperty(value = "审核人")
    private String auditor;

    //制表人
    @ApiModelProperty(value = "制表人")
    private String reporter;

    //填报日期
    @ApiModelProperty(value = "填报日期")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date reportDate;

    //盖章状态
    @ApiModelProperty(value = "盖章状态 0:未盖章 1:已盖章")
    private Integer signatureStatus;

    //盖章
    @ApiModelProperty(value = "盖章")
    private String signature;

    //盖章人
    @ApiModelProperty(value = "盖章人")
    private String signatureUsername;

    //盖章时间
    @ApiModelProperty(value = "盖章时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date signatureDate;

    @ApiModelProperty(value = "接收状态 0:未接受 1:接收")
    private Integer receiveStatus;

    //接收人
    @ApiModelProperty(value = "接收人")
    private String receiver;

    //接收日期
    @ApiModelProperty(value = "接收日期")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date receiveDate;

    //状态
    @ApiModelProperty(value = "状态")
    private String status;

    //状态名称
    @ApiModelProperty(value = "状态名")
    private String statusName;

    //是否删除
    @ApiModelProperty(value = "是否删除 0:否 1:是")
    private Integer isDelete;

    //创建人
    @ApiModelProperty(value = "创建人")
    private String creator;

    //创建时间
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    //更新人
    @ApiModelProperty(value = "更新人")
    private String updater;

    //更新时间
    @ApiModelProperty(value = "更新时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date updateDate;

    @ApiModelProperty(value = "备注")
    private String remark;
}
