package com.unis.ynls.irpt.common.VO.reservereport;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("市级储备粮油进销存-上期期末库存")
public class PreviousPurchaseStockVO {

    //品种名称
    @ApiModelProperty(value = "品种名称")
    private String pzmc;

    //品种编码
    @ApiModelProperty(value = "品种编码")
    private String pzbm;

    @ApiModelProperty(value = "上月期末库存")
    private BigDecimal qmkc;

    public BigDecimal getQmkc() {
        return format(qmkc);
    }

    //格式化函数
    private BigDecimal format(BigDecimal decimal){
        BigDecimal result = decimal != null?decimal:new BigDecimal("0");
        String decimalPart = result.remainder(BigDecimal.ONE).toString();  // 获取小数部分
        int decimalPlaces = decimalPart.length();  // 小数位数
        int sum = 0;
        for (int i = 0; i < decimalPlaces; i++) {
            char digit = decimalPart.charAt(i);
            if(!Character.toString(digit).equals(".")){
                sum += Integer.parseInt(Character.toString(digit));
            }
        }
        if(sum > 0){
            return result.setScale(3,BigDecimal.ROUND_HALF_UP);
        }
        return result.stripTrailingZeros();
    }
}
