package com.unis.ynls.irpt.common.VO.reservereport;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@ApiModel("市级储备粮油进销存报表查询VO")
public class PurchaseStockQueryVO {

    //填报期数
    @ApiModelProperty(value = "填报期数 yyyy年MM月")
    private String period;

    //组织机构code
    @ApiModelProperty(value = "组织机构code")
    private String orgCode;

    //组织机构code
    @ApiModelProperty(value = "组织机构code")
    private String orgName;

    //库点名称
    @ApiModelProperty(value = "库点名称")
    private String sskdmc;

    //库点编码
    @ApiModelProperty(value = "库点编码")
    private String sskdbm;

    //状态
    @ApiModelProperty(value = "状态")
    private String status;

    //状态名称
    @ApiModelProperty(value = "状态名")
    private String statusName;

    //数据类型
    @ApiModelProperty(value = "数据类型 0:市级储备粮油 1:市级粮食调节储备 2:异地存储市级粮食调节储备")
    private Integer dataType;

    @ApiModelProperty(value = "品种名称")
    private String pzmc;

    @ApiModelProperty(value = "品种编码")
    private String pzbm;

    @ApiModelProperty(value = "起始时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date startDate;

    @ApiModelProperty(value = "结束世间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date endDate;

    private Integer summaryStatus;

}
