package com.unis.ynls.irpt.common.VO.reservereport;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@ApiModel("市级储备粮油进销存汇总报表")
public class PurchaseStockSummaryVO {

    @ApiModelProperty(value = "ID")
    private String id;

    //期数
    @ApiModelProperty(value = "填报期数 yyyy年MM月")
    private String period;

    //填报部门code
    @ApiModelProperty(value = "填报部门code")
    private String deptCode;

    //组织机构code
    @ApiModelProperty(value = "组织机构code")
    private String orgCode;

    //组织机构code
    @ApiModelProperty(value = "组织机构名称")
    private String orgName;

    //制表人
    @ApiModelProperty(value = "制表人")
    private String tabulator;

    @ApiModelProperty(value = "制表时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date tabulatorDate;

    //数据类型
    @ApiModelProperty(value = "数据类型 0:市级储备粮油 1:市级粮食调节储备 2:异地存储市级粮食调节储备")
    private Integer dataType;

    //是否删除
    @ApiModelProperty(value = "是否删除 0:否 1:是")
    private Integer isDelete;

    //创建人
    @ApiModelProperty(value = "创建人")
    private String creator;

    //创建时间
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    //更新人
    @ApiModelProperty(value = "更新人")
    private String updater;

    @ApiModelProperty(value = "汇总状态")
    private String status;

    @ApiModelProperty(value = "汇总状态名")
    private String statusName;

    @ApiModelProperty(value = "复核人")
    private String recevier;

    @ApiModelProperty(value = "复核时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date recevieDate;

    //更新时间
    @ApiModelProperty(value = "更新时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date updateDate;

    @ApiModelProperty(value = "备注")
    private String remark;

    //操作类型
    @ApiModelProperty(value = "操作类型 0:保存 1:提交")
    private Integer operationType;

    List<PurchaseStockDetailVO> detailList;

    private BigDecimal xmsl;
    private BigDecimal dgsl;
    private BigDecimal cplsl;
    private BigDecimal cbysl;

    private BigDecimal initial;

    private BigDecimal  incomeTotal;

    private BigDecimal expenseTotal;

    private BigDecimal ending;


}
