package com.unis.ynls.irpt.common.VO.reservereport;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@ApiModel("市级储备粮油进销存报表")
public class PurchaseStockVO {


    @ApiModelProperty(value = "ID")
    private String id;

    //填报期数
    @ApiModelProperty(value = "填报期数 yyyy年MM月")
    private String period;

    //填报部门code
    @ApiModelProperty(value = "填报部门code")
    private String deptCode;

    //组织机构code
    @ApiModelProperty(value = "组织机构code")
    private String orgCode;

    //库点名称
    @ApiModelProperty(value = "库点名称")
    private String sskdmc;

    //库点编码
    @ApiModelProperty(value = "库点编码")
    private String sskdbm;

    //单位负责人
    @ApiModelProperty(value = "单位负责人")
    private String leader;

    //审核人
    @ApiModelProperty(value = "审核人")
    private String auditor;

    //制表人
    @ApiModelProperty(value = "上报位")
    private String reporter;

    //填报日期
    @ApiModelProperty(value = "填报日期")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date reportDate;

    //接收人
    @ApiModelProperty(value = "接收人")
    private String receiver;

    @ApiModelProperty(value = "接收状态 0:未接受 1:接收")
    private Integer receiveStatus;

    //接收日期
    @ApiModelProperty(value = "接收日期")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date receiveDate;

    //状态态
    @ApiModelProperty(value = "状态")
    private String status;

    //状态名称
    @ApiModelProperty(value = "状态名")
    private String statusName;

    //盖章状态
    @ApiModelProperty(value = "盖章状态 0:未盖章 1:已盖章")
    private Integer signatureStatus;

    //盖章
    @ApiModelProperty(value = "盖章")
    private String signature;

    //盖章人
    @ApiModelProperty(value = "盖章人")
    private String signatureUsername;

    //盖章时间
    @ApiModelProperty(value = "盖章时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date signatureDate;

    //数据类型
    @ApiModelProperty(value = "数据类型 0:市级储备粮油 1:市级粮食调节储备 2:异地存储市级粮食调节储备")
    private Integer dataType;

    //是否删除
    @ApiModelProperty(value = "是否删除 0:否 1:是")
    private Integer isDelete;

    //创建人
    @ApiModelProperty(value = "创建人")
    private String creator;

    //创建时间
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    //更新人
    @ApiModelProperty(value = "替换修攳n")
    private String updater;

    //更新时间
    @ApiModelProperty(value = "更新时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date updateDate;

    @ApiModelProperty(value = "数据列表")
    private List<PurchaseStockDetailVO> detailList;

    //操作类型
    @ApiModelProperty(value = "操作类型 0:保存 1:提交")
    private Integer operationType;

    //期初库存
    @ApiModelProperty(value = "期初库存")
    private BigDecimal initial;

    //收入合计
    @ApiModelProperty(value = "收入合计")
    private BigDecimal incomeTotal;

    //支出合计
    @ApiModelProperty(value = "支出合计")
    private BigDecimal expenseTotal;

    //期末库存
    @ApiModelProperty(value = "期末库存")
    private BigDecimal ending;

    @ApiModelProperty(value = "汇总状态 0:否 1:是")
    private Integer summaryStatus;

    @ApiModelProperty(value = "备注")
    private String remark;

    //接收意见
    @ApiModelProperty(value = "接收意见")
    private String receiveOpinion;

}
