package com.unis.ynls.irpt.common.VO.reservereport;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import jxl.write.DateTime;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel("市级储备粮油储存费用补贴标准配置表")
public class StorageSubsidyStandardVO {

    //id
    @ApiModelProperty(value = "ID")
    private String id;

    //库点名称
    @ApiModelProperty(value = "品种名称")
    private String pzmc;

    //库点编码
    @ApiModelProperty(value = "品种编码",required = true)
    private String pzbm;

    //数据类型
    @ApiModelProperty(value = "数据类型")
    private String typeCode;

    //数据类型名称
    @ApiModelProperty(value = "数据类型名称")
    private String typeName;


    //数据类型
    @ApiModelProperty(value = "补贴标准",required = true)
    private BigDecimal standard;

    // 费率类型（月费率1，年费率2）
    @ApiModelProperty(value = "费率类型")
    private String rateType;

    @ApiModelProperty(value = "有效开始时间",required = true)
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date startDate;

    @ApiModelProperty(value = "有效结束时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date endDate;

    @ApiModelProperty(value = "是否启用 0:过期 1:待启用 2:启用中")
    private Integer isEnable;

    //是否删除
    @ApiModelProperty(value = "是否删除 0:否 1:是")
    private Integer isDelete;

    //创建人
    @ApiModelProperty(value = "创建人")
    private String creator;

    //创建时间
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    //更新人
    @ApiModelProperty(value = "更新人")
    private String updater;

    //更新时间
    @ApiModelProperty(value = "更新时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date updateDate;
}
