package com.unis.ynls.irpt.common.VO.reservereport;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@ApiModel("市级储备粮油储存费用补贴-汇总查询VO")
public class StorageSubsidySummaryQueryVO {

    //填报期数
    @ApiModelProperty(value = "期数")
    private String period;

    //组织code
    @ApiModelProperty(value = "组织code")
    private String orgCode;

    //组织
    @ApiModelProperty(value = "组织")
    private String orgName;

    //数据类型
    @ApiModelProperty(value = "数据类型 0:市级储备粮油 1:市级粮食调节储备 2:异地存储市级粮食调节储备")
    private Integer dataType;

    //状态
    @ApiModelProperty(value = "状态")
    private String status;

    //状态名称
    @ApiModelProperty(value = "状态名")
    private String statusName;

    @ApiModelProperty(value = "有效开始时间",required = true)
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date startDate;

    @ApiModelProperty(value = "有效结束时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date endDate;


}
