package com.unis.ynls.irpt.common.VO.reservereport;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@ApiModel("市级储备粮油储存费用补贴-汇总主表")
public class StorageSubsidySummaryVO {

    //id
    @ApiModelProperty(value = "ID")
    private String id;

    //填报期数
    @ApiModelProperty(value = "期数")
    private String period;

    //部门code
    @ApiModelProperty(value = "部门code")
    private String deptCode;

    //组织code
    @ApiModelProperty(value = "组织code")
    private String orgCode;

    //组织
    @ApiModelProperty(value = "组织")
    private String orgName;

    //数据类型
    @ApiModelProperty(value = "数据类型 0:市级储备粮油 1:市级粮食调节储备 2:异地存储市级粮食调节储备")
    private Integer dataType;

    //制表人
    @ApiModelProperty(value = "制表人")
    private String tabulator;

    //制表时间
    @ApiModelProperty(value = "制表时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date tabulatorDate;

    //复核状态
    @ApiModelProperty(value = "复核状态 0:无效有效 1:有效")
    private Integer reviewStatus;

    //复核意见
    @ApiModelProperty(value = "复核意见")
    private String reviewOpinion;

    //复核人
    @ApiModelProperty(value = "复核人")
    private String reviewer;

    //复核时间
    @ApiModelProperty(value = "复核时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date reviewDate;

    //财务领导批示状态
    @ApiModelProperty(value = "财务领导批示状态 0:无效有效 1:有效")
    private Integer financeStatus;

    //财务领导批示意见
    @ApiModelProperty(value = "财务领导批示意见")
    private String financeOpinion;

    //财务领导
    @ApiModelProperty(value = "财务领导")
    private String financeUsername;

    //财务领导批示时间
    @ApiModelProperty(value = "财务领导批示时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date financeDate;

    //单位负责人批示状态
    @ApiModelProperty(value = "单位负责人批示状态 0:无效有效 1:有效")
    private Integer leaderStatus;

    //单位负责人批示意见
    @ApiModelProperty(value = "单位负责人批示意见")
    private String leaderOpinion;

    //单位负责人
    @ApiModelProperty(value = "单位负责人")
    private String leaderUsername;

    //单位负责人批示时间
    @ApiModelProperty(value = "单位负责人批示时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date leaderDate;

    //状态
    @ApiModelProperty(value = "状态")
    private String status;

    //状态名称
    @ApiModelProperty(value = "状态名")
    private String statusName;

    //是否删除
    @ApiModelProperty(value = "是否删除 0:否 1:是")
    private Integer isDelete;

    //创建人
    @ApiModelProperty(value = "创建人")
    private String creator;

    //创建时间
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    //更新人
    @ApiModelProperty(value = "更新人")
    private String updater;

    //更新时间
    @ApiModelProperty(value = "更新时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date updateDate;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "操作类型 0:保存 1:提交")
    private Integer operationType;

    /*@ApiModelProperty(value = "上月期末库存")
    private BigDecimal syyqmkc;

    @ApiModelProperty(value = "本月应补金额")
    private BigDecimal byyb;

    @ApiModelProperty(value = "本年累计已补金额")
    private BigDecimal bnljyb;*/

    @ApiModelProperty(value = "小麦")
    private BigDecimal wheat;

    @ApiModelProperty(value = "稻谷")
    private BigDecimal paddy;

    @ApiModelProperty(value = "大米")
    private BigDecimal Rice;

    @ApiModelProperty(value = "小麦")
    private BigDecimal flour;

    @ApiModelProperty(value = "食用油")
    private BigDecimal eatOil;

    List<StorageSubsidySummaryInfoVO> infoList;

    List<StorageSubsidySummaryDetailVO> detailList;

}
