package com.unis.ynls.irpt.common.VO.rotationreport;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel("市级储备粮轮换补贴品种费率表")
public class RotationSubsidyRateVO {

    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "品种编码")
    private String pzbm;

    @ApiModelProperty(value = "品种名称")
    private String pzmc;

    @ApiModelProperty(value = "状态 0:未启用 2:启用中")
    private Integer isEnable;

    @ApiModelProperty(value = "费率")
    private BigDecimal standard;

    @ApiModelProperty(value = "创建人")
    private String creator;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    @ApiModelProperty(value = "修改人")
    private String updater;

    @ApiModelProperty(value = "修改时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date updateDate;

    @ApiModelProperty(value = "数据类型")
    private String typeCode;

    /**
     * 删除状态
     */
    @ApiModelProperty(value="删除状态 0:否 1:是")
    private Integer isDelete;


    @ApiModelProperty(value = "生效时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date startDate;

    @ApiModelProperty(value = "失效时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date endDate;
}
