package com.unis.ynls.irpt.common.VO.rotationreport;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@ApiModel("市级储备粮轮换补贴拨付预算汇总表")
public class RotationSubsidySummaryVO {

    @ApiModelProperty(value = "ID")
    private String id;

    //部门code
    @ApiModelProperty(value = "部门code")
    private String deptCode;

    //组织code
    @ApiModelProperty(value = "组织code")
    private String orgCode;

    @ApiModelProperty(value = "组织")
    private String orgName;

    @ApiModelProperty(value = "轮换年度")
    private String lhnd;

    @ApiModelProperty(value = "申报企业数量")
    private Integer sbqysl;

    @ApiModelProperty(value = "品种编码")
    private String pzbm;

    @ApiModelProperty(value = "品种名称")
    private String pzmc;

    @ApiModelProperty(value = "应拨付轮换补贴")
    private BigDecimal ybflhbt;

    @ApiModelProperty(value = "本次预拨金额")
    private BigDecimal bcybje;

    @ApiModelProperty(value = "拨付日期")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date bfrq;

    //数据类型
    @ApiModelProperty(value = "数据类型 1:预算 2:清算")
    private Integer dataType;

    //制表人
    @ApiModelProperty(value = "制表人")
    private String tabulator;

    //制表时间
    @ApiModelProperty(value = "制表时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date tabulatorDate;

    //复核状态
    @ApiModelProperty(value = "复核状态 0:不同意 1:同意")
    private Integer reviewStatus;

    //复核意见
    @ApiModelProperty(value = "复核意见")
    private String reviewOpinion;

    //复核人
    @ApiModelProperty(value = "复核人")
    private String reviewer;

    //复核时间
    @ApiModelProperty(value = "复核时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date reviewDate;

    //财务领导批示状态
    @ApiModelProperty(value = "财务领导批示状态 0:不同意 1:同意")
    private Integer financeStatus;

    //财务领导批示意见
    @ApiModelProperty(value = "财务领导批示意见")
    private String financeOpinion;

    //财务领导
    @ApiModelProperty(value = "财务领导")
    private String financeUsername;

    //财务领导批示时间
    @ApiModelProperty(value = "财务领导批示时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date financeDate;

    //单位负责人批示状态
    @ApiModelProperty(value = "单位负责人批示状态 0:不同意 1:同意")
    private Integer leaderStatus;

    //单位负责人批示意见
    @ApiModelProperty(value = "单位负责人批示意见")
    private String leaderOpinion;

    //单位负责人
    @ApiModelProperty(value = "单位负责人")
    private String leaderUsername;

    //单位负责人批示时间
    @ApiModelProperty(value = "单位负责人批示时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date leaderDate;

    //状态
    @ApiModelProperty(value = "状态")
    private String status;

    //状态名称
    @ApiModelProperty(value = "状态名")
    private String statusName;

    //是否删除
    @ApiModelProperty(value = "是否删除 0:否 1:是")
    private Integer isDelete;

    //创建人
    @ApiModelProperty(value = "创建人")
    private String creator;

    //创建时间
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    //更新人
    @ApiModelProperty(value = "更新人")
    private String updater;

    //更新时间
    @ApiModelProperty(value = "更新时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date updateDate;

    @ApiModelProperty(value = "预算备注")
    private String ysRemark;

    @ApiModelProperty(value = "预算接收意见")
    private String ysReceiveOpinion;

    @ApiModelProperty(value = "清算备注")
    private String qsRemark;

    @ApiModelProperty(value = "清算接收意见")
    private String qsReceiveOpinion;

    @ApiModelProperty(value = "操作类型")
    private Integer operationType;

    private List<RotationSubsidySummaryDetailVO> detailList;
}
