package com.unis.ynls.irpt.common.VO.rotationreport;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
@ApiModel("市级储备粮轮换补贴申请表")
public class RotationSubsidyVO {

    @ApiModelProperty(value = "ID")
    private String id;

    //部门code
    @ApiModelProperty(value = "部门code")
    private String deptCode;

    //组织code
    @ApiModelProperty(value = "组织code")
    private String orgCode;

    //库点编码
    @ApiModelProperty(value = "承储企业名称")
    private String ccqy;

    //库点名称
    @ApiModelProperty(value = "承储企业编码")
    private String ccqybm;

    //填报期数
    @ApiModelProperty(value = "轮换年度")
    private String lhnd;

    @ApiModelProperty(value = "品种编码")
    private String pzbm;

    @ApiModelProperty(value = "品种名称")
    private String pzmc;

    //单位负责人
    @ApiModelProperty(value = "预算-单位负责人")
    private String ysDwfzr;

    //审核人
    @ApiModelProperty(value = "预算-审核人")
    private String ysShr;

    //制表人
    @ApiModelProperty(value = "预算-制表人")
    private String ysZbr;

    //填报日期
    @ApiModelProperty(value = "预算-填报日期")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date ysTbrq;

    //盖章状态
    @ApiModelProperty(value = "预算-盖章状态 0:未盖章 1:已盖章")
    private Integer ysGzzt;

    //盖章
    @ApiModelProperty(value = "预算-盖章")
    private String ysGz;

    //盖章人
    @ApiModelProperty(value = "预算-盖章人")
    private String ysGzr;

    //盖章时间
    @ApiModelProperty(value = "预算-盖章时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date ysGzsj;

    @ApiModelProperty(value = "预算-接收状态 0:未接受 1:接收")
    private Integer ysJszt;

    //接收人
    @ApiModelProperty(value = "预算-接收人")
    private String ysJsr;

    //接收日期
    @ApiModelProperty(value = "预算-接收日期")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date ysJsrq;

    //状态
    @ApiModelProperty(value = "预算-状态")
    private String ysZt;

    //状态名称
    @ApiModelProperty(value = "预算-状态名")
    private String ysZtmc;

    //单位负责人
    @ApiModelProperty(value = "清算-单位负责人")
    private String qsDwfzr;

    //审核人
    @ApiModelProperty(value = "清算-审核人")
    private String qsShr;

    //制表人
    @ApiModelProperty(value = "清算-制表人")
    private String qsZbr;

    //填报日期
    @ApiModelProperty(value = "清算-填报日期")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date qsTbrq;

    //盖章状态
    @ApiModelProperty(value = "清算-盖章状态 0:未盖章 1:已盖章")
    private Integer qsGzzt;

    //盖章
    @ApiModelProperty(value = "清算-盖章")
    private String qsGz;

    //盖章人
    @ApiModelProperty(value = "清算-盖章人")
    private String qsGzr;

    //盖章时间
    @ApiModelProperty(value = "清算-盖章时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date qsGzsj;

    @ApiModelProperty(value = "清算-接收状态 0:未接受 1:接收")
    private Integer qsJszt;
    //接收人
    @ApiModelProperty(value = "清算-接收人")
    private String qsJsr;

    //接收日期
    @ApiModelProperty(value = "清算-接收日期")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date qsJsrq;

    //状态
    @ApiModelProperty(value = "清算-状态")
    private String qsZt;

    //状态名称
    @ApiModelProperty(value = "清算-状态名")
    private String qsZtmc;

    //是否删除
    @ApiModelProperty(value = "是否删除 0:否 1:是")
    private Integer isDelete;

    //预算拨付状态
    @ApiModelProperty(value = "预算拨付状态 0:未拨付 1:拨付中 2:已拨付")
    private Integer ysbfzt;

    //清算拨付状态
    @ApiModelProperty(value = "清算拨付状态 0:未拨付 1:拨付中 2:已拨付")
    private Integer qsbfzt;

    //创建人
    @ApiModelProperty(value = "创建人")
    private String creator;

    //创建时间
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    //更新人
    @ApiModelProperty(value = "更新人")
    private String updater;

    //更新时间
    @ApiModelProperty(value = "更新时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date updateDate;

    @ApiModelProperty(value = "预算备注")
    private String ysRemark;

    @ApiModelProperty(value = "预算接收意见")
    private String ysReceiveOpinion;

    @ApiModelProperty(value = "清算备注")
    private String qsRemark;

    @ApiModelProperty(value = "清算接收意见")
    private String qsReceiveOpinion;

    //操作类型
    @ApiModelProperty(value = "操作类型 0:保存 1:提交")
    private Integer operationType;

    @ApiModelProperty(value = "预算明细")
    List<RotationSubsidyDetailVO> budgetList;

    @ApiModelProperty(value = "清算明细")
    List<RotationSubsidyDetailVO> liquidateList;

    @ApiModelProperty(value = "轮换协议编码list")
    List<String> lhxybmList;
}
