package com.unis.ynls.irpt.common.VO.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.ArrayList;
import java.util.List;

/**
 * 权限分配 VO
 *
 * @author 杨祖榕
 * @since 2019-01-07 14:04:57
 */
@Getter
@Setter
@ToString
@ApiModel(value = "权限分配",description = "权限分配")
public class RightsAllocationVO {

	@ApiModelProperty(value = "主键，编号")
    private String id;

	@ApiModelProperty(value = "权限分配类型，10：角色权限分配，20：工作组权限分配，30：单位权限分配，50：部门权限分配，60：用户权限分配")
    private Integer alcType;

	@ApiModelProperty(value = "分配对象ID，可以为角色ID、工作组ID、单位ID、部门ID、用户ID")
    private String alcId;

	@ApiModelProperty(value = "权限ID")
    private String rightId;

	@ApiModelProperty(value = "资源类型，10：页面资源，20：数据资源，30：审批资源")
    private Integer resType;

	@ApiModelProperty(value = "页面资源权限list")
    private List<String> pageResourceData = new ArrayList<>();

	@ApiModelProperty(value = "数据资源权限list")
    private List<String> dataResourceData = new ArrayList<>();

	@ApiModelProperty(value = "审批资源权限list")
    private List<String> approveData = new ArrayList<>();

}