package com.unis.ynls.irpt.common.util;

import org.apache.commons.collections.CollectionUtils;

import java.lang.reflect.Field;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class HelpUtils {

    public static <T> List<T> getNeedUpdateSortList(List<T> allList, String targetId, Integer startIndex, Integer endIndex, String idFieldName,String sortFieldName,boolean isAsc) throws IllegalAccessException {
        List<T> buildList = new ArrayList<>();

        if (CollectionUtils.isEmpty(allList) || startIndex.equals(endIndex)) {
            return buildList;
        }
        //需要 修改排序值得 数据集合 不包含 目标对象 本身
        List<T> excludeList = new ArrayList();
        //目标 对象
        T targetBean = null;
        //截取的 开始 索引  和 结束 索引 之间的 list 包含 targetBean(拖拽排序目标自身) 的一个 集合
        List<T> subList = null;

        //需改排序规则 (只修改 索引区间的值)
        //== ================获取 索引区间的 数据集合begin ==================
        boolean flag = endIndex > startIndex;
        //不管上移还是下移，值改变目标当前位置和移动之后位置的orderNum
        if (flag) {
            //下移
            subList = allList.subList(Integer.parseInt(startIndex.toString())-1, Integer.parseInt(endIndex.toString()) );
        } else {
            // 上移  subList左闭右开
            subList = allList.subList(Integer.parseInt(endIndex.toString())-1, Integer.parseInt(startIndex.toString()) );
        }
        //================获取 索引区间的 数据集合   end  ==================

        if (CollectionUtils.isEmpty(subList)) {
            return buildList;
        }

        for (T bean : subList) {
            Field idField = null;
            try {
                idField = bean.getClass().getDeclaredField(idFieldName);
            } catch (NoSuchFieldException e) {
                throw new RuntimeException(e);
            }
            idField.setAccessible(true);
            Object currentId = idField.get(bean);
            if (targetId.equals(currentId)) {
                targetBean = bean;
            } else {
                excludeList.add(bean);
            }
        }

        //============获取 拖拽对象  上移/下移 之后的 sort 值
        T tempBean = null;
        if (flag) {
            tempBean = excludeList.get(excludeList.size() - 1);
        } else {
            tempBean = excludeList.get(0);
        }
        Field sortField = null;
        try {
            sortField = tempBean.getClass().getDeclaredField(sortFieldName);
        } catch (NoSuchFieldException e) {
            throw new RuntimeException(e);
        }
        sortField.setAccessible(true);
        Integer sort = (Integer) sortField.get(tempBean);
        //============获取 拖拽对象  上移/下移 之后的 sort 值   end========================

        //===================修改 目标对象  排序值  begin ==============
        Field targetBeanSortField = null;
        try {
            targetBeanSortField = targetBean.getClass().getDeclaredField(sortFieldName);
        } catch (NoSuchFieldException e) {
            throw new RuntimeException(e);
        }
        targetBeanSortField.setAccessible(true);

        targetBeanSortField.set(targetBean, sort);
        //===================修改 目标对象  排序值  begin ==============
        //================修改  需要排序 区间(排序目标对象自身) 排序值  begin ========
        //处理
        for (T bean : excludeList) {
            try {
                sortField = bean.getClass().getDeclaredField(sortFieldName);
            } catch (NoSuchFieldException e) {
                throw new RuntimeException(e);
            }
            sortField.setAccessible(true);
            sort = (Integer) sortField.get(bean);
            if (isAsc) {
                //正序
                sortField.set(bean, flag ? (sort - 1) : (sort + 1));
            } else {
                //倒叙
                sortField.set(bean, flag ? (sort + 1) : (sort - 1));
            }
        }

        buildList.addAll(excludeList);
        buildList.add(targetBean);
        return buildList;
    }

    public static BigDecimal format(BigDecimal decimal){
        BigDecimal result = decimal != null?decimal:new BigDecimal("0");
        String decimalPart = result.remainder(BigDecimal.ONE).toString();  // 获取小数部分
        int decimalPlaces = decimalPart.length();  // 小数位数
        int sum = 0;
        for (int i = 0; i < decimalPlaces; i++) {
            char digit = decimalPart.charAt(i);
            if(!Character.toString(digit).equals(".")){
                sum += Integer.parseInt(Character.toString(digit));
            }
        }
        if(sum > 0){
            return result.setScale(3,BigDecimal.ROUND_HALF_UP);
        }
        return result.stripTrailingZeros();
    }
}
