/**  
 * @Title:EnforcementTeamController.java
 * @Package: com.unis.ynls.irpt.server.controller
 * @Description: TODO功能描述:(用一句话描述该文件做什么)
 * @Author ZHANGQI
 * @date 2019年10月19日 下午12:17:28
 * @version V1.0  
*/
package com.unis.ynls.irpt.server.controller;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import com.github.pagehelper.PageInfo;
import com.unis.common.utils.ResponseWrapper;
import com.unis.ynls.irpt.common.VO.EnforcementTeamQueryVO;
import com.unis.ynls.irpt.common.VO.EnforcementTeamVO;
import com.unis.ynls.irpt.server.service.EnforcementTeamService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;

/**
 * @ClassName: EnforcementTeamController
 * @Description: TODO功能描述:成立执法队情况统计表
 * @Author ZHANGQI
 * @date 2019年10月19日 下午12:17:28
 * @remark 备注:
*/
@RestController
@Slf4j
@Api(value = "成立执法队情况统计表",tags="成立执法队情况统计表")
public class EnforcementTeamController {
    @Autowired
    private EnforcementTeamService enforcementTeamService;
    
    
    /**
     * 
     * @Title: maxCodeById
     * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
     * @param @param jhId
     * @param @return    设定文件
     * @return ResponseWrapper    返回类型
     * @throws
     */
	@ApiOperation(value = "获取任务ID主键策略方法 ",notes = "参数：jhId-编号")
	@GetMapping(value = "/enmaxCodeById/{jhId}")
	public ResponseWrapper maxCodeById(@PathVariable("jhId")String jhId) {
		try {
			String rwIdString=enforcementTeamService.maxCodeById(jhId);
			if(!StringUtils.isNotBlank(rwIdString)) {
				return ResponseWrapper.success(HttpStatus.BAD_REQUEST.value(), "生成主键策略失败", rwIdString);
			}
            return ResponseWrapper.success(HttpStatus.OK.value(), HttpStatus.OK.getReasonPhrase(), rwIdString);
		  } catch (Exception e) {
	            e.printStackTrace();
	            log.error(e.getMessage());
	        }
	     return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(), HttpStatus.INTERNAL_SERVER_ERROR.getReasonPhrase(),"服务错误，请联系管理员");
	}
    
	/**
	 * 
	 * @Title: enforcementTeamPageList
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param enforcementTeamQueryVO
	 * @param @param pageNum
	 * @param @param pageSize
	 * @param @return    设定文件
	 * @return ResponseWrapper    返回类型
	 * @throws
	 */
    @ApiOperation(value = "条件分页查询【成立执法队情况统计表】")
    @PostMapping(value = "/enforcementTeamPageList/{pageNum}/{pageSize}")
    public ResponseWrapper enforcementTeamPageList(@RequestBody EnforcementTeamQueryVO enforcementTeamQueryVO,
                                             @PathVariable(value = "pageNum") Integer pageNum,
                                             @PathVariable(value = "pageSize") Integer pageSize) {
    	  try {
	            PageInfo<EnforcementTeamVO> pageList = enforcementTeamService.enforcementTeamPageList(enforcementTeamQueryVO, pageNum, pageSize);
	            return ResponseWrapper.success(HttpStatus.OK.value(), "查询成功", pageList);
	        } catch (Exception e) {
	            log.error(e.getMessage());
	            return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(), "查询失败", null);
	        }
    }

    /**
     * 
     * @Title: enforcementTeamInto
     * @Description: TODO方法描述:(报表信息录入【成立执法队情况统计表】)
     * @param @param enforcementTeamVO
     * @param @return    设定文件
     * @return ResponseWrapper    返回类型
     * @throws
     */
    @ApiOperation(value = "报表信息录入【成立执法队情况统计表】")
    @PutMapping(value = "/enforcementTeamInto")
    public ResponseWrapper enforcementTeamInto(@RequestBody EnforcementTeamVO enforcementTeamVO) {
    	  try {
  			int status=enforcementTeamService.enforcementTeamInto(enforcementTeamVO);
  			if(status!=0) {
  				  return ResponseWrapper.success(HttpStatus.OK.value(), "保存失败", null);
  			}
	            return ResponseWrapper.success(HttpStatus.OK.value(), "保存成功", null);
	        } catch (Exception e) {
	            log.error(e.getMessage());
	            return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(), "保存失败", null);
	        }
    }
    
    /**
     * 
     * @Title: enforcementTeamDelete
     * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
     * @param @param enforcementTeamVO
     * @param @return    设定文件
     * @return ResponseWrapper    返回类型
     * @throws
     */
    @ApiOperation(value = "报表信息删除【成立执法队情况统计表】")
    @DeleteMapping(value = "/enforcementTeamDelete")
	public ResponseWrapper enforcementTeamDelete(@RequestBody EnforcementTeamVO enforcementTeamVO) {
    	 try {
    		int status=enforcementTeamService.enforcementTeamDelete(enforcementTeamVO);
			if(status!=0) {
				  return ResponseWrapper.success(HttpStatus.OK.value(), "删除成功", null);
			}
            return ResponseWrapper.success(HttpStatus.OK.value(), "删除失败", null);
        } catch (Exception e) {
            log.error(e.getMessage());
            return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(), "删除失败", null);
        }
    }

}
