package com.unis.ynls.irpt.server.controller;

import com.alibaba.fastjson.JSON;
import org.apache.commons.lang.ObjectUtils;
import com.unis.common.utils.CurrentUtil;
import com.unis.common.utils.ResponseWrapper;
import com.unis.ynls.irpt.common.VO.BaseFilterVO;
import com.unis.ynls.irpt.common.VO.BaseItemFilterVO;
import com.unis.ynls.irpt.common.VO.DealUrlFlowableVO;
import com.unis.ynls.irpt.server.common.GeneralConstant;
import com.unis.ynls.irpt.server.service.OrgUserService;
import com.unis.ynls.irpt.server.service.TaskInfoService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;
import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;
import java.util.Map;


@RestController
@RequestMapping("/sso")
@SuppressWarnings("all")
@Api(value = "IRPT应用单点", tags = "IRPT应用单点")
public class SSOController {

    @Autowired
    private TaskInfoService taskInfoService;
    @Autowired
    private OrgUserService orgUserService;

    @ApiOperation(value = "根据报表自定义代码返回I报表页面", notes = "参数：I报表自定义代码")
    @GetMapping(value="/web/irpt/{code}")
    public ModelAndView Ilogin(HttpServletRequest request, @PathVariable String code,@RequestParam("pwd")String pwd,@RequestParam("taskid")String taskid) throws Exception{
        ModelAndView model = new ModelAndView();
        String token = request.getParameter("token");
       
        if (ObjectUtils.equals(CurrentUtil.getUserId(),null)) {
            return model;
        }
        String account = CurrentUtil.getUserAccount();
        if ("".equals(account) && "".equals(pwd)) {
            return model;
        } else {
            model.addObject("id", account);
            model.addObject("pwd", "{"+pwd+"}");
            model.addObject("taskid", taskid);
            model.setViewName("isso");
            model.addObject("iurl",GeneralConstant.PROJECT_NAME_IRPT);
            return model;
        }
    }
    @ApiOperation(value = "根据报表自定义代码返回BI报表页面", notes = "参数：BI报表自定义代码")
    @GetMapping(value = "/web/bi/{code}")
    public ModelAndView BIlogin(HttpServletRequest request, @PathVariable String code,@RequestParam("resid")String resid,@RequestParam("pwd")String pwd) {
    	   ModelAndView model = new ModelAndView();
           String token = request.getParameter("token");
          
           if (ObjectUtils.equals(CurrentUtil.getUserId(),null)) {
               return model;
           }
        String account = CurrentUtil.getUserAccount();
     
        if ("".equals(account) && "".equals(pwd)) {
            return model;
        } else {
            model.addObject("id", account);
            model.addObject("pw", "%7B"+pwd+"%7D");
            model.addObject("resid", resid);
            model.setViewName("bisso");
            model.addObject("biurl", GeneralConstant.PROJECT_NAME_BI);
            return model;
        }
    }

	@ApiOperation(value = "bi单点", notes = "参数：")

	@GetMapping(value = "/web/bi47")
	public ModelAndView BI47login(HttpServletRequest request,@RequestParam("pwd")String pwd) {
		  ModelAndView model = new ModelAndView();
		String account = CurrentUtil.getUserAccount();
		if ("".equals(account) && "".equals(pwd)) {
			return model;
		} else {
			model.setViewName("bi47sso");
			model.addObject("biurl",
					"http://lswz:88/BI47/showcoolportal.do?portalid=FB_YN2&id=demo&pw=%7B7545afa0b753ebadfd18e28cbad916b8%7D");
			return model;
		}
	}
	 
    @ApiOperation(value = "【汇总户】根据报表自定义代码返回I报表填报户URL", notes = "参数：报表自定义代码")
    @ApiImplicitParams({@ApiImplicitParam(name = "rptCode", value = "报表自定义代码", required = true) })
    @GetMapping(value="/openRptUrlByRptCodeForCollect/{rptCode}")
    public ResponseWrapper openRptUrlByRptCodeForCollect(@PathVariable("rptCode") String rptCode,@RequestParam("pwd")String pwd,@RequestParam("rptId")String rptId) {
        try {
            String account =CurrentUtil.getUserAccount();
          
            if (StringUtils.isEmpty(account)||StringUtils.isEmpty(pwd)) {
                return ResponseWrapper.error(403, "token过期",null);
            } else if(StringUtils.isEmpty(rptId)) {
                return ResponseWrapper.success(500, "报表真实代码不存在",null);
            }else{
                String irptSso = GeneralConstant.PROJECT_NAME_IRPT+"/oemlogin.do?id="+account+"&pwd={"+pwd+"}&target=task&task="+rptId+"&forcelogin=true&btype=0&curbbhid="+orgUserService.findUserOrgById(account).getOrgid_();
                return ResponseWrapper.success(200, "操作成功", irptSso);
            }
        } catch (NumberFormatException e) {
            e.printStackTrace();
            return ResponseWrapper.error(500,"系统出错",null);
        }
    }
    @ApiOperation(value = "根据报表自定义代码返回I报表URL", notes = "参数：报表自定义代码")
    @ApiImplicitParams({@ApiImplicitParam(name = "rptCode", value = "报表自定义代码", required = true) })
    @GetMapping(value="/openRptUrlByRptCode/{rptCode}")
    public ResponseWrapper openRptUrlByRptCode(@PathVariable("rptCode") String rptCode,@RequestParam("pwd")String pwd,@RequestParam("rptId")String rptId) {
        try {
            String account =CurrentUtil.getUserAccount();

            if (StringUtils.isEmpty(account)||StringUtils.isEmpty(pwd)) {
                return ResponseWrapper.error(403, "token过期",null);
            } else if(StringUtils.isEmpty(rptId)) {
                return ResponseWrapper.success(500, "报表真实代码不存在",null);
            }else{
                String irptSso = GeneralConstant.PROJECT_NAME_IRPT+"/oemlogin.do?id="+account+"&pwd={"+pwd+"}&target=task&task="+rptId+"&forcelogin=true&btype=0";
                return ResponseWrapper.success(200, "操作成功", irptSso);
            }
        } catch (NumberFormatException e) {
            e.printStackTrace();
            return ResponseWrapper.error(500,"系统出错",null);
        }
    }
    @ApiOperation(value = "【查看】I报表上报页面URL", notes = "参数：统一社会信用代码，报表期，报表code")
    @ApiImplicitParams({ @ApiImplicitParam(name = "zzjgdm", value = "统一社会信用代码", required = true),
            @ApiImplicitParam(name = "bbq", value = "报表期", required = true),
            @ApiImplicitParam(name = "code", value = "I报表TASK_ID", required = true) })
    @GetMapping(value="/openIrpt/{zzjgdm}/{bbq}/{code}")
    public ResponseWrapper openIrpt(HttpServletRequest request, @PathVariable String zzjgdm, @PathVariable String bbq, @PathVariable String code,@RequestParam("pwd")String pwd,@RequestParam("taskId")String taskId) {
        try {
            String account =CurrentUtil.getUserAccount();
            if ("".equals(account) && "".equals(pwd)) {
                return ResponseWrapper.error(403, "token过期",null);
            } else {
                String irptSso = GeneralConstant.PROJECT_NAME_IRPT+"/oemlogin.do?id="+account+"&pwd={"+pwd+"}&command=show&target=task&userid="+zzjgdm+"&bbq="+bbq+"&task="+taskId+"&btype=0&readonly=true";
                return ResponseWrapper.success(200, "操作成功", irptSso);
            }
        } catch (NumberFormatException e) {
            e.printStackTrace();
            return ResponseWrapper.error(500,"系统出错",null);
        }
    }
    @ApiOperation(value = "【指定】报表期I报表上报页面URL", notes = "参数：机构代码，报表期，报表code")
    @ApiImplicitParams({ @ApiImplicitParam(name = "zzjgdm", value = "机构代码", required = true),
            @ApiImplicitParam(name = "bbq", value = "报表期", required = true),
            @ApiImplicitParam(name = "code", value = "I报表TASK_ID", required = true) })
    @GetMapping(value="/openFillIrptPage/{zzjgdm}/{bbq}/{code}")
    public ResponseWrapper openFillIrptPage(HttpServletRequest request, @PathVariable("zzjgdm") String zzjgdm, @PathVariable("bbq") String bbq, @PathVariable("code") String code,@RequestParam("pwd")String pwd,@RequestParam("taskid")String taskid) {
        try {
            String account =CurrentUtil.getUserAccount();
            if ("".equals(account) && "".equals(pwd)) {
                return ResponseWrapper.error(403, "token过期",null);
            } else {
                String irptSso = GeneralConstant.PROJECT_NAME_IRPT+"/oemlogin.do?id="+account+"&pwd={"+pwd+"}&target=task&userid="+zzjgdm+"&task="+taskid+"&bbq="+bbq+"&forcelogin=true&btype=0";
                return ResponseWrapper.success(200, "操作成功", irptSso);
            }
        } catch (NumberFormatException e) {
            e.printStackTrace();
            return ResponseWrapper.error(500,"系统出错",null);
        }
    }
    

    /**********李云波6月20号的版本**************/

/*    @ApiOperation(value = "【动态或指定】报表期I报表上报页面URL", notes = "参数：机构类型（10粮食局，20企业），I报表代码")
    @PostMapping(value="/openFillDynamicIrptPage")
    public ResponseWrapper openFillDynamicIrptPage(HttpServletRequest request, @RequestBody BaseFilterVO baseFilterVO) {
        try {
            String account =currentUtils.getAccount();
            String pw =currentUtils.getPassWord();
            String unitCode;
            //机构代码不为空说明已办表示待填
            if(StringUtils.isEmpty(baseFilterVO.getUnitCode())){
                unitCode=orgUserService.findUserOrgById(account).getOrgid_();
            }else{
                unitCode=baseFilterVO.getUnitCode();
            }
            String taskId = (String) reportClient.getRptIdByRptCode(baseFilterVO.getTaskId()).getData();
            if (StringUtils.isEmpty(account)&&StringUtils.isEmpty(pw)) {
                return ResponseWrapper.error(403, "token过期");
            } else if(StringUtils.isEmpty(taskId)) {
                return ResponseWrapper.error(500, "报表不存在");
            } else{
                String bbq="";
                if(StringUtils.isNotEmpty(baseFilterVO.getBbq())){
                    bbq+=baseFilterVO.getBbq();
                }else{
                    bbq+=taskInfoService.queryReportBbqByTaskId(taskId,unitCode);
                }
                String irptSso = GeneralConstant.PROJECT_NAME_IRPT+"/oemlogin.do?id="+account+"&pwd={"+pw+"}&target=task&task="+taskId+"&bbq="+bbq+"&forcelogin=true&btype=0&curbbhid="+unitCode;
                return ResponseWrapper.success(200, "操作成功", irptSso);
            }
        } catch (NumberFormatException e) {
            e.printStackTrace();
            return ResponseWrapper.error(500,"系统出错");
        }
    }*/
    
    
        /*****6月20号之前的版本**********/
    @ApiOperation(value = "【动态或指定】报表期I报表上报页面URL", notes = "参数：机构类型（10粮食局，20企业），I报表代码")
    @PostMapping(value="/openFillDynamicIrptPage")
    public ResponseWrapper openFillDynamicIrptPage(HttpServletRequest request, @RequestBody BaseFilterVO baseFilterVO,@RequestParam("pwd")String pwd,@RequestParam("taskid")String taskid) {
        try {
            String unitCode;
            String bType;
            //机构代码不为空说明已办表示待填
            if(StringUtils.isEmpty(baseFilterVO.getUnitCode())){
                bType="";
                if("10".equals(baseFilterVO.getSign())){
                    unitCode=CurrentUtil.getAreaCode();
                }else{
                    unitCode=CurrentUtil.getCreditCode();
                }
            }else{
                unitCode=baseFilterVO.getUnitCode();
                bType="&btype=0";
            }
            String account =CurrentUtil.getUserAccount();
            System.out.println("account=="+account);
            System.out.println("pw=="+pwd);
            if (StringUtils.isEmpty(account)&&StringUtils.isEmpty(pwd)) {
                return ResponseWrapper.error(403, "token过期",null);
            } else if(StringUtils.isEmpty(taskid)) {
                return ResponseWrapper.error(500, "报表不存在",null);
            } else{
                String bbq="";
                if(StringUtils.isNotEmpty(baseFilterVO.getBbq())){
                    bbq+=baseFilterVO.getBbq();
                }else{
                    bbq+=taskInfoService.queryReportBbqByTaskId(taskid,unitCode);
                }
                String irptSso ="";
                if("20".equals(baseFilterVO.getSign())){
                    if("yes".equals(baseFilterVO.getIfJt())){
                        irptSso = GeneralConstant.PROJECT_NAME_IRPT+"/oemlogin.do?id="+account+"&pwd={"+pwd+"}&target=task&task="+taskid+"&curbbhid="+unitCode+"&curbbhtype=0"+"&bbq="+bbq+"&forcelogin=true"+bType;
                    }else{
                        irptSso = GeneralConstant.PROJECT_NAME_IRPT+"/oemlogin.do?id="+account+"&pwd={"+pwd+"}&target=task&task="+taskid+"&userid="+unitCode+"&bbq="+bbq+"&forcelogin=true"+bType;
                    }
                }else{
                    irptSso = GeneralConstant.PROJECT_NAME_IRPT+"/oemlogin.do?id="+account+"&pwd={"+pwd+"}&target=task&task="+taskid+"&userid="+unitCode+"&bbq="+bbq+"&forcelogin=true"+bType;
                }
                if("10".equals(baseFilterVO.getSign())){
                    irptSso = GeneralConstant.PROJECT_NAME_IRPT+"/oemlogin.do?id="+account+"&pwd={"+pwd+"}&target=task&task="+taskid+"&curbbhid="+unitCode+"&curbbhtype=0"+"&bbq="+bbq+"&forcelogin=true"+bType;
                }

                return ResponseWrapper.success(200, "操作成功", irptSso);
            }
        } catch (NumberFormatException e) {
            e.printStackTrace();
            return ResponseWrapper.error(500,"系统出错",null);
        }
    }

    /**  张新亮
     * 7月10号之后的版本
     * @param request
     * @param baseFilterVO
     * @return
     */
    @ApiOperation(value = "【动态或指定】报表期I报表上报页面URL", notes = "参数：机构类型（10粮食局，20企业），I报表代码")
    @PostMapping(value="/openNewFillDynamicIrptPage")
    public ResponseWrapper openNewFillDynamicIrptPage(
            HttpServletRequest request,
            @RequestBody BaseFilterVO baseFilterVO,@RequestParam("pwd")String pwd,@RequestParam("taskid")String taskid
    ) {
        try {
            String unitCode;
            String bType;
            //机构代码不为空说明已办表示待填
            if(StringUtils.isEmpty(baseFilterVO.getUnitCode())){
                bType="";
                if("10".equals(baseFilterVO.getSign())){
                    unitCode=CurrentUtil.getAreaCode();
                }else{
                    unitCode=CurrentUtil.getCreditCode();
                }
            }else{
                unitCode=baseFilterVO.getUnitCode();
                bType="&btype=0";
            }
            String account =CurrentUtil.getUserAccount();
            System.out.println("account=="+account);
            System.out.println("pw=="+pwd);
            Map result=new HashMap();
            if (StringUtils.isEmpty(account)&&StringUtils.isEmpty(pwd)) {
                return ResponseWrapper.error(403, "token过期",null);
            } else if(StringUtils.isEmpty(taskid)) {
                return ResponseWrapper.error(500, "报表不存在",null);
            } else{
                String bbq="";
                if(StringUtils.isNotEmpty(baseFilterVO.getBbq())){
                    bbq+=baseFilterVO.getBbq();
                }else{
                    bbq+=taskInfoService.queryReportBbqByTaskId(taskid,unitCode);
                }
                String irptSso ="";
                if("20".equals(baseFilterVO.getSign())){
                    if("yes".equals(baseFilterVO.getIfJt())){

                        irptSso = GeneralConstant.PROJECT_NAME_IRPT+"/ei/client/adddata.do?id="+account+"&pwd={"+pwd+"}&cmd=show&taskid="+taskid+"&userid="+unitCode+"&btype=9&dataset=main&curbbhid="+unitCode+"&curbbhtype=9&isjchpage=true&bbq="+bbq+"&menuvisible=false&webtaskreadonly=false";
                    }else{
                        irptSso = GeneralConstant.PROJECT_NAME_IRPT+"/ei/client/adddata.do?id="+account+"&pwd={"+pwd+"}&cmd=show&taskid="+taskid+"&userid="+unitCode+"&btype=0&dataset=main&curbbhid="+unitCode+"&curbbhtype=0&isjchpage=true&bbq="+bbq+"&menuvisible=false&webtaskreadonly=false";
                    }
                }

                if("10".equals(baseFilterVO.getSign())){
                    irptSso = GeneralConstant.PROJECT_NAME_IRPT+"/oemlogin.do?id="+account+"&pwd={"+pwd+"}&target=task&task="+taskid+"&curbbhid="+unitCode+"&curbbhtype=0"+"&bbq="+bbq+"&forcelogin=true"+bType;
                }

                result.put("bbq",bbq);
                result.put("irptSso",irptSso);
                return ResponseWrapper.success(200, "操作成功", result);
            }
        } catch (NumberFormatException e) {
            e.printStackTrace();
            return ResponseWrapper.error(500,"系统出错",null);
        }
    }





    /**
     *
     * @Description: 企业端单点irpt返回URL
     * @date 2018年10月26日,下午9:31:43
     * @author tiechanglong
     * @version v1.0
     * @param request
     * @param sign
     * @param code
     * @return
     */
    @ApiOperation(value="企业端单点irpt返回URL",notes="参数：报表code")
    @GetMapping(value="/irpt/{sign}/{code}")
    public ResponseWrapper companyTOIrpt(HttpServletRequest request, @PathVariable Integer sign, @PathVariable String code,@RequestParam("pwd")String pwd,@RequestParam("taskid")String taskid){
        try {
           
            ModelAndView model = new ModelAndView();
            String token = request.getParameter("token");
           
            if (ObjectUtils.equals(CurrentUtil.getUserId(), null)) {
                return ResponseWrapper.error(403, "对象不存在",null);
            }
            String account = CurrentUtil.getUserAccount();
            
            if ("".equals(account) && "".equals(pwd)) {
                return ResponseWrapper.error(403, "token过期",null);
            } else {
                String irptSso = GeneralConstant.PROJECT_NAME_IRPT+ "/oemlogin.do?id=" + account + "&pwd={" + pwd + "}&target=task&task=" + taskid + "&forcelogin=true";
                return ResponseWrapper.success(200, "操作成功", irptSso);
            }
        } catch (NumberFormatException e) {
            e.printStackTrace();
            return ResponseWrapper.error(500,"系统出错",null);
        }
    }
    @ApiOperation(value="企业端单点irpt",notes="参数：用户id，企业端单点irpt")
    @GetMapping(value="/companytooa/{userid}/{taskid}")
    public ResponseWrapper companyTOIrtp(HttpServletRequest request, @PathVariable String userid, @PathVariable String taskid,@RequestParam("pwd")String pwd){
        try {
            if(null==userid){
                return ResponseWrapper.error(401, "未登录",null);
            }
        
          
            String account = CurrentUtil.getUserAccount();
            if ("".equals(account) && "".equals(pwd)) {
                return ResponseWrapper.error(403, "token过期",null);
            } else {
                //bbq,userid,btype
                String irptSso = GeneralConstant.PROJECT_NAME_IRPT+"/oemlogin.do?cmd=show&id="+account+"&pwd={"+pwd+"}&target=task&task="+taskid+"&btype=0&bbq=2017----&userid="+account+"&curbbhid="+account;
                return ResponseWrapper.success(200, "操作成功", irptSso);
            }
        } catch (NumberFormatException e) {
            e.printStackTrace();
            return ResponseWrapper.error(500,"系统出错",null);
        }
    }
    @ApiOperation(value="企业端嵌入irpt",notes="参数：id,页面参数")
    @GetMapping(value="/companytooa/{userid}/{command}/{rshid}")
    public ResponseWrapper companyTOIrptWeb(HttpServletRequest request, @PathVariable String userid, @PathVariable String command, @PathVariable String rshid,@RequestParam("pwd")String pwd){
        try {
            if(null==userid){
                return ResponseWrapper.error(401, "未登录",null);
            }
           
            if(ObjectUtils.equals(CurrentUtil.getUserId(),null)){
                return ResponseWrapper.error(403, "对象不存在",null);
            }
            String account = CurrentUtil.getUserAccount();
            if ("".equals(account) && "".equals(pwd)) {
                return ResponseWrapper.error(403, "token过期",null);
            } else {
                String irptSso = GeneralConstant.PROJECT_NAME_IRPT+"/esmain/workflow/workflowmgr.do?command="+command+"&rshid="+rshid;
                return ResponseWrapper.success(200, "操作成功", irptSso);
            }
        } catch (NumberFormatException e) {
            e.printStackTrace();
            return ResponseWrapper.error(500,"系统出错",null);
        }
    }
    @ApiOperation(value="单点irpt返回URL",notes="参数：command,rshid")
    @GetMapping(value="/ssoToIrptUrl/{sign}/{command}/{rshid}")
    public ResponseWrapper ssoToIrptUrl(HttpServletRequest request, @PathVariable Integer sign, @PathVariable String command, @PathVariable String rshid,@RequestParam("pwd")String pwd){
        try {
         
            if (ObjectUtils.equals(CurrentUtil.getUserId(),null)) {
                return ResponseWrapper.error(403, "对象不存在",null);
            }
            String account = CurrentUtil.getUserAccount();
            if ("".equals(account) && "".equals(pwd)) {
                return ResponseWrapper.error(403, "token过期",null);
            } else {
                String irptSso = GeneralConstant.PROJECT_NAME_IRPT+"/esmain/workflow/workflowmgr.do?command="+command+"&rshid="+rshid;
                return ResponseWrapper.success(200, "操作成功", irptSso);
            }
        } catch (NumberFormatException e) {
            e.printStackTrace();
            return ResponseWrapper.error(500,"系统出错",null);
        }
    }
    @ApiOperation(value="单点irpt返回web页面",notes="参数：command,rshid")
    @GetMapping(value="/ssoToIrptWeb/{sign}/{command}/{rshid}")
    public ModelAndView ssoToIrptWeb(HttpServletRequest request, @PathVariable Integer sign, @PathVariable String command, @PathVariable String rshid,@RequestParam("pwd")String pwd){
        ModelAndView model = new ModelAndView();
        try {
         
            String account = CurrentUtil.getUserAccount();
            if ("".equals(account) && "".equals(pwd)) {
                model.setStatus(HttpStatus.UNAUTHORIZED);
                return model;
            } else {
                String irptSso = GeneralConstant.PROJECT_NAME_IRPT+"/esmain/workflow/workflowmgr.do?id="+account+"&pwd={"+pwd+"}&command="+command+"&rshid="+rshid;
                model.setViewName("issoweb");
                model.addObject("iurl", irptSso);
                return model;
            }
        } catch (NumberFormatException e) {
            e.printStackTrace();
            model.setStatus(HttpStatus.INTERNAL_SERVER_ERROR);
            model.setViewName("404");
            return model;
        }
    }

    /**
     * 待办事项查看、办理URL
     * @return ResponseWrapper
     * @author liyb
     * @date 2018-11-16 17:17:14
     * @version v1.0
     */
    @ApiOperation(value = "【工作流】查看、办理URL", notes = "参数：10为查看，20为办理，工作流流程ID")
    @ApiImplicitParams({ @ApiImplicitParam(name = "code", value = "10为查看，20为办理", required = true),
            @ApiImplicitParam(name = "proc_inst_id", value = "工作流流程ID", required = true),
            @ApiImplicitParam(name = "act_id", value = "活动ID，办理操作必填"),
            @ApiImplicitParam(name = "task_id", value = "任务ID，办理操作必填")})
    @GetMapping(value="/handle/{code}/{proc_inst_id}/{act_id}/{task_id}")
    public ResponseWrapper handle(HttpServletRequest request, @PathVariable("code") String code, @PathVariable("proc_inst_id") String proc_inst_id, @PathVariable("act_id") String act_id, @PathVariable("task_id") String task_id) {
        if(StringUtils.isNotEmpty(code) && StringUtils.isNotEmpty(proc_inst_id)){
            if("10".equals(code)){
                String irSso = GeneralConstant.PROJECT_NAME_IRPT+"/welcome.do?hideframe=true&hidehead=true#navigator:/esmain/workflow/workflowmgr.do?command=mgrinstancesdetail&processInstanceId="+proc_inst_id+"&rshid=workflow-mgrinstancesdetail";
                return ResponseWrapper.success(200, "操作成功", irSso);
            }else if ("20".equals(code)){
                if(StringUtils.isNotEmpty(act_id) && StringUtils.isNotEmpty(task_id)){
                    String irSso = GeneralConstant.PROJECT_NAME_IRPT+"/welcome.do?hideframe=true&hidehead=true#navigator:/esmain/workflow/workflowmgr.do?command=todotasks&taskid="+act_id+"&slid="+proc_inst_id+"&activitiId="+task_id+"&workflowShowSubmitVisible=false&rshid=workflow-dotask";
                    return ResponseWrapper.success(200, "操作成功", irSso);
                }else{
                    return ResponseWrapper.error(320, "任务ID或活动ID参数为空",null);
                }
            }else{
                return ResponseWrapper.error(500, "code值错误",null);
            }
        }else{
            return ResponseWrapper.error(320, "参数值为空",null);
        }
    }



    /**
     * 待办事项查看、办理URL
     * @return ResponseWrapper
     * @author liyb
     * @date 2018-11-16 17:17:14
     * @version v1.0
     */
    @ApiOperation(value = "【工作流】查看、办理URL", notes = "参数：10为查看，20为办理，工作流流程ID")
    @ApiImplicitParams({ @ApiImplicitParam(name = "code", value = "10为查看，20为办理", required = true),
            @ApiImplicitParam(name = "proc_inst_id", value = "工作流流程ID", required = true),
            @ApiImplicitParam(name = "act_id", value = "活动ID，办理操作必填"),
            @ApiImplicitParam(name = "task_id", value = "任务ID，办理操作必填")})
    @PostMapping(value="/dealUrlFlowable")
    public ResponseWrapper dealUrlFlowable(
            @RequestBody DealUrlFlowableVO flowableVO,@RequestParam("pwd") String pwd,@RequestParam("taskId")String taskId
    ) {
        String account=CurrentUtil.getUserAccount();

        if ("".equals(account) && "".equals(pwd)) {
            return ResponseWrapper.error(403, "token过期",null);
        }

        //汇总户 或者基层户  0 基层户
        if("10".equals(flowableVO.getCode())){
            String areaCode=CurrentUtil.getAreaCode();
            String irSso = GeneralConstant.PROJECT_NAME_IRPT+"/ei/client/adddata.do?id="+account+"&pwd={"+pwd+"}"+"&cmd=show&taskid="+taskId+"&userid="+flowableVO.getUserCreditCode()+"&bbq="+flowableVO.getBbq()+"&btype="+flowableVO.getBtype()+"&dataset=main&curbbhid="+areaCode+"&curbbhtype="+flowableVO.getBtype()+"&webtaskreadonly="+flowableVO.getWebtaskreadonly();
            return ResponseWrapper.success(200, "操作成功", irSso);
        }else if ("20".equals(flowableVO.getCode())){
            String creditCode=CurrentUtil.getCreditCode();
            String irSso = GeneralConstant.PROJECT_NAME_IRPT+"/ei/client/adddata.do?id="+account+"&pwd={"+pwd+"}"+"&cmd=show&taskid="+taskId+"&userid="+flowableVO.getUserCreditCode()+"&bbq="+flowableVO.getBbq()+"&btype="+flowableVO.getBtype()+"&dataset=main&curbbhid="+creditCode+"&curbbhtype="+flowableVO.getBtype()+"&webtaskreadonly="+flowableVO.getWebtaskreadonly();
            return ResponseWrapper.success(200, "操作成功", irSso);
        }else{
            return ResponseWrapper.error(500, "code值错误",null);
        }
    }





    /**
     * 待办事项查看、办理URL
     * @return ResponseWrapper
     * @author liyb
     * @date 2018-11-16 17:17:14
     * @version v1.0
     */
    @ApiOperation(value = "【工作流】查看、办理URL", notes = "参数：10为查看，20为办理，工作流流程ID,活动ID,任务ID")
    @PostMapping(value="/openItemUrl")
    public ResponseWrapper openItemUrl(HttpServletRequest request, @RequestBody BaseItemFilterVO baseItemFilterVO) {
        if(StringUtils.isNotEmpty(baseItemFilterVO.getProcInstIid())&&StringUtils.isNotEmpty(baseItemFilterVO.getCode())){
            if("10".equals(baseItemFilterVO.getCode())){
                String irSso = GeneralConstant.PROJECT_NAME_IRPT+"/welcome.do?hideframe=true&hidehead=true#navigator:/esmain/workflow/workflowmgr.do?command=mgrinstancesdetail&processInstanceId="+baseItemFilterVO.getProcInstIid()+"&rshid=workflow-mgrinstancesdetail";
                return ResponseWrapper.success(200, "操作成功", irSso);
            }else if ("20".equals(baseItemFilterVO.getCode())){
                if(StringUtils.isNotEmpty(baseItemFilterVO.getActId()) && StringUtils.isNotEmpty(baseItemFilterVO.getTaskId())){
                    String irSso = GeneralConstant.PROJECT_NAME_IRPT+"/welcome.do?hideframe=true&hidehead=true#navigator:/esmain/workflow/workflowmgr.do?command=todotasks&taskid="+baseItemFilterVO.getActId()+"&slid="+baseItemFilterVO.getProcInstIid()+"&activitiId="+baseItemFilterVO.getTaskId()+"&workflowShowSubmitVisible=false&rshid=workflow-dotask";
                    return ResponseWrapper.success(200, "操作成功", irSso);
                }else{
                    return ResponseWrapper.error(320, "任务ID或活动ID参数为空",null);
                }
            }else{
                return ResponseWrapper.error(500, "code值错误",null);
            }
        }else{
            return ResponseWrapper.error(320, "参数值为空",null);
        }
    }
}