package com.unis.ynls.irpt.server.controller;

import com.unis.common.utils.ResponseWrapper;
import com.unis.ynls.irpt.common.VO.reservereport.*;
import com.unis.ynls.irpt.server.service.ReserveReportService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/subsidy-standard")
@Slf4j
@Api(value = "财务报表-市级储备粮油储存费用补贴标准", tags = "财务报表-市级储备粮油储存费用补贴标准")
public class SubsidyStandardController {

    @Autowired
    private ReserveReportService reserveReportService;


    /******************************财务报表-市级储备粮油储存费用补贴标准*****************************/

    //财务报表-市级储备粮油储存费用补贴标准-新增接口
    @ApiOperation(value = "财务报表-市级储备粮油储存费用补贴标准-新增接口", notes = "参数：StorageSubsidyStandardVO")
    @PostMapping(value = "/save")
    public ResponseWrapper saveStorageSubsidyStandard(@RequestBody StorageSubsidyStandardVO standardVO) {
        try {
            return reserveReportService.saveStorageSubsidyStandard(standardVO);
        } catch (Exception e) {
            log.error("ReserveReportController.saveStorageSubsidyStandard{}:" + e.getMessage());
            return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(),HttpStatus.INTERNAL_SERVER_ERROR.getReasonPhrase(),"服务错误，联系管理员");
        }
    }

    //财务报表-市级储备粮油储存费用补贴标准-新增接口
    @ApiOperation(value = "财务报表-市级储备粮油储存费用补贴标准-修改接口", notes = "参数：StorageSubsidyStandardVO")
    @PutMapping(value = "/update")
    public ResponseWrapper updateStorageSubsidyStandard(@RequestBody StorageSubsidyStandardVO standardVO) {
        try {
            //判断id是否为空
            if(StringUtils.isEmpty(standardVO.getId())){
                return ResponseWrapper.invalid();
            }
            return reserveReportService.updateStorageSubsidyStandard(standardVO);
        } catch (Exception e) {
            log.error("ReserveReportController.updateStorageSubsidyStandard{}:" + e.getMessage());
            return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(),HttpStatus.INTERNAL_SERVER_ERROR.getReasonPhrase(),"服务错误，联系管理员");
        }
    }

    //财务报表-市级储备粮油储存费用补贴标准-分页列表查询接口
    @ApiOperation(value = "财务报表-市级储备粮油储存费用补贴标准-分页列表查询接口")
    @PostMapping(value = "/page/{pageNum}/{pageSize}")
    public ResponseWrapper getStorageSubsidyStandardPageList(@PathVariable("pageNum")Integer pageNum,@PathVariable("pageSize")Integer pageSize,@RequestBody StorageSubsidyStandardQueryVO queryVO) {
        try {
            return ResponseWrapper.success(reserveReportService.getStorageSubsidyStandardPageList(pageNum,pageSize,queryVO));
        } catch (Exception e) {
            log.error("ReserveReportController.getStorageSubsidyStandardPageList{}:" + e.getMessage());
            return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(),HttpStatus.INTERNAL_SERVER_ERROR.getReasonPhrase(),"服务错误，联系管理员");
        }
    }

    //财务报表-市级储备粮油储存费用补贴标准-分页列表查询接口
    @ApiOperation(value = "财务报表-市级储备粮油储存费用补贴标准-列表查询接口")
    @PostMapping(value = "/list")
    public ResponseWrapper getStorageSubsidyStandardList(@RequestBody StorageSubsidyStandardQueryVO queryVO) {
        try {
            return ResponseWrapper.success(reserveReportService.getStorageSubsidyStandardList(queryVO));
        } catch (Exception e) {
            log.error("ReserveReportController.getStorageSubsidyStandardList{}:" + e.getMessage());
            return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(),HttpStatus.INTERNAL_SERVER_ERROR.getReasonPhrase(),"服务错误，联系管理员");
        }
    }

}
