/**  
 * @Title:SupervisionWork.java
 * @Package: com.unis.ynls.irpt.server.controller
 * @Description: TODO功能描述:(用一句话描述该文件做什么)
 * @Author ZHANGQI
 * @date 2019年10月19日 下午6:50:48
 * @version V1.0  
*/
package com.unis.ynls.irpt.server.controller;

import com.github.pagehelper.PageInfo;
import com.unis.common.utils.ResponseWrapper;
import com.unis.ynls.irpt.common.VO.BasicVO;
import com.unis.ynls.irpt.common.VO.SupervisionQueryVO;
import com.unis.ynls.irpt.common.VO.SupervisionVO;
import com.unis.ynls.irpt.server.service.SupervisionService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.*;

/**
 * @ClassName: SupervisionWork
 * @Description: TODO功能描述:粮食流通执法督查工作开展情况统计表
 * @author ZHANGQI
 * @date 2019年10月19日 下午6:50:48
 * @remark 备注:
*/

@RestController
@Slf4j
@Api(value = "粮食流通执法督查工作开展情况统计表",tags="粮食流通执法督查工作开展情况统计表维护")
public class SupervisionController {
	@Autowired
    private SupervisionService supervisionService;
	
	@ApiOperation(value = "条件分页查询【粮食流通执法督查工作开展情况统计表】")
    @PostMapping(value = "/supervisionPageList/{pageNum}/{pageSize}")
    public ResponseWrapper getSupervisionPageList(@RequestBody SupervisionQueryVO supervisionQueryVO,
                                             @PathVariable(value = "pageNum") Integer pageNum,
                                             @PathVariable(value = "pageSize") Integer pageSize) {
		 	try {
	            PageInfo<SupervisionVO> pageList = supervisionService.getStatisticalTablePageList(supervisionQueryVO, pageNum, pageSize);
	            return ResponseWrapper.success(HttpStatus.OK.value(), "查询成功", pageList);
	        } catch (Exception e) {
	            log.error(e.getMessage());
	            return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(), "查询失败", null);
	        }
	 
	 }
	
	
	/**
	 * 
	 * @Title: supervisionDelete
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param supervisionVO
	 * @param @return    设定文件
	 * @return ResponseWrapper    返回类型
	 * @throws
	 */
	   @ApiOperation(value = "报表信息删除【粮食流通执法督查工作开展情况统计表】")
	   @DeleteMapping(value = "/supervisionDelete")
	public ResponseWrapper supervisionDelete(@RequestBody SupervisionVO supervisionVO) {
		  	 try {
	    			int status=supervisionService.supervisionDelete(supervisionVO);
	    			if(status!=0) {
	    				  return ResponseWrapper.success(HttpStatus.OK.value(), "删除成功", null);
	    			}
	  	            return ResponseWrapper.success(HttpStatus.OK.value(), "删除失败", null);
	  	        } catch (Exception e) {
	  	            log.error(e.getMessage());
	  	            return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(), "删除失败", null);
	  	        }
	}
	   
	   		/**
	   		 * 
	   		 * @Title: supervisionInfo
	   		 * @Description: TODO方法描述:(报表信息录入【粮食流通执法督查工作开展情况统计表】)
	   		 * @param @param supervisionVO
	   		 * @param @return    设定文件
	   		 * @return ResponseWrapper    返回类型
	   		 * @throws
	   		 */
	   		@ApiOperation(value = "报表信息录入【粮食流通执法督查工作开展情况统计表】")
	   		@PutMapping(value = "/supervisionInfo")
	   		public ResponseWrapper supervisionInfo(@RequestBody SupervisionVO supervisionVO) {
		  	 try {
	    			int status=supervisionService.supervisionInfo(supervisionVO);
	    			if(status!=0) {
	    				  return ResponseWrapper.success(HttpStatus.OK.value(), "保存失败", null);
	    			}
	  	            return ResponseWrapper.success(HttpStatus.OK.value(), "保存成功", null);
	  	        } catch (Exception e) {
	  	            log.error(e.getMessage());
	  	            return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(), "保存失败", null);
	  	        }
	}
	   		
			@ApiOperation(value = "获取任务ID主键策略方法 ",notes = "参数：jhId-编号")
			@GetMapping(value = "/sumaxCodeById/{jhId}")
			public ResponseWrapper maxCodeById(@PathVariable("jhId")String jhId) {
				try {
					String rwIdString=supervisionService.maxCodeById(jhId);
					if(!StringUtils.isNotBlank(rwIdString)) {
						return ResponseWrapper.success(HttpStatus.BAD_REQUEST.value(), "生成主键策略失败", rwIdString);
					}
		            return ResponseWrapper.success(HttpStatus.OK.value(), HttpStatus.OK.getReasonPhrase(), rwIdString);
				  } catch (Exception e) {
			            e.printStackTrace();
			            log.error(e.getMessage());
			        }
			     return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(), HttpStatus.INTERNAL_SERVER_ERROR.getReasonPhrase(),"服务错误，请联系管理员");
			}



	@ApiOperation(value = "盟市汇总")
	@PutMapping(value = "/supervisionCollect")
	public ResponseWrapper supervisionCollect(@RequestBody BasicVO basicVO,
											  @RequestParam String userName){
	 	try {
			supervisionService.supervisionCollect(basicVO,userName);
	 		if (!basicVO.getUserid().substring(4).equals("00")){
				return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(),HttpStatus.INTERNAL_SERVER_ERROR.getReasonPhrase(),"您的账号等级不够");
			}
	 		return ResponseWrapper.success(HttpStatus.OK.value(),"汇总成功",null);
		}catch (Exception e){
	 		e.printStackTrace();
	 		log.error(e.getMessage());
			return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(),HttpStatus.INTERNAL_SERVER_ERROR.getReasonPhrase(),"服务错误，请联系管理员");

		}
	}
}
