package com.unis.ynls.irpt.server.domain;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.common.utils.LsBeanUtils;
import com.unis.ynls.irpt.common.VO.Report.EmergencyBranchReportsVo;
import com.unis.ynls.irpt.server.entity.EmergencyBranchReportDo;
import com.unis.ynls.irpt.server.mapper.EmergencyBranchReportMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.util.StringUtils;

import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.List;
import java.util.Locale;

@Component
public class EmergencyBranchReportDomain {
    @Autowired
    private EmergencyBranchReportMapper emergencyBranchReportMapper;

    public PageInfo<EmergencyBranchReportsVo> getDetail(Integer pageNum, Integer pageSize,String location) {
        PageInfo<EmergencyBranchReportsVo> pageInfoVo = new PageInfo<>();
        PageHelper.startPage(pageNum, pageSize);
        List<EmergencyBranchReportDo> list = emergencyBranchReportMapper.selectBatchDetail(location);
        for (int i = 0; i < list.size(); i++) {
            if (list.get(i).getAddress().equals("")
                    || list.get(i).getLocation().equals("")
                    || list.get(i).getBusinessname().equals("")
                    ||list.get(i).getContactname().equals("")
                    || list.get(i).getContactphone().equals("")) {
                throw new RuntimeException("您导入的文件错误");
            }
        }
            for (EmergencyBranchReportDo aDos : list) {
                DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy年MM月", Locale.CHINA);
                LocalDate localDate = LocalDate.now();
                String newdate = localDate.format(formatter);
                aDos.setNewdate(newdate);
            }
            PageInfo<EmergencyBranchReportDo> pageInfoDo = new PageInfo<>(list);
            LsBeanUtils.copyAllProperties(pageInfoDo, pageInfoVo);
            return pageInfoVo;
        }

}
