package com.unis.ynls.irpt.server.domain;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.common.utils.LsBeanUtils;;
import com.unis.ynls.irpt.common.VO.Report.EmergencyDetailVO;
import com.unis.ynls.irpt.common.VO.Report.EmergencySummaryVo;
import com.unis.ynls.irpt.server.entity.EmergencyDetailDo;
import com.unis.ynls.irpt.server.mapper.EmergencyDetailMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.Date;
import java.util.List;
import java.util.Locale;

@Component
public class EmergencyDetailDomain {
    @Autowired
    private EmergencyDetailMapper emergencyDetailMapper;

    public PageInfo<EmergencyDetailVO> getEmergencyDetail(Integer pageNum, Integer pageSize,String location) {
        PageInfo<EmergencyDetailVO> pageInfoVo = new PageInfo<>();
        PageHelper.startPage(pageNum, pageSize);
        List<EmergencyDetailDo> list = emergencyDetailMapper.selectEmergencyBatchDetail(location);
        for (int i = 1; i < list.size(); i++) {
            if (list.get(i).getAddress().equals("")
                    || list.get(i).getLocation().equals("")
                    || list.get(i).getBusinessname().equals("")
                    || list.get(i).getContactname().equals("")
                    || list.get(i).getContactphone().equals("")) {
                throw new RuntimeException("您导入的文件错误");
            }
        }
        /*   EmergencySummaryVo emergencySummaryVo = emergencyDetailMapper.selectVo();*/
        for (EmergencyDetailDo aDo : list) {
            DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy年MM月", Locale.CHINA);
            LocalDate localDate = LocalDate.now();
            String newdate = localDate.format(formatter);
            aDo.setNewdate(newdate);
        }
        PageInfo<EmergencyDetailDo> pageInfoDo = new PageInfo<>(list);
        LsBeanUtils.copyAllProperties(pageInfoDo, pageInfoVo);

        return pageInfoVo;
    }
}
