/**  
 * @Title:EnforcementTeamDomain.java
 * @Package: com.unis.ynls.irpt.server.domain
 * @Description: TODO功能描述:(用一句话描述该文件做什么)
 * @Author ZHANGQI
 * @date 2019年10月19日 下午2:08:36
 * @version V1.0  
*/
package com.unis.ynls.irpt.server.domain;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.common.utils.LsBeanUtils;
import com.unis.ynls.irpt.common.VO.EnforcementTeamQueryVO;
import com.unis.ynls.irpt.common.VO.EnforcementTeamVO;
import com.unis.ynls.irpt.common.VO.utils.ArithUtil;
import com.unis.ynls.irpt.server.entity.EnforcementTeamDO;
import com.unis.ynls.irpt.server.mapper.EnforcementTeamMapper;

/**
 * @ClassName: EnforcementTeamDomain
 * @Description: TODO功能描述:
 * @author lqg
 * @date 2019年10月19日 下午2:08:36
 * @remark 备注:
*/
@Component
public class EnforcementTeamDomain extends BaseDomain{
	
	@Autowired
	private EnforcementTeamMapper enforcementTeamMapper;

	/**
	 * @param pageSize 
	 * @param pageNum 
	 * @Title: enforcementTeamPageList
	 * @Description: TODO方法描述:(分页)
	 * @param @param enforcementTeamQueryVO
	 * @param @return    设定文件
	 * @return PageInfo<EnforcementTeamVO>    返回类型
	 * @throws
	*/
	public PageInfo<EnforcementTeamVO> enforcementTeamPageList(EnforcementTeamQueryVO enforcementTeamQueryVO, Integer pageNum, Integer pageSize) {
		PageInfo<EnforcementTeamVO> pageInfoVO = new PageInfo<EnforcementTeamVO>();
		PageHelper.startPage(pageNum, pageSize);
		List<EnforcementTeamDO> enforcementTeamDOs =  enforcementTeamMapper.findPageList(enforcementTeamQueryVO);
		PageInfo<EnforcementTeamDO> PageInfoDO = new PageInfo<EnforcementTeamDO>(enforcementTeamDOs);
		LsBeanUtils.copyAllProperties(PageInfoDO,pageInfoVO);
		return pageInfoVO ;
	}

	/**
	 * @Title: enforcementTeamInto
	 * @Description: TODO方法描述:(信息录入)
	 * @param @param enforcementTeamVO
	 * @param @return    设定文件
	 * @return int    返回类型
	 * @throws
	*/
	public int enforcementTeamInto(EnforcementTeamVO enforcementTeamVO) {
		EnforcementTeamDO enforcementTeamDO=new EnforcementTeamDO();
		LsBeanUtils.copyAllProperties(enforcementTeamVO, enforcementTeamDO);
		
		/**
		 * 首先获取省市县合计数据
		 */
		enforcementTeamDO.setD6(ArithUtil.add(enforcementTeamDO.getE6(), enforcementTeamDO.getF6()));
		enforcementTeamDO.setG6(ArithUtil.add(enforcementTeamDO.getH6(), enforcementTeamDO.getI6()));
		enforcementTeamDO.setC6(ArithUtil.add(enforcementTeamDO.getD6(), enforcementTeamDO.getG6()));
		
		//enforcementTeamDO.setD7(ArithUtil.add(enforcementTeamDO.getE7(), enforcementTeamDO.getF7()));
		//enforcementTeamDO.setG7(ArithUtil.add(enforcementTeamDO.getH7(), enforcementTeamDO.getI7()));
		enforcementTeamDO.setC7(ArithUtil.add(enforcementTeamDO.getD7(), enforcementTeamDO.getG7()));
	
		enforcementTeamDO.setD8(ArithUtil.add(enforcementTeamDO.getE8(), enforcementTeamDO.getF8()));
		enforcementTeamDO.setG8(ArithUtil.add(enforcementTeamDO.getH8(), enforcementTeamDO.getI8()));
		enforcementTeamDO.setC8(ArithUtil.add(enforcementTeamDO.getD8(), enforcementTeamDO.getG8()));
		
		enforcementTeamDO.setC5(ArithUtil.add(enforcementTeamDO.getC6(), enforcementTeamDO.getC7(),enforcementTeamDO.getC8()));
		enforcementTeamDO.setD5(ArithUtil.add(enforcementTeamDO.getD6(), enforcementTeamDO.getD7(),enforcementTeamDO.getD8()));
		//enforcementTeamDO.setE5(ArithUtil.add(enforcementTeamDO.getE6(), enforcementTeamDO.getE7(),enforcementTeamDO.getE8()));
		enforcementTeamDO.setF5(ArithUtil.add(enforcementTeamDO.getF6(), enforcementTeamDO.getF7(),enforcementTeamDO.getF8()));
		enforcementTeamDO.setG5(ArithUtil.add(enforcementTeamDO.getG6(), enforcementTeamDO.getG7(),enforcementTeamDO.getG8()));
		//enforcementTeamDO.setH5(ArithUtil.add(enforcementTeamDO.getH6(), enforcementTeamDO.getH7(),enforcementTeamDO.getH8()));
		enforcementTeamDO.setI5(ArithUtil.add(enforcementTeamDO.getI6(), enforcementTeamDO.getI7(),enforcementTeamDO.getI8()));
		
		if(org.springframework.util.StringUtils.isEmpty(enforcementTeamDO.getBbq())) {
			enforcementTeamMapper.insertSelective(enforcementTeamDO);
		}else {
			enforcementTeamMapper.updateByPrimaryKey(enforcementTeamDO);
		}
		return 0;
	}

	/**
	 * @Title: delete
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param enforcementTeamVO
	 * @param @return    设定文件
	 * @return int    返回类型
	 * @throws
	*/
	public int delete(EnforcementTeamVO enforcementTeamVO) {
		return enforcementTeamMapper.delete(enforcementTeamVO);
	}

	/**
	 * @Title: maxCodeById
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param jhId
	 * @param @return    设定文件
	 * @return String    返回类型
	 * @throws
	*/
	public String maxCodeById(String jhId) {
		return this.getMaxCodeById(enforcementTeamMapper.getMaxCodeById(jhId), jhId,7);
	}

}
