package com.unis.ynls.irpt.server.domain;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.common.utils.DateUtil;
import com.unis.common.utils.LsBeanUtils;
import com.unis.ynls.irpt.common.VO.BasicVO;
import com.unis.ynls.irpt.common.VO.CollectVO;
import com.unis.ynls.irpt.common.VO.StatisticalQueryVO;
import com.unis.ynls.irpt.common.VO.StatisticalVO;
import com.unis.ynls.irpt.common.VO.utils.ArithUtil;
import com.unis.ynls.irpt.server.entity.StatisticalDO;
import com.unis.ynls.irpt.server.entity.SupervisionDO;
import com.unis.ynls.irpt.server.mapper.StatisticalMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * @version1.0
 * @author 张琪
 */
@Component
public class StatisticalDomain extends BaseDomain{
	@Autowired
	private StatisticalMapper statisticalMapper;
	
	/**
	 * @Title: findPageList
	 * @Description: TODO方法描述:(条件分页查询)
	 * @param @param statisticalQueryVO
	 * @param @param pageNum
	 * @param @param pageSize
	 * @param @return    设定文件
	 * @return PageInfo<StatisticalVO>    返回类型
	 * @throws
	 */
	public PageInfo<StatisticalVO> findPageList(StatisticalQueryVO statisticalQueryVO, Integer pageNum, Integer pageSize) {
		PageInfo<StatisticalVO> pageInfoVO = new PageInfo<StatisticalVO>();
		PageHelper.startPage(pageNum, pageSize);
		List<StatisticalDO> statisticalDOs =  statisticalMapper.findPageList(statisticalQueryVO);
		PageInfo<StatisticalDO> PageInfoDO = new PageInfo<StatisticalDO>(statisticalDOs);
		LsBeanUtils.copyAllProperties(PageInfoDO,pageInfoVO);
		return pageInfoVO ;
	}

	/**
	 * @Title: statisticalInto
	 * @Description: TODO方法描述:(报表信息录入)
	 * @param @param statisticalVO
	 * @param @return    设定文件
	 * @return int    返回类型
	 * @throws
	*/
	public int statisticalInto(StatisticalVO statisticalVO) {
		
		StatisticalDO statisticalDO=new StatisticalDO();
		LsBeanUtils.copyAllProperties(statisticalVO, statisticalDO);
		
		/**********************************行政区数（个）**************************************/
		
		// 行政区数
//		statisticalDO.setC5(ArithUtil.add(statisticalDO.getC6(), statisticalDO.getC7(),statisticalDO.getC8()));
		
		/**********************************粮食行政机构设置情况**************************************/
		
		statisticalDO.setP6(ArithUtil.add(statisticalDO.getQ6(), statisticalDO.getR6(),statisticalDO.getS6()));
		statisticalDO.setP7(ArithUtil.add(statisticalDO.getQ7(), statisticalDO.getR7(),statisticalDO.getS7()));
		statisticalDO.setP8(ArithUtil.add(statisticalDO.getQ8(), statisticalDO.getR8(),statisticalDO.getS8()));

		// 合计
		statisticalDO.setP5(ArithUtil.add(statisticalDO.getP6(), statisticalDO.getP7(),statisticalDO.getP8()));
		// 独立机构
		statisticalDO.setQ5(ArithUtil.add(statisticalDO.getQ6(), statisticalDO.getQ7(),statisticalDO.getQ8()));
		// 加挂牌子
		statisticalDO.setR5(ArithUtil.add(statisticalDO.getR6(), statisticalDO.getR7(),statisticalDO.getR8()));
		// 职能整合入其他部门
		statisticalDO.setS5(ArithUtil.add(statisticalDO.getS6(), statisticalDO.getS7(),statisticalDO.getS8()));
		
		
		
		/**********************************粮食部门人员编制情况 **************************************/
		
		statisticalDO.setD6(ArithUtil.add(statisticalDO.getE6(), statisticalDO.getF6()));
		statisticalDO.setD7(ArithUtil.add(statisticalDO.getE7(), statisticalDO.getF7()));
		statisticalDO.setD8(ArithUtil.add(statisticalDO.getE8(), statisticalDO.getF8()));

		//合计
		statisticalDO.setD5(ArithUtil.add(statisticalDO.getD6(), statisticalDO.getD7(),statisticalDO.getD8()));
		// 行政编制
		statisticalDO.setE5(ArithUtil.add(statisticalDO.getE6(), statisticalDO.getE7(),statisticalDO.getE8()));
		// 事业编制
		statisticalDO.setF5(ArithUtil.add(statisticalDO.getF6(), statisticalDO.getF7(),statisticalDO.getF8()));
		
	
		
		/**********************************粮食部门内设执法督查机构情况 *************************************/
		
//		//省
//		statisticalDO.setH6(ArithUtil.add(statisticalDO.getI6(), statisticalDO.getJ6(),statisticalDO.getK6()));
//		//地区
//		statisticalDO.setH7(ArithUtil.add(statisticalDO.getI7(), statisticalDO.getJ7(),statisticalDO.getK7()));
//		//县
//		statisticalDO.setH8(ArithUtil.add(statisticalDO.getI8(), statisticalDO.getJ8(),statisticalDO.getK8()));
//		
//		//小计
//		statisticalDO.setH5(ArithUtil.add(statisticalDO.getH6(), statisticalDO.getH7(),statisticalDO.getH8()));
//		//独立设立执法督查（监督检查）处、（科、股）
//		statisticalDO.setI5(ArithUtil.add(statisticalDO.getI6(), statisticalDO.getI7(),statisticalDO.getI8()));
//		//加挂执法督查（监督检查）处（科、股）牌子
//		statisticalDO.setJ5(ArithUtil.add(statisticalDO.getJ6(), statisticalDO.getJ7(),statisticalDO.getJ8()));
//		//职能整合入其他部门
//		statisticalDO.setK5(ArithUtil.add(statisticalDO.getK6(), statisticalDO.getK7(),statisticalDO.getK8()));
//		
//	
//		
		/********************************** 具备行政执法（监督检查）资格人数 *************************************/
		//SUM
		statisticalDO.setL5(ArithUtil.add(statisticalDO.getL6(), statisticalDO.getL7(),statisticalDO.getL8()));
		//其中：获得粮食监督检查证的人数
		statisticalDO.setM5(ArithUtil.add(statisticalDO.getM6(), statisticalDO.getM7(),statisticalDO.getM8()));
		
		if(org.springframework.util.StringUtils.isEmpty(statisticalDO.getBbq())) {
			statisticalMapper.insertSelective(statisticalDO);
		}else {
			statisticalMapper.updateByPrimaryKey(statisticalDO);
		}

		return 0;
	}

	/**
	 * @Title: statisticalDelete
	 * @Description: TODO方法描述:(报表信息删除【执法督查机构、人员和经费情况统计表】)
	 * @param @param statisticalVO
	 * @param @return    设定文件
	 * @return int    返回类型
	 * @throws
	*/
	public int statisticalDelete(StatisticalVO statisticalVO) {
		return statisticalMapper.delete(statisticalVO);
	}
	
	/**
	 * @Title: maxCodeById
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param jhId
	 * @param @return    设定文件
	 * @return String    返回类型
	 * @throws
	*/
	public String maxCodeById(String jhId) {
		return this.getMaxCodeById(statisticalMapper.getMaxCodeById(jhId), jhId,7);
	}

	public String findMaxId() {
		return statisticalMapper.findMaxId();
	}


}

