/**  
 * @Title:SupervisionDomain.java
 * @Package: com.unis.ynls.irpt.server.domain
 * @Description: TODO功能描述:(用一句话描述该文件做什么)
 * @Author ZHANGQI
 * @date 2019年10月19日 下午7:05:33
 * @version V1.0  
*/
package com.unis.ynls.irpt.server.domain;

import java.util.Date;
import java.util.List;

import com.unis.common.utils.DateUtil;
import com.unis.ynls.irpt.common.VO.BasicVO;
import com.unis.ynls.irpt.common.VO.CollectVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.common.utils.LsBeanUtils;
import com.unis.ynls.irpt.common.VO.SupervisionQueryVO;
import com.unis.ynls.irpt.common.VO.SupervisionVO;
import com.unis.ynls.irpt.common.VO.utils.ArithUtil;
import com.unis.ynls.irpt.server.entity.SupervisionDO;
import com.unis.ynls.irpt.server.mapper.SupervisionMapper;

/**
 * @ClassName: SupervisionDomain
 * @Description: TODO功能描述:
 * @author ZHANGQI
 * @date 2019年10月19日 下午7:05:33
 * @remark 备注:
*/
@Component
public class SupervisionDomain extends BaseDomain{

	@Autowired
	private SupervisionMapper supervisionMapper;
	
	/**
	 * 
	 * @Title: findPageList
	 * @Description: TODO方法描述:(分页)
	 * @param @param supervisionQueryVO
	 * @param @param pageNum
	 * @param @param pageSize
	 * @param @return    设定文件
	 * @return PageInfo<SupervisionVO>    返回类型
	 * @throws
	 */
	public PageInfo<SupervisionVO> findPageList(SupervisionQueryVO supervisionQueryVO, Integer pageNum, Integer pageSize) {
		PageInfo<SupervisionVO> pageInfoVO = new PageInfo<SupervisionVO>();
		PageHelper.startPage(pageNum, pageSize);
		List<SupervisionDO> supervisionDOs =  supervisionMapper.findPageList(supervisionQueryVO);
		PageInfo<SupervisionDO> PageInfoDO = new PageInfo<SupervisionDO>(supervisionDOs);
		LsBeanUtils.copyAllProperties(PageInfoDO,pageInfoVO);
		return pageInfoVO ;
	}

	/**
	 * @Title: delete
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param supervisionVO
	 * @param @return    设定文件
	 * @return ResponseWrapper    返回类型
	 * @throws
	*/
	public int delete(SupervisionVO supervisionVO) {
		return supervisionMapper.delete(supervisionVO);
	}

	/**
	 * @Title: supervisionInfo
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param supervisionVO
	 * @param @return    设定文件
	 * @return int    返回类型
	 * @throws
	*/
	public int supervisionInfo(SupervisionVO supervisionVO) {
		SupervisionDO supervisionDO=new SupervisionDO();
		LsBeanUtils.copyAllProperties(supervisionVO, supervisionDO);
		//C2总计=单+综合
		supervisionDO.setC4(ArithUtil.add(supervisionDO.getC5(), supervisionDO.getC6(), supervisionDO.getC7(), supervisionDO.getC8(), supervisionDO.getC9()) .add(ArithUtil.add(supervisionDO.getC10(), supervisionDO.getC11(), supervisionDO.getC12(), supervisionDO.getC13(), supervisionDO.getC14())));
		supervisionDO.setD4(ArithUtil.add(supervisionDO.getD5(), supervisionDO.getD6(), supervisionDO.getD7(), supervisionDO.getD8(), supervisionDO.getD9()) .add(ArithUtil.add(supervisionDO.getD10(), supervisionDO.getD11(), supervisionDO.getD12(), supervisionDO.getD13(), supervisionDO.getD14())));
		supervisionDO.setC2(ArithUtil.add(supervisionDO.getC3(), supervisionDO.getC4()));
		supervisionDO.setD2(ArithUtil.add(supervisionDO.getD3(),supervisionDO.getD4()));
		if(org.springframework.util.StringUtils.isEmpty(supervisionVO.getBbq())) {
			supervisionMapper.insertSelective(supervisionDO);
		}else {
			supervisionMapper.updateByPrimaryKey(supervisionDO);
		}
		return 0;
	}

	/**
	 * @Title: maxCodeById
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param jhId
	 * @param @return    设定文件
	 * @return String    返回类型
	 * @throws
	*/
	public String maxCodeById(String jhId) {
		return this.getMaxCodeById(supervisionMapper.getMaxCodeById(jhId), jhId,7);
	}

    public void supervisionCollect(BasicVO basicVO,String userName) {
		String submitdate = basicVO.getSubmitdate();
		int i = submitdate.indexOf("_");
		//int j = submitdate.lastIndexOf("_");
		String yyyy = submitdate.substring(0, i);
		String mm = submitdate.substring(i + 1);
		//String dd = submitdate.substring(j + 1);
		//String bbq=yyyy+mm+dd+"--";
		String bbq = yyyy+mm+"--";
		String userid = basicVO.getUserid();
		CollectVO collectVO = supervisionMapper.selectCollectByBbq(bbq,userid);
		//新增基础表
		basicVO.setBbq(bbq);
		basicVO.setBtype("9");
		basicVO.setShtag("1");
		basicVO.setShtag2("1");
		basicVO.setOption("1");
		basicVO.setUsershtag2("1");
		basicVO.setTag("0");
		supervisionMapper.basicInsert(basicVO);
		//新增主表
		SupervisionDO supervisionDO = new SupervisionDO();
		supervisionDO.setBbq(bbq);
		supervisionDO.setUserid(basicVO.getUserid());
		supervisionDO.setBtype("9");
		supervisionDO.setShtag("1");
		supervisionDO.setShtag2("1");
		supervisionDO.setOption("0");
		supervisionDO.setC3(collectVO.getJccs());
		supervisionDO.setD3(collectVO.getJcqy());
		supervisionDO.setC5(collectVO.getC5());
		supervisionDO.setD5(collectVO.getD5());
		supervisionDO.setB16(basicVO.getUsername());
		supervisionDO.setD16(userName);
		supervisionDO.setB17(userName);
		supervisionDO.setD17(DateUtil.getDate());
		supervisionMapper.supervisionInsert(supervisionDO);



	}
}
