package com.unis.ynls.irpt.server.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

@Data
@ApiModel("按生产年份分项统计表")
@Table(name = "divided_year")
public class DividedByYearDo {
    @Id
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;

    @ApiModelProperty(value = "品种名称")
    @Column(name = "pzmc")
    private String pzmc;

    @ApiModelProperty(value = "品种编码")
    @Column(name = "pzbm")
    private String pzbm;

    @ApiModelProperty(value = "期末库存")
    @Column(name = "qmkc")
    private BigDecimal qmkc;

    @ApiModelProperty(value = "当年期末库存")
    @Column(name = "dqmkc")
    private BigDecimal dqmkc;

    @ApiModelProperty(value = "一年前期末库存")
    @Column(name = "oneqmkc")
    private BigDecimal oneqmkc;

    @ApiModelProperty(value = "两年前期末库存")
    @Column(name = "twoqmkc")
    private BigDecimal twoqmkc;

    @ApiModelProperty(value = "三年前期末库存")
    @Column(name = "threeqmkc")
    private BigDecimal threeqmkc;

    @ApiModelProperty(value = "四年前期末库存")
    @Column(name = "fourqmkc")
    private BigDecimal fourqmkc;

    @ApiModelProperty(value = "所属库点编码")
    @Column(name = "sskd")
    private String sskd;

    @ApiModelProperty(value = "所属库点名称")
    @Column(name = "sskdmc")
    private String sskdmc;

    @ApiModelProperty(value = "审核状态，1：通过，2：未通过")
    @Column(name = "status")
    private BigDecimal status;

    @ApiModelProperty(value = "调节非调节：1：调节，2：非调节")
    @Column(name = "rotate_type")
    private BigDecimal rotateType;

    private BigDecimal heji;
}
