package com.unis.ynls.irpt.server.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Data
@ApiModel("财务报表")
@Table(name = "finance_report")
public class FinanceReportDO {

    @Id
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;

    @ApiModelProperty(value = "单位代码")
    @Column(name = "dwdm")
    private String dwdm;

    //单位名称
    @ApiModelProperty(value = "单位名称")
    @Column(name = "dwmc")
    private String dwmc;

    //库区代码
    @ApiModelProperty(value = "库区代码")
    @Column(name = "kqdm")
    private String kqdm;

    //库区名称
    @ApiModelProperty(value = "库区名称")
    @Column(name = "kqmc")
    private String kqmc;

    //报表期号
    @ApiModelProperty(value = "报表期号 yyyyMM")
    @Column(name = "bbsj")
    private String bbsj;

    //数据类型 01：资产负债表 02：现金流量表 03：利润表
    @ApiModelProperty(value = "报表名 01:资产负债表 02:现金流量表 03:利润表")
    @Column(name = "bbm")
    private String bbm;

    //状态
    @ApiModelProperty(value = "状态 0:保存 1:提交")
    @Column(name = "status")
    private Integer status;

    //是否删除
    @ApiModelProperty(value = "是否删除 0:否 1:删除")
    @Column(name = "is_delete")
    private Integer isDelete;

    //创建人
    @ApiModelProperty(value = "创建人")
    @Column(name = "creator")
    private String creator;

    //创建时间
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "create_date")
    private Date createDate;

    //更新人
    @ApiModelProperty(value = "更新人")
    @Column(name = "updater")
    private String updater;

    //更新时间
    @ApiModelProperty(value = "更新时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "update_date")
    private Date updateDate;

    @ApiModelProperty(value = "备注")
    @Column(name = "remark")
    private String remark;

}
