package com.unis.ynls.irpt.server.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.unis.ynls.irpt.common.VO.backlog.BaseBacklogVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@ApiModel(value = "RotatePlanProtocolVo（轮换协议）")
public class RotatePlanProtocolVO extends BaseBacklogVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "协议编码")
    private String lhxybm; // 轮换协议编码 XY201908290001

    @ApiModelProperty(value = "协议编号")
    private String xybh;

    @ApiModelProperty(value = "轮换执行申请编码")
    private String lhzxsqbm; // 轮换执行申请编码

    @ApiModelProperty(value = "储备粮企业编码（甲方）市储备粮公司")
    private String cblyq; // 储备粮企业编码（甲方）市储备粮公司

    @ApiModelProperty(value = "储备粮企业名称（甲方）市储备粮公司")
    private String cblqymc; // 储备粮企业名称（甲方）市储备粮公司

    @ApiModelProperty(value = "承储企业编码（乙方）")
    private String ccqy; // 承储企业编码（乙方）

    @ApiModelProperty(value = "承储企业名称（乙方）")
    private String ccqymc;

    @ApiModelProperty(value = "品种编码")
    private String pzbm; // 品种编码

    @ApiModelProperty(value = "品种名称")
    private String lspzmc; // 品种名称

    @ApiModelProperty(value = "轮出总量（吨）")
    private Double lczl; // 轮出总量(吨)

    @ApiModelProperty(value = "轮入总量（吨）")
    private Double lrzl; // 轮入总量(吨)

    @ApiModelProperty(value = "结算价格")
    private Double jsjg; // 结算价格

    @ApiModelProperty(value = "轮换开始日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date lhks; // 轮换开始

    @ApiModelProperty(value = "轮换截止日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date lhjz; // 轮换截止

    @ApiModelProperty(value = "轮入期限")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date rkjz; // 轮入期限

    @ApiModelProperty(value = "出库截止日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date ckjz; // 出库截止

    @ApiModelProperty(value = "编制时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date bzsj; // 编制时间

    @ApiModelProperty(value = "编制人")
    private String bzr; // 编制人

    @ApiModelProperty(value = "协议状态(暂存、公司已确认、双方已确认，撤回)")
    private String xyzt; // 协议状态(暂存、公司已确认、双方已确认，撤回)

//    @ApiModelProperty(value = "出库申请详情列表")
//    private List<RotatePlanExecutionApplyDetailVO> applyDetailList;
//
    @ApiModelProperty(value = "协议详情列表")
    private List<RotatePlanProtocolDetailVO> protocolDetailList;


    @ApiModelProperty(value = "储备粮公司盖章编码")
    private String cblgzbm;

    @ApiModelProperty(value = "库级盖章编码")
    private String kjgzbm;

    @ApiModelProperty(value = "储备粮公司盖章时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date cblgzrq;

    @ApiModelProperty(value = "库级盖章时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date kjgzrq;

    @ApiModelProperty(value = "储备粮公司盖章编码")
    private String cblfddbr;

    @ApiModelProperty(value = "库级盖章编码")
    private String kjfddbr;

    @ApiModelProperty(value = "所属企业 统一社会信用代码")
    private String ssqy;

    @ApiModelProperty(value = "所属库点代码")
    private String sskd;

    @ApiModelProperty(value = "状态，1：正常，0：已作废")
    private Integer status;

    @ApiModelProperty(value = "协议描述")
    private String xyms;
//
//    @ApiModelProperty(value = "待办用户")
//    List<ReceiverCollectionVO> userList;

    @ApiModelProperty(value = "事项详情Url")
    private String itemUrl;// 事项详情url

    private String handlerId; // 已办-处理人主键 （BacklogUpdateVO）

//    List<RotateProgressQueryDetailVO> rotateProgressQueryDetailVOS;

    @ApiModelProperty(value = "轮换协议临时字段")
    private String temp;

    /** 轮换性质  <p>1、包干 2、调节</p>*/
    private Integer rotateType;

    /** 轮换性质  <p>1、包干 2、调节</p>*/
    @ApiModelProperty(value = "是否已上报 0:未上报 1:已上报")
    private Integer haveReport;

    @AllArgsConstructor
    @Getter
    public enum ROTATE_TYPE{
        /** 包干*/
        BG(1, "包干"),
        /** 调节储备*/
        TJCB(2,"调节储备");

        @Setter
        private Integer value;
        @Setter
        private String name;

        public boolean equalsVal(int arg) {
            return this.value == arg;
        }
    }
}
