package com.unis.ynls.irpt.server.entity;
import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 
 * @author 张琪
 * @version 1.0
 * @Title ZyjflstjbDO
 * @ProjectName 执法督查机构、人员和经费情况统计表
 *
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "ilstj_zyjflstjb")
public class StatisticalDO extends BaseEntity {
	
    //BBQ_年度
	@ApiModelProperty(value = "BBQ_", notes = "BBQ_年度", required = false)
	@Column(name = "BBQ_")
	private String bbq;
	
    //USERID_单位名称ID
	@ApiModelProperty(value = "USERID_", notes = "USERID_单位名称ID", required = false)
	@Column(name = "USERID_")
	private String userid;

	@ApiModelProperty(value = "BTYPE_", notes = "BTYPE", required = false)
	@Column(name = "BTYPE_")
	private String btype;

	@ApiModelProperty(value = "SHTAG", notes = "SHTAG", required = false)
	@Column(name = "SHTAG_")
	private String shtag;

	@ApiModelProperty(value = "SHTAG2_", notes = "SHTAG2", required = false)
	@Column(name = "SHTAG2_")
	private String shtag2;

	@ApiModelProperty(value = "OPTION_", notes = "OPTION", required = false)
	@Column(name = "OPTION_")
	private String option;

	@ApiModelProperty(value = "总计1行政区数（个）1", notes = "总计1行政区数（个）1", required = false)
	@Column(name = "B3")
	private BigDecimal b3;
	
 	@ApiModelProperty(value = "总计 粮食行政机构设置情况", notes = "总计 粮食行政机构设置情况", required = false)
 	@Column(name = "C3")
 	private BigDecimal c3;
 	
 	@ApiModelProperty(value = "独立机构总计", notes = "独立机构总计", required = false)
 	@Column(name = "D3")
 	private BigDecimal d3;
 	
 	@ApiModelProperty(value = "事业编制总计", notes = "事业编制总计", required = false)
 	@Column(name = "E3")
 	private BigDecimal e3;
 	
 	@ApiModelProperty(value = "职能整合入其他部门总计", notes = "职能整合入其他部门总计", required = false)
 	@Column(name = "F3")
 	private BigDecimal f3;
 	
 	@ApiModelProperty(value = "部门人员编制情况合计", notes = "部门人员编制情况合计", required = false)
 	@Column(name = "G3")
 	private BigDecimal g3;
 	
 	@ApiModelProperty(value = "行政编制", notes = "行政编制", required = false)
 	@Column(name = "H3")
 	private BigDecimal h3;
 	
 	@ApiModelProperty(value = "事业编制", notes = "事业编制", required = false)
 	@Column(name = "I3")
 	private BigDecimal i3;
 	
 	@ApiModelProperty(value = "内设执法督查机构情况合计", notes = "内设执法督查机构情况合计", required = false)
 	@Column(name = "J3")
 	private BigDecimal j3;
 	
 	@ApiModelProperty(value = "独立设立监督检查处", notes = "独立设立监督检查处", required = false)
 	@Column(name = "K3")
 	private BigDecimal k3;
 	
 	@ApiModelProperty(value = "加挂", notes = "加挂", required = false)
 	@Column(name = "L3")
 	private BigDecimal l3;
 	
 	@ApiModelProperty(value = "其他部门", notes = "其他部门", required = false)
 	@Column(name = "M3")
 	private BigDecimal m3;
 	
 	@ApiModelProperty(value = "具备行政执法资格人数合计", notes = "具备行政执法资格人数", required = false)
 	@Column(name = "N3")
 	private BigDecimal n3;
 	
 	@ApiModelProperty(value = "获得粮食监督检查证的人数", notes = "获得粮食监督检查证的人数", required = false)
 	@Column(name = "O3")
 	private BigDecimal o3;
 	
 	@ApiModelProperty(value = "执法督查经费落实情况 粮食部门", notes = "执法督查经费落实情况 粮食部门", required = false)
 	@Column(name = "P3")
	private BigDecimal p3;
 	
	@ApiModelProperty(value = "年度落实经费金额", notes = "年度落实经费金额", required = false)
 	@Column(name = "Q3")
	private BigDecimal q3;
	
	@ApiModelProperty(value = "", notes = "", required = false)
	@Column(name = "B4")
	private BigDecimal b4;
	
 	@ApiModelProperty(value = "", notes = "", required = false)
 	@Column(name = "C4")
 	private BigDecimal c4;
 	
 	@ApiModelProperty(value = "", notes = "", required = false)
 	@Column(name = "D4")
 	private BigDecimal d4;
 	
 	@ApiModelProperty(value = "", notes = "", required = false)
 	@Column(name = "E4")
 	private BigDecimal e4;
 	
 	@ApiModelProperty(value = "", notes = "", required = false)
 	@Column(name = "F4")
 	private BigDecimal f4;
 	
 	@ApiModelProperty(value = "", notes = "", required = false)
 	@Column(name = "G4")
 	private BigDecimal g4;
 	
 	@ApiModelProperty(value = "", notes = "", required = false)
 	@Column(name = "H4")
 	private BigDecimal h4;
 	
 	@ApiModelProperty(value = "", notes = "", required = false)
 	@Column(name = "I4")
 	private BigDecimal i4;
 	
 	@ApiModelProperty(value = "", notes = "", required = false)
 	@Column(name = "J4")
 	private BigDecimal j4;
 	
 	@ApiModelProperty(value = "", notes = "", required = false)
 	@Column(name = "K4")
 	private BigDecimal k4;
 	
 	@ApiModelProperty(value = "", notes = "", required = false)
 	@Column(name = "L4")
 	private BigDecimal l4;
 	
 	@ApiModelProperty(value = "", notes = "", required = false)
 	@Column(name = "M4")
 	private BigDecimal m4;
 	
 	@ApiModelProperty(value = "", notes = "", required = false)
 	@Column(name = "N4")
 	private BigDecimal n4;
 	
 	@ApiModelProperty(value = "", notes = "", required = false)
 	@Column(name = "O4")
 	private BigDecimal o4;
 	
 	@ApiModelProperty(value = "", notes = "", required = false)
 	@Column(name = "P4")
	private BigDecimal p4;
 	
	@ApiModelProperty(value = "", notes = "", required = false)
 	@Column(name = "Q4")
	private BigDecimal q4;
	
	@ApiModelProperty(value = "", notes = "", required = false)
	@Column(name = "B5")
	private BigDecimal b5;
	
	@ApiModelProperty(value = "", notes = "", required = false)
	@Column(name = "B6")
	private BigDecimal b6;

	
	@ApiModelProperty(value = "C5总计1行政区数（个）1", notes = "C5总计1行政区数（个）1", required = false)
	@Column(name = "C5")
	private BigDecimal c5;

	@ApiModelProperty(value = "D5总计1粮食行政管理部门数（个）机构编制合计2", notes = "D5总计1粮食行政管理部门数（个）机构编制合计2", required = false)
	@Column(name = "D5")
	private BigDecimal d5;

	@ApiModelProperty(value = "E5总计1粮食行政管理部门数（个）机构编制行政编制3", notes = "E5总计1粮食行政管理部门数（个）机构编制行政编制3", required = false)
	@Column(name = "E5")
	private BigDecimal e5;

	@ApiModelProperty(value = "F5总计1粮食行政管理部门数（个）机构编制事业编制4", notes = "F5总计1粮食行政管理部门数（个）机构编制事业编制4", required = false)
	@Column(name = "F5")
	private BigDecimal f5;

	@ApiModelProperty(value = "G5总计1粮食行政管理部门内设监督检查机构数（个）合计5", notes = "G5总计1粮食行政管理部门内设监督检查机构数（个）合计5", required = false)
	@Column(name = "G5")
	private BigDecimal g5;

	@ApiModelProperty(value = "H5总计1粮食行政管理部门内设监督检查机构数（个）编办批准成立合计6", notes = "H5总计1粮食行政管理部门内设监督检查机构数（个）编办批准成立合计6", required = false)
	@Column(name = "H5")
	private BigDecimal h5;

	@ApiModelProperty(value = "I5总计1粮食行政管理部门内设监督检查机构数（个）编办批准成立独立设立监督检查处（科、股）7", notes = "I5总计1粮食行政管理部门内设监督检查机构数（个）编办批准成立独立设立监督检查处（科、股）7", required = false)
	@Column(name = "I5")
	private BigDecimal i5;

	@ApiModelProperty(value = "J5总计1粮食行政管理部门内设监督检查机构数（个）编办批准成立加挂监督检查处（科、股）牌子8", notes = "J5总计1粮食行政管理部门内设监督检查机构数（个）编办批准成立加挂监督检查处（科、股）牌子8", required = false)
	@Column(name = "J5")
	private BigDecimal j5;

	@ApiModelProperty(value = "K5总计1粮食行政管理部门内设监督检查机构数（个）粮食行政管理部门内部调整组建的独立监督检查处（科、股）9", notes = "K5总计1粮食行政管理部门内设监督检查机构数（个）粮食行政管理部门内部调整组建的独立监督检查处（科、股）9", required = false)
	@Column(name = "K5")
	private BigDecimal k5;

	@ApiModelProperty(value = "L5总计1已获得监督检查行政执法资格的人数（人）合计10", notes = "L5总计1已获得监督检查行政执法资格的人数（人）合计10", required = false)
	@Column(name = "L5")
	private BigDecimal l5;

	@ApiModelProperty(value = "M5总计1已获得监督检查行政执法资格的人数（人）其中：获得粮食监督检查证的人数11", notes = "M5总计1已获得监督检查行政执法资格的人数（人）其中：获得粮食监督检查证的人数11", required = false)
	@Column(name = "M5")
	private BigDecimal m5;

	@ApiModelProperty(value = "N5总计1监督检查专项经费落实情况已落实经费的粮食行政管理部门数（个）12", notes = "N5总计1监督检查专项经费落实情况已落实经费的粮食行政管理部门数（个）12", required = false)
	@Column(name = "N5")
	private BigDecimal n5;

	@ApiModelProperty(value = "O5总计1监督检查专项经费落实情况已落实经费金额（万元）13", notes = "O5总计1监督检查专项经费落实情况已落实经费金额（万元）13", required = false)
	@Column(name = "O5")
	private BigDecimal o5;

	@Column(name = "P5")
	@ApiModelProperty(value = "P5总计1粮食行政机构设置情况 ", notes = "P5总计1粮食行政机构设置情况 ", required = false)
	private BigDecimal p5;
	
	@Column(name = "Q5")
	@ApiModelProperty(value = "Q5独立机构粮食行政机构设置情况 ", notes = "Q5独立机构粮食行政机构设置情况 ", required = false)
	private BigDecimal q5;
	
	@Column(name = "R5")
	@ApiModelProperty(value = "R5加挂牌子粮食行政机构设置情况 ", notes = "R5加挂牌子粮食行政机构设置情况 ", required = false)
	private BigDecimal r5;
	
	@Column(name = "S5")
	@ApiModelProperty(value = "S5职能整合入其他部门粮食行政机构设置情况 ", notes = "S5职能整合入其他部门粮食行政机构设置情况 ", required = false)
	private BigDecimal s5;
	
	@ApiModelProperty(value = "C6省（区、市）级2行政区数（个）1", notes = "C6省（区、市）级2行政区数（个）1", required = false)
	@Column(name = "C6")
	private BigDecimal c6;

	@ApiModelProperty(value = "D6省（区、市）级2粮食行政管理部门数（个）机构编制合计2", notes = "D6省（区、市）级2粮食行政管理部门数（个）机构编制合计2", required = false)
	@Column(name = "D6")
	private BigDecimal d6;

	@ApiModelProperty(value = "E6省（区、市）级2粮食行政管理部门数（个）机构编制行政编制3", notes = "E6省（区、市）级2粮食行政管理部门数（个）机构编制行政编制3", required = false)
	@Column(name = "E6")
	private BigDecimal e6;

	@ApiModelProperty(value = "F6省（区、市）级2粮食行政管理部门数（个）机构编制事业编制4", notes = "F6省（区、市）级2粮食行政管理部门数（个）机构编制事业编制4", required = false)
	@Column(name = "F6")
	private BigDecimal f6;

	@ApiModelProperty(value = "G6省（区、市）级2粮食行政管理部门内设监督检查机构数（个）合计5", notes = "G6省（区、市）级2粮食行政管理部门内设监督检查机构数（个）合计5", required = false)
	@Column(name = "G6")
	private BigDecimal g6;

	@ApiModelProperty(value = "H6省（区、市）级2粮食行政管理部门内设监督检查机构数（个）编办批准成立合计6", notes = "H6省（区、市）级2粮食行政管理部门内设监督检查机构数（个）编办批准成立合计6", required = false)
	@Column(name = "H6")
	private BigDecimal h6;

	@ApiModelProperty(value = "I6省（区、市）级2粮食行政管理部门内设监督检查机构数（个）编办批准成立独立设立监督检查处（科、股）7", notes = "I6省（区、市）级2粮食行政管理部门内设监督检查机构数（个）编办批准成立独立设立监督检查处（科、股）7", required = false)
	@Column(name = "I6")
	private BigDecimal i6;

	@ApiModelProperty(value = "J6省（区、市）级2粮食行政管理部门内设监督检查机构数（个）编办批准成立加挂监督检查处（科、股）牌子8", notes = "J6省（区、市）级2粮食行政管理部门内设监督检查机构数（个）编办批准成立加挂监督检查处（科、股）牌子8", required = false)
	@Column(name = "J6")
	private BigDecimal j6;

	@ApiModelProperty(value = "K6省（区、市）级2粮食行政管理部门内设监督检查机构数（个）粮食行政管理部门内部调整组建的独立监督检查处（科、股）9", notes = "K6省（区、市）级2粮食行政管理部门内设监督检查机构数（个）粮食行政管理部门内部调整组建的独立监督检查处（科、股）9", required = false)
	@Column(name = "K6")
	private BigDecimal k6;

	@ApiModelProperty(value = "L6省（区、市）级2已获得监督检查行政执法资格的人数（人）合计10", notes = "L6省（区、市）级2已获得监督检查行政执法资格的人数（人）合计10", required = false)
	@Column(name = "L6")
	private BigDecimal l6;

	@ApiModelProperty(value = "M6省（区、市）级2已获得监督检查行政执法资格的人数（人）其中：获得粮食监督检查证的人数11", notes = "M6省（区、市）级2已获得监督检查行政执法资格的人数（人）其中：获得粮食监督检查证的人数11", required = false)
	@Column(name = "M6")
	private BigDecimal m6;

	@ApiModelProperty(value = "N6省（区、市）级2监督检查专项经费落实情况已落实经费的粮食行政管理部门数（个）12", notes = "N6省（区、市）级2监督检查专项经费落实情况已落实经费的粮食行政管理部门数（个）12", required = false)
	@Column(name = "N6")
	private BigDecimal n6;

	@ApiModelProperty(value = "O6省（区、市）级2监督检查专项经费落实情况已落实经费金额（万元）13", notes = "O6省（区、市）级2监督检查专项经费落实情况已落实经费金额（万元）13", required = false)
	@Column(name = "O6")
	private BigDecimal o6;

	@Column(name = "P6")
	@ApiModelProperty(value = "P6总计1粮食行政机构设置情况 ", notes = "P6总计1粮食行政机构设置情况 ", required = false)
	private BigDecimal p6;
	
	@Column(name = "Q6")
	@ApiModelProperty(value = "Q6独立机构粮食行政机构设置情况 ", notes = "Q6独立机构粮食行政机构设置情况 ", required = false)
	private BigDecimal q6;
	
	@Column(name = "R6")
	@ApiModelProperty(value = "R6加挂牌子粮食行政机构设置情况 ", notes = "R6加挂牌子粮食行政机构设置情况 ", required = false)
	private BigDecimal r6;
	
	@Column(name = "S6")
	@ApiModelProperty(value = "S6职能整合入其他部门粮食行政机构设置情况 ", notes = "S6职能整合入其他部门粮食行政机构设置情况 ", required = false)
	private BigDecimal s6;
	
	@ApiModelProperty(value = "C7地（市）级3行政区数（个）1", notes = "C7地（市）级3行政区数（个）1", required = false)
	@Column(name = "C7")
	private String c7;

	@ApiModelProperty(value = "D7地（市）级3粮食行政管理部门数（个）机构编制合计2", notes = "D7地（市）级3粮食行政管理部门数（个）机构编制合计2", required = false)
	@Column(name = "D7")
	private BigDecimal d7;

	@ApiModelProperty(value = "E7地（市）级3粮食行政管理部门数（个）机构编制行政编制3", notes = "E7地（市）级3粮食行政管理部门数（个）机构编制行政编制3", required = false)

	@Column(name = "E7")
	private BigDecimal e7;

	@ApiModelProperty(value = "F7地（市）级3粮食行政管理部门数（个）机构编制事业编制4", notes = "F7地（市）级3粮食行政管理部门数（个）机构编制事业编制4", required = false)
	@Column(name = "F7")
	private BigDecimal f7;

	@ApiModelProperty(value = "G7地（市）级3粮食行政管理部门内设监督检查机构数（个）合计5", notes = "G7地（市）级3粮食行政管理部门内设监督检查机构数（个）合计5", required = false)
	@Column(name = "G7")
	private String  g7;

	@ApiModelProperty(value = "H7地（市）级3粮食行政管理部门内设监督检查机构数（个）编办批准成立合计6", notes = "H7地（市）级3粮食行政管理部门内设监督检查机构数（个）编办批准成立合计6", required = false)
	@Column(name = "H7")
	private BigDecimal h7;

	@ApiModelProperty(value = "I7地（市）级3粮食行政管理部门内设监督检查机构数（个）编办批准成立独立设立监督检查处（科、股）7", notes = "I7地（市）级3粮食行政管理部门内设监督检查机构数（个）编办批准成立独立设立监督检查处（科、股）7", required = false)
	@Column(name = "I7")
	private BigDecimal i7;

	@ApiModelProperty(value = "J7地（市）级3粮食行政管理部门内设监督检查机构数（个）编办批准成立加挂监督检查处（科、股）牌子8", notes = "J7地（市）级3粮食行政管理部门内设监督检查机构数（个）编办批准成立加挂监督检查处（科、股）牌子8", required = false)
	@Column(name = "J7")
	private BigDecimal j7;

	@ApiModelProperty(value = "K7地（市）级3粮食行政管理部门内设监督检查机构数（个）粮食行政管理部门内部调整组建的独立监督检查处（科、股）9", notes = "K7地（市）级3粮食行政管理部门内设监督检查机构数（个）粮食行政管理部门内部调整组建的独立监督检查处（科、股）9", required = false)
	@Column(name = "K7")
	private String k7;

	@ApiModelProperty(value = "L7地（市）级3已获得监督检查行政执法资格的人数（人）合计10", notes = "L7地（市）级3已获得监督检查行政执法资格的人数（人）合计10", required = false)
	@Column(name = "L7")
	private BigDecimal l7;

	@ApiModelProperty(value = "M7地（市）级3已获得监督检查行政执法资格的人数（人）其中：获得粮食监督检查证的人数11", notes = "M7地（市）级3已获得监督检查行政执法资格的人数（人）其中：获得粮食监督检查证的人数11", required = false)
	@Column(name = "M7")
	private BigDecimal m7;

	@ApiModelProperty(value = "N7地（市）级3监督检查专项经费落实情况已落实经费的粮食行政管理部门数（个）12", notes = "N7地（市）级3监督检查专项经费落实情况已落实经费的粮食行政管理部门数（个）12", required = false)
	@Column(name = "N7")
	private BigDecimal n7;

	@ApiModelProperty(value = "O7地（市）级3监督检查专项经费落实情况已落实经费金额（万元）13", notes = "O7地（市）级3监督检查专项经费落实情况已落实经费金额（万元）13", required = false)
	@Column(name = "O7")
	private String o7;

	@Column(name = "P7")
	@ApiModelProperty(value = "P7总计1粮食行政机构设置情况 ", notes = "P7总计1粮食行政机构设置情况 ", required = false)
	private BigDecimal p7;
	
	@Column(name = "Q7")
	@ApiModelProperty(value = "Q7独立机构粮食行政机构设置情况 ", notes = "Q7独立机构粮食行政机构设置情况 ", required = false)
	private BigDecimal q7;
	
	@Column(name = "R7")
	@ApiModelProperty(value = "R7加挂牌子粮食行政机构设置情况 ", notes = "R7加挂牌子粮食行政机构设置情况 ", required = false)
	private BigDecimal r7;
	
	@Column(name = "S7")
	@ApiModelProperty(value = "S7职能整合入其他部门粮食行政机构设置情况 ", notes = "S7职能整合入其他部门粮食行政机构设置情况 ", required = false)
	private BigDecimal s7;
	
	
	@ApiModelProperty(value = "C8县（市）级4行政区数（个）1", notes = "C8县（市）级4行政区数（个）1", required = false)
	@Column(name = "C8")
	private BigDecimal c8;

	@ApiModelProperty(value = "D8县（市）级4粮食行政管理部门数（个）机构编制合计2", notes = "D8县（市）级4粮食行政管理部门数（个）机构编制合计2", required = false)
	@Column(name = "D8")
	private BigDecimal d8;

	@ApiModelProperty(value = "E8县（市）级4粮食行政管理部门数（个）机构编制行政编制3", notes = "E8县（市）级4粮食行政管理部门数（个）机构编制行政编制3", required = false)
	@Column(name = "E8")
	private BigDecimal e8;

	@ApiModelProperty(value = "F8县（市）级4粮食行政管理部门数（个）机构编制事业编制4", notes = "F8县（市）级4粮食行政管理部门数（个）机构编制事业编制4", required = false)
	@Column(name = "F8")
	private BigDecimal f8;

	@ApiModelProperty(value = "G8县（市）级4粮食行政管理部门内设监督检查机构数（个）合计5", notes = "G8县（市）级4粮食行政管理部门内设监督检查机构数（个）合计5", required = false)
	@Column(name = "G8")
	private BigDecimal g8;

	@ApiModelProperty(value = "H8县（市）级4粮食行政管理部门内设监督检查机构数（个）编办批准成立合计6", notes = "H8县（市）级4粮食行政管理部门内设监督检查机构数（个）编办批准成立合计6", required = false)
	@Column(name = "H8")
	private BigDecimal h8;

	@ApiModelProperty(value = "I8县（市）级4粮食行政管理部门内设监督检查机构数（个）编办批准成立独立设立监督检查处（科、股）7", notes = "I8县（市）级4粮食行政管理部门内设监督检查机构数（个）编办批准成立独立设立监督检查处（科、股）7", required = false)
	@Column(name = "I8")
	private BigDecimal i8;

	@ApiModelProperty(value = "J8县（市）级4粮食行政管理部门内设监督检查机构数（个）编办批准成立加挂监督检查处（科、股）牌子8", notes = "J8县（市）级4粮食行政管理部门内设监督检查机构数（个）编办批准成立加挂监督检查处（科、股）牌子8", required = false)
	@Column(name = "J8")
	private BigDecimal j8;

	@ApiModelProperty(value = "K8县（市）级4粮食行政管理部门内设监督检查机构数（个）粮食行政管理部门内部调整组建的独立监督检查处（科、股）9", notes = "K8县（市）级4粮食行政管理部门内设监督检查机构数（个）粮食行政管理部门内部调整组建的独立监督检查处（科、股）9", required = false)
	@Column(name = "K8")
	private BigDecimal k8;

	@ApiModelProperty(value = "L8县（市）级4已获得监督检查行政执法资格的人数（人）合计10", notes = "L8县（市）级4已获得监督检查行政执法资格的人数（人）合计10", required = false)
	@Column(name = "L8")
	private BigDecimal l8;

	@ApiModelProperty(value = "M8县（市）级4已获得监督检查行政执法资格的人数（人）其中：获得粮食监督检查证的人数11", notes = "M8县（市）级4已获得监督检查行政执法资格的人数（人）其中：获得粮食监督检查证的人数11", required = false)
	@Column(name = "M8")
	private BigDecimal m8;

	@ApiModelProperty(value = "N8县（市）级4监督检查专项经费落实情况已落实经费的粮食行政管理部门数（个）12", notes = "N8县（市）级4监督检查专项经费落实情况已落实经费的粮食行政管理部门数（个）12", required = false)
	@Column(name = "N8")
	private BigDecimal n8;

	@ApiModelProperty(value = "O8县（市）级4监督检查专项经费落实情况已落实经费金额（万元）13", notes = "O8县（市）级4监督检查专项经费落实情况已落实经费金额（万元）13", required = false)
	@Column(name = "O8")
	private BigDecimal o8;
	
	@Column(name = "P8")
	@ApiModelProperty(value = "P8总计1粮食行政机构设置情况 ", notes = "P8总计1粮食行政机构设置情况 ", required = false)
	private BigDecimal p8;
	
	@Column(name = "Q8")
	@ApiModelProperty(value = "Q8独立机构粮食行政机构设置情况 ", notes = "Q8独立机构粮食行政机构设置情况 ", required = false)
	private BigDecimal q8;
	
	@Column(name = "R8")
	@ApiModelProperty(value = "R8加挂牌子粮食行政机构设置情况 ", notes = "R8加挂牌子粮食行政机构设置情况 ", required = false)
	private BigDecimal r8;
	
	@Column(name = "S8")
	@ApiModelProperty(value = "S8职能整合入其他部门粮食行政机构设置情况 ", notes = "S8职能整合入其他部门粮食行政机构设置情况 ", required = false)
	private BigDecimal s8;
	
	@ApiModelProperty(value = "上报时间", notes = "上报时间", required = false)
	@Column(name = "SUBMITDATE_")
	private Date submitDate;

}