package com.unis.ynls.irpt.server.entity.reservereport;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Data
@ApiModel("财务报表-承储企业报表顺序设置--承储企业表")
@Table(name = "sjcbly_enterprise")
public class EnterpriseDO {

    @Id
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;

    //承储企业编码
    @ApiModelProperty(value = "承储企业编码")
    @Column(name = "ccqybm")
    private String ccqybm;

    //承储企业编码
    @ApiModelProperty(value = "承储企业名称")
    @Column(name = "ccqy")
    private String ccqy;

    @ApiModelProperty(value = "对应报表类型")
    @Column(name = "btbblx")
    private String btbblx;

    @ApiModelProperty(value = "对应报表类型名称")
    @Column(name = "btbblxmc")
    private String btbblxmc;

    @ApiModelProperty(value = "费率类型")
    @Column(name = "btbzlx")
    private String btbzlx;

    @ApiModelProperty(value = "费率类型名称")
    @Column(name = "btbzlxmc")
    private String btbzlxmc;

    //排序 数值越大越靠前
    @ApiModelProperty(value = "排序 数値越大越靠前")
    @Column(name = "sort")
    private Integer sort;

    //是否删除
    @ApiModelProperty(value = "是否删除 0:否 1:是")
    @Column(name = "is_delete")
    private Integer isDelete;

    //创建人
    @ApiModelProperty(value = "创建人")
    @Column(name = "creator")
    private String creator;

    //创建时间
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "create_date")
    private Date createDate;

    //修改人
    @ApiModelProperty(value = "修改人")
    @Column(name = "updater")
    private String updater;

    //修改时间
    @ApiModelProperty(value = "修改时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "update_date")
    private Date updateDate;

    //备注
    @ApiModelProperty(value = "备注")
    @Column(name = "remark")
    private String remark;

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        EnterpriseDO other = (EnterpriseDO) obj;
        return ccqybm.equals(other.ccqybm);
    }

    @Override
    public int hashCode() {
        return ccqybm.hashCode();
    }

}
