package com.unis.ynls.irpt.server.entity.reservereport;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

@Data
@ApiModel("市级储备粮油进销存报表-明细表")
@Table(name = "sjcbly_purchase_stock_detail")
public class PurchaseStockDetailDO {

    @Id
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;

    //主表id
    @ApiModelProperty(value = "主表id")
    @Column(name = "ps_id")
    private String psId;

    //品种名称
    @ApiModelProperty(value = "品种名称")
    @Column(name = "pzmc")
    private String pzmc;

    //品种编码
    @ApiModelProperty(value = "品种编码")
    @Column(name = "pzbm")
    private String pzbm;

    //期初库存
    @ApiModelProperty(value = "期初库存")
    @Column(name = "initial")
    private BigDecimal initial;

    //期末库存
    @ApiModelProperty(value = "期末库存")
    @Column(name = "ending")
    private BigDecimal ending;

    //采购
    @ApiModelProperty(value = "采购")
    @Column(name = "purchase")
    private BigDecimal purchase;

    //其他收入
    @ApiModelProperty(value = "其他收入")
    @Column(name = "other_income")
    private BigDecimal otherIncome;

    //收入合计
    @ApiModelProperty(value = "收入合计")
    @Column(name = "income_total")
    private BigDecimal incomeTotal;

    //销售
    @ApiModelProperty(value = "销售")
    @Column(name = "sale")
    private BigDecimal sale;

    //损耗
    @ApiModelProperty(value = "损耗")
    @Column(name = "loss")
    private BigDecimal loss;

    //其他支出
    @ApiModelProperty(value = "其他支出")
    @Column(name = "other_expense")
    private BigDecimal otherExpense;

    //支出合计
    @ApiModelProperty(value = "支出合计")
    @Column(name = "expense_total")
    private BigDecimal expenseTotal;

    @ApiModelProperty(value = "排序")
    @Column(name = "sort")
    private Integer sort;

    @ApiModelProperty(value = "类型编码")
    @Column(name = "type_code")
    private String typeCode;

}
