package com.unis.ynls.irpt.server.entity.reservereport;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Data
@ApiModel("市级储备粮油进销存汇总报表")
@Table(name = "sjcbly_purchase_stock_summary")
public class PurchaseStockSummaryDO {

    @Id
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;

    //期数
    @ApiModelProperty(value = "填报期数 yyyy年MM月")
    @Column(name = "period")
    private String period;

    //填报部门code
    @ApiModelProperty(value = "填报部门code")
    @Column(name = "dept_code")
    private String deptCode;

    //组织机构code
    @ApiModelProperty(value = "组织机构code")
    @Column(name = "org_code")
    private String orgCode;

    //组织机构code
    @ApiModelProperty(value = "组织机构名称")
    @Column(name = "org_name")
    private String orgName;

    //制表人
    @ApiModelProperty(value = "制表人")
    @Column(name = "tabulator")
    private String tabulator;

    @ApiModelProperty(value = "制表时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date tabulatorDate;

    //数据类型
    @ApiModelProperty(value = "数据类型 0:市级储备粮油 1:市级粮食调节储备 2:异地存储市级粮食调节储备")
    @Column(name = "data_type")
    private Integer dataType;

    //是否删除
    @ApiModelProperty(value = "是否删除 0:否 1:是")
    @Column(name = "is_delete")
    private Integer isDelete;

    //创建人
    @ApiModelProperty(value = "创建人")
    @Column(name = "creator")
    private String creator;

    //创建时间
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "create_date")
    private Date createDate;

    //更新人
    @ApiModelProperty(value = "更新人")
    @Column(name = "updater")
    private String updater;

    //更新时间
    @ApiModelProperty(value = "更新时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "update_date")
    private Date updateDate;

    @ApiModelProperty(value = "汇总状态")
    @Column(name = "status")
    private String status;

    @ApiModelProperty(value = "汇总状态名")
    @Column(name = "status_name")
    private String statusName;

    @ApiModelProperty(value = "复核人")
    @Column(name = "recevier")
    private String recevier;

    @ApiModelProperty(value = "复核时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "recevie_date")
    private Date recevieDate;

    @ApiModelProperty(value = "备注")
    private String remark;

}
