package com.unis.ynls.irpt.server.entity.reservereport;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Data
@ApiModel("市级储备粮油储存费用补贴申请表")
@Table(name = "sjcbly_storage_subsidy")
public class StorageSubsidyDO {

    //id
    @Id
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;

    //填报期数
    @ApiModelProperty(value = "填报期数")
    @Column(name = "period")
    private String period;

    //部门code
    @ApiModelProperty(value = "部门code")
    @Column(name = "dept_code")
    private String deptCode;

    //组织code
    @ApiModelProperty(value = "组织code")
    @Column(name = "org_code")
    private String orgCode;

    //库点名称
    @ApiModelProperty(value = "库点名称")
    @Column(name = "sskdmc")
    private String sskdmc;

    //库点编码
    @ApiModelProperty(value = "库点编码")
    @Column(name = "sskdbm")
    private String sskdbm;

    //数据类型
    @ApiModelProperty(value = "数据类型 0:市级储备粮油 1:市级粮食调节储备 2:异地存储市级粮食调节储备")
    @Column(name = "data_type")
    private Integer dataType;

    //单位负责人
    @ApiModelProperty(value = "单位负责人")
    @Column(name = "leader")
    private String leader;

    //审核人
    @ApiModelProperty(value = "审核人")
    @Column(name = "auditor")
    private String auditor;

    //制表人
    @ApiModelProperty(value = "制表人")
    @Column(name = "reporter")
    private String reporter;

    //填报日期
    @ApiModelProperty(value = "填报日期")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "report_date")
    private Date reportDate;

    //盖章状态
    @ApiModelProperty(value = "盖章状态 0:未盖章 1:已盖章")
    @Column(name = "signature_status")
    private Integer signatureStatus;

    //盖章
    @ApiModelProperty(value = "盖章")
    @Column(name = "signature")
    private String signature;

    //盖章人
    @ApiModelProperty(value = "盖章人")
    @Column(name = "signature_username")
    private String signatureUsername;

    //盖章时间
    @ApiModelProperty(value = "盖章时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "signature_date")
    private Date signatureDate;

    @ApiModelProperty(value = "接收状态 0:未接受 1:接收")
    @Column(name = "receive_status")
    private Integer receiveStatus;

    //接收人
    @ApiModelProperty(value = "接收人")
    @Column(name = "receiver")
    private String receiver;

    //接收日期
    @ApiModelProperty(value = "接收日期")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "receive_date")
    private Date receiveDate;

    //状态
    @ApiModelProperty(value = "状态")
    @Column(name = "status")
    private String status;

    //状态名称
    @ApiModelProperty(value = "状态名")
    @Column(name = "status_name")
    private String statusName;

    //是否删除
    @ApiModelProperty(value = "是否删除 0:否 1:是")
    @Column(name = "is_delete")
    private Integer isDelete;

    //创建人
    @ApiModelProperty(value = "创建人")
    @Column(name = "creator")
    private String creator;

    //创建时间
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "create_date")
    private Date createDate;

    //更新人
    @ApiModelProperty(value = "更新人")
    @Column(name = "updater")
    private String updater;

    //更新时间
    @ApiModelProperty(value = "更新时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "update_date")
    private Date updateDate;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "汇总状态 0:否 1:是")
    @Column(name = "summary_status")
    private Integer summaryStatus;

    @ApiModelProperty(value = "接收意见")
    @Column(name = "receive_opinion")
    private String receiveOpinion;

}
