package com.unis.ynls.irpt.server.entity.reservereport;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

@Data
@ApiModel("市级储备粮油储存费用补贴申请明细表")
@Table(name = "sjcbly_storage_subsidy_detail")
public class StorageSubsidyDetailDO {

    @Id
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;

    //主表id
    @ApiModelProperty(value = "主表id")
    @Column(name = "ss_id")
    private String ssId;

    //品种名称
    @ApiModelProperty(value = "品种名称")
    @Column(name = "pzmc")
    private String pzmc;

    //品种编码
    @ApiModelProperty(value = "品种编码")
    @Column(name = "pzbm")
    private String pzbm;

    //年初未补金额
    @ApiModelProperty(value = "年初未补金额")
    @Column(name = "ncwb")
    private BigDecimal ncwb;

    //上月期末库存
    @ApiModelProperty(value = "上月期末库存")
    @Column(name = "syyqmkc")
    private BigDecimal syyqmkc;

    //补贴标准
    @ApiModelProperty(value = "补贴标准")
    @Column(name = "btbz")
    private BigDecimal btbz;

    //本月应补金额
    @ApiModelProperty(value = "本月应补金额")
    @Column(name = "byyb")
    private BigDecimal byyb;

    //本年累计应补金额
    @ApiModelProperty(value = "本年累计应补金额")
    @Column(name = "bnljygb")
    private BigDecimal bnljygb;

    //本年累计已补金额
    @ApiModelProperty(value = "本年累计已补金额")
    @Column(name = "bnljyb")
    private BigDecimal bnljyb;

    //期末未补金额
    @ApiModelProperty(value = "期末未补金额")
    @Column(name = "qmwb")
    private BigDecimal qmwb;

    //类型编码
    @ApiModelProperty(value = "类型编码")
    @Column(name = "type_code")
    private String typeCode;

    @ApiModelProperty(value = "区分码")
    @Column(name = "sort")
    private Integer sort;
}
