package com.unis.ynls.irpt.server.entity.reservereport;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Data
@ApiModel("市级储备粮油储存费用补贴-汇总主表")
@Table(name = "sjcbly_storage_subsidy_summary")
public class StorageSubsidySummaryDO {

    //id
    @Id
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;

    //填报期数
    @ApiModelProperty(value = "期数")
    @Column(name = "period")
    private String period;

    //部门code
    @ApiModelProperty(value = "部门code")
    @Column(name = "dept_code")
    private String deptCode;

    //组织code
    @ApiModelProperty(value = "组织code")
    @Column(name = "org_code")
    private String orgCode;

    //组织
    @ApiModelProperty(value = "组织")
    @Column(name = "org_name")
    private String orgName;

    //数据类型
    @ApiModelProperty(value = "数据类型 0:市级储备粮油 1:市级粮食调节储备 2:异地存储市级粮食调节储备")
    @Column(name = "data_type")
    private Integer dataType;

    //制表人
    @ApiModelProperty(value = "制表人")
    @Column(name = "tabulator")
    private String tabulator;

    //制表时间
    @ApiModelProperty(value = "制表时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "tabulator_date")
    private Date tabulatorDate;

    //复核状态
    @ApiModelProperty(value = "复核状态 0:不同意 1:同意")
    @Column(name = "review_status")
    private Integer reviewStatus;

    //复核意见
    @ApiModelProperty(value = "复核意见")
    @Column(name = "review_opinion")
    private String reviewOpinion;

    //复核人
    @ApiModelProperty(value = "复核人")
    @Column(name = "reviewer")
    private String reviewer;

    //复核时间
    @ApiModelProperty(value = "复核时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "review_date")
    private Date reviewDate;

    //财务领导批示状态
    @ApiModelProperty(value = "财务领导批示状态 0:不同意 1:同意")
    @Column(name = "finance_status")
    private Integer financeStatus;

    //财务领导批示意见
    @ApiModelProperty(value = "财务领导批示意见")
    @Column(name = "finance_opinion")
    private String financeOpinion;

    //财务领导
    @ApiModelProperty(value = "财务领导")
    @Column(name = "finance_username")
    private String financeUsername;

    //财务领导批示时间
    @ApiModelProperty(value = "财务领导批示时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "finance_date")
    private Date financeDate;

    //单位负责人批示状态
    @ApiModelProperty(value = "单位负责人批示状态 0:不同意 1:同意")
    @Column(name = "leader_status")
    private Integer leaderStatus;

    //单位负责人批示意见
    @ApiModelProperty(value = "单位负责人批示意见")
    @Column(name = "leader_opinion")
    private String leaderOpinion;

    //单位负责人
    @ApiModelProperty(value = "单位负责人")
    @Column(name = "leader_username")
    private String leaderUsername;

    //单位负责人批示时间
    @ApiModelProperty(value = "单位负责人批示时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "leader_date")
    private Date leaderDate;

    //状态
    @ApiModelProperty(value = "状态")
    @Column(name = "status")
    private String status;

    //状态名称
    @ApiModelProperty(value = "状态名")
    @Column(name = "status_name")
    private String statusName;

    //是否删除
    @ApiModelProperty(value = "是否删除 0:否 1:是")
    @Column(name = "is_delete")
    private Integer isDelete;

    //创建人
    @ApiModelProperty(value = "创建人")
    @Column(name = "creator")
    private String creator;

    //创建时间
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "create_date")
    private Date createDate;

    //更新人
    @ApiModelProperty(value = "更新人")
    @Column(name = "updater")
    private String updater;

    //更新时间
    @ApiModelProperty(value = "更新时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "update_date")
    private Date updateDate;

    @ApiModelProperty(value = "备注")
    @Column(name = "remark")
    private String remark;
}
