package com.unis.ynls.irpt.server.entity.reservereport;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

@Data
@ApiModel("市级储备粮油储存费用补贴-汇总明细表表")
@Table(name = "sjcbly_storage_subsidy_summary_detail")
public class StorageSubsidySummaryDetailDO {

    //id
    @Id
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;

    @ApiModelProperty(value = "汇总主表ID")
    @Column(name = "sss_id")
    private String sssId;

    //承储企业编码
    @ApiModelProperty(value = "承储企业编码")
    @Column(name = "ccqybm")
    private String ccqybm;

    //承储企业编码
    @ApiModelProperty(value = "承储企业名称")
    @Column(name = "ccqy")
    private String ccqy;

    //储存费
    @ApiModelProperty(value = "储存费")
    @Column(name = "ccf")
    private BigDecimal ccf;

    //储存费
    @ApiModelProperty(value = "储备粮储存费小计")
    @Column(name = "cblccf")
    private BigDecimal cblccf;

    //品种
    @ApiModelProperty(value = "品种")
    @Column(name = "pzbm")
    private BigDecimal pzbm;

    //品种名称
    @ApiModelProperty(value = "品种名称")
    @Column(name = "pzmc")
    private String pzmc;

    //数量
    @ApiModelProperty(value = "数量")
    @Column(name = "sl")
    private BigDecimal sl;

    //费率
    @ApiModelProperty(value = "费率")
    @Column(name = "fl")
    private BigDecimal fl;

    //金额
    @ApiModelProperty(value = "金额")
    @Column(name = "je")
    private BigDecimal je;

    @ApiModelProperty(value = "本年累计已补")
    @Column(name = "bnljyb")
    private BigDecimal bnljyb;

    @ApiModelProperty(value = "类型编码")
    @Column(name = "type_code")
    private String typeCode;

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        StorageSubsidySummaryDetailDO other = (StorageSubsidySummaryDetailDO) obj;
        return ccqybm.equals(other.ccqybm);
    }

}
