package com.unis.ynls.irpt.server.entity.rotationreport;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Data
@ApiModel("市级储备粮轮换补贴申请表")
@Table(name = "sjcbly_rotation_subsidy")
public class RotationSubsidyDO {

    @Id
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;

    //部门code
    @ApiModelProperty(value = "部门code")
    @Column(name = "dept_code")
    private String deptCode;

    //组织code
    @ApiModelProperty(value = "组织code")
    @Column(name = "org_code")
    private String orgCode;

    //库点编码
    @ApiModelProperty(value = "承储企业名称")
    @Column(name = "ccqy")
    private String ccqy;

    //库点名称
    @ApiModelProperty(value = "承储企业名称")
    @Column(name = "ccqybm")
    private String ccqybm;

    //填报期数
    @ApiModelProperty(value = "轮换年度")
    @Column(name = "lhnd")
    private String lhnd;

    @ApiModelProperty(value = "品种编码")
    @Column(name = "pzbm")
    private String pzbm;

    @ApiModelProperty(value = "品种名称")
    @Column(name = "pzmc")
    private String pzmc;

    //单位负责人
    @ApiModelProperty(value = "预算-单位负责人")
    @Column(name = "ys_dwfzr")
    private String ysDwfzr;

    //审核人
    @ApiModelProperty(value = "预算-审核人")
    @Column(name = "ys_shr")
    private String ysShr;

    //制表人
    @ApiModelProperty(value = "预算-制表人")
    @Column(name = "ys_zbr")
    private String ysZbr;

    //填报日期
    @ApiModelProperty(value = "预算-填报日期")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "ys_tbrq")
    private Date ysTbrq;

    //盖章状态
    @ApiModelProperty(value = "预算-盖章状态 0:未盖章 1:已盖章")
    @Column(name = "ys_gzzt")
    private Integer ysGzzt;

    //盖章
    @ApiModelProperty(value = "预算-盖章")
    @Column(name = "ys_gz")
    private String ysGz;

    //盖章人
    @ApiModelProperty(value = "预算-盖章人")
    @Column(name = "ys_gzr")
    private String ysGzr;

    //盖章时间
    @ApiModelProperty(value = "预算-盖章时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "ys_gzsj")
    private Date ysGzsj;

    @ApiModelProperty(value = "预算-接收状态 0:未接受 1:接收")
    @Column(name = "ys_jszt")
    private Integer ysJszt;

    //接收人
    @ApiModelProperty(value = "预算-接收人")
    @Column(name = "ys_jsr")
    private String ysJsr;

    //接收日期
    @ApiModelProperty(value = "预算-接收日期")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "ys_jsrq")
    private Date ysJsrq;

    //状态
    @ApiModelProperty(value = "预算-状态")
    @Column(name = "ys_zt")
    private String ysZt;

    //状态名称
    @ApiModelProperty(value = "预算-状态名")
    @Column(name = "ys_ztmc")
    private String ysZtmc;

    //单位负责人
    @ApiModelProperty(value = "清算-单位负责人")
    @Column(name = "qs_dwfzr")
    private String qsDwfzr;

    //审核人
    @ApiModelProperty(value = "清算-审核人")
    @Column(name = "qs_shr")
    private String qsShr;

    //制表人
    @ApiModelProperty(value = "清算-制表人")
    @Column(name = "qs_zbr")
    private String qsZbr;

    //填报日期
    @ApiModelProperty(value = "清算-填报日期")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "qs_tbrq")
    private Date qsTbrq;

    //盖章状态
    @ApiModelProperty(value = "清算-盖章状态 0:未盖章 1:已盖章")
    @Column(name = "qs_gzzt")
    private Integer qsGzzt;

    //盖章
    @ApiModelProperty(value = "清算-盖章")
    @Column(name = "qs_gz")
    private String qsGz;

    //盖章人
    @ApiModelProperty(value = "清算-盖章人")
    @Column(name = "qs_gzr")
    private String qsGzr;

    //盖章时间
    @ApiModelProperty(value = "清算-盖章时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "qs_gzsj")
    private Date qsGzsj;

    @ApiModelProperty(value = "清算-接收状态 0:未接受 1:接收")
    @Column(name = "qs_jszt")
    private Integer qsJszt;
    //接收人
    @ApiModelProperty(value = "清算-接收人")
    @Column(name = "qs_jsr")
    private String qsJsr;

    //接收日期
    @ApiModelProperty(value = "清算-接收日期")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "qs_jsrq")
    private Date qsJsrq;

    //状态
    @ApiModelProperty(value = "清算-状态")
    @Column(name = "qs_zt")
    private String qsZt;

    //状态名称
    @ApiModelProperty(value = "清算-状态名")
    @Column(name = "qs_ztmc")
    private String qsZtmc;

    //是否删除
    @ApiModelProperty(value = "是否删除 0:否 1:是")
    @Column(name = "is_delete")
    private Integer isDelete;

    //预算拨付状态
    @ApiModelProperty(value = "预算拨付状态 0:未拨付 1:拨付中 2:已拨付")
    @Column(name = "ysbfzt")
    private Integer ysbfzt;

    //清算拨付状态
    @ApiModelProperty(value = "清算拨付状态 0:未拨付 1:拨付中 2:已拨付")
    @Column(name = "qsbfzt")
    private Integer qsbfzt;

    //创建人
    @ApiModelProperty(value = "创建人")
    @Column(name = "creator")
    private String creator;

    //创建时间
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "create_date")
    private Date createDate;

    //更新人
    @ApiModelProperty(value = "更新人")
    @Column(name = "updater")
    private String updater;

    //更新时间
    @ApiModelProperty(value = "更新时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name = "update_date")
    private Date updateDate;

    @ApiModelProperty(value = "预算备注")
    @Column(name = "ys_remark")
    private String ysRemark;

    @ApiModelProperty(value = "预算接收意见")
    @Column(name = "ys_receive_opinion")
    private String ysReceiveOpinion;

    @ApiModelProperty(value = "清算备注")
    @Column(name = "qs_remark")
    private String qsRemark;

    @ApiModelProperty(value = "清算接收意见")
    @Column(name = "qs_receive_opinion")
    private String qsReceiveOpinion;
}
