package com.unis.ynls.irpt.server.entity.rotationreport;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

@Data
@ApiModel("市级储备粮轮换补贴申请明细表")
@Table(name = "sjcbly_rotation_subsidy_detail")
public class RotationSubsidyDetailDO {

    @Id
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;

    @ApiModelProperty(value = "轮换补贴主表id")
    @Column(name = "rs_id")
    private String rsId;

    @ApiModelProperty(value = "数据类型 1:预算申请 2:清算申请")
    @Column(name = "sjlx")
    private Integer sjlx;

    @ApiModelProperty(value = "生产年份")
    @Column(name = "scnf")
    private String scnf;

    @ApiModelProperty(value = "实际轮换数量")
    @Column(name = "sjlhsl")
    private BigDecimal sjlhsl;

    @ApiModelProperty(value = "费率")
    @Column(name = "fl")
    private BigDecimal fl;

    @ApiModelProperty(value = "储存期")
    @Column(name = "ccq")
    private BigDecimal ccq;

    @ApiModelProperty(value = "应拨付轮换补贴")
    @Column(name = "ygbflhbt")
    private BigDecimal ygbflhbt;

    @ApiModelProperty(value = "应申请70%")
    @Column(name = "ygsq")
    private BigDecimal ygsq;

    @ApiModelProperty(value = "实际申请")
    @Column(name = "sjsq")
    private BigDecimal sjsq;

    @ApiModelProperty(value = "已拨付金额")
    @Column(name = "ybfje")
    private BigDecimal ybfje;

    @ApiModelProperty(value = "本次清算金额")
    @Column(name = "bcqsje")
    private BigDecimal bcqsje;

}
