package com.unis.ynls.irpt.server.entity.rotationreport;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel("市级储备粮轮换补贴品种费率表")
@Table(name = "sjcbly_storage_subsidy_standard")
public class RotationSubsidyRateDO {

    @Id
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;

    @ApiModelProperty(value = "品种编码")
    @Column(name = "pzbm")
    private String pzbm;

    @ApiModelProperty(value = "品种名称")
    @Column(name = "pzmc")
    private String pzmc;

    @ApiModelProperty(value = "数据类型")
    @Column(name = "type_code")
    private String typeCode;

    @ApiModelProperty(value = "状态 0:未启用 1:启用中")
    @Column(name = "is_enable")
    private Integer isEnable;

    @ApiModelProperty(value = "费率")
    @Column(name = "standard")
    private BigDecimal standard;

    @ApiModelProperty(value = "创建人")
    @Column(name="creator")
    private String creator;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name="create_date")
    private Date createDate;

    @ApiModelProperty(value = "修改人")
    @Column(name="updater")
    private String updater;

    @ApiModelProperty(value = "修改时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name="update_date")
    private Date updateDate;

    /**
     * 删除状态
     */
    @ApiModelProperty(value="删除状态 0:否 1:是")
    @Column(name="is_delete")
    private Integer isDelete;

    /**
     * 备注
     */
    @ApiModelProperty(value="备注")
    @Column(name="remark")
    private String remark;

    @ApiModelProperty(value = "生效时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name="start_date")
    private Date startDate;

    @ApiModelProperty(value = "失效时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    @Column(name="end_date")
    private Date endDate;
}
