package com.unis.ynls.irpt.server.entity.rotationreport;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel("市级储备粮轮换补贴拨付预算汇总明细表")
@Table(name = "sjcbly_rotation_subsidy_summary_detail")
public class RotationSubsidySummaryDetailDO {

    @Id
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;

    @ApiModelProperty(value = "汇总表ID")
    @Column(name = "rss_id")
    private String rssId;

    @ApiModelProperty(value = "补贴申请表ID")
    @Column(name = "rs_id")
    private String rsId;

    //库点编码
    @ApiModelProperty(value = "承储企业名称")
    @Column(name = "ccqy")
    private String ccqy;

    //库点名称
    @ApiModelProperty(value = "承储企业编码")
    @Column(name = "ccqybm")
    private String ccqybm;

    @ApiModelProperty(value = "生产年份")
    @Column(name = "scnf")
    private String scnf;

    @ApiModelProperty(value = "品种编码")
    @Column(name = "pzbm")
    private String pzbm;

    @ApiModelProperty(value = "品种名称")
    @Column(name = "pzmc")
    private String pzmc;

    @ApiModelProperty(value = "实际轮换数量")
    @Column(name = "sjlhsl")
    private BigDecimal sjlhsl;

    @ApiModelProperty(value = "费率")
    @Column(name = "fl")
    private BigDecimal fl;

    @ApiModelProperty(value = "储存期")
    @Column(name = "ccq")
    private BigDecimal ccq;

    @ApiModelProperty(value = "应拨付轮换补贴")
    @Column(name = "ygbflhbt")
    private BigDecimal ygbflhbt;

    @ApiModelProperty(value = "本次预拨金额")
    @Column(name = "bcybje")
    private BigDecimal bcybje;

    @ApiModelProperty(value = "清算预拨金额")
    @Column(name = "qsybje")
    private BigDecimal qsybje;
}
