package com.unis.ynls.irpt.server.entity.sys;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.util.ArrayList;
import java.util.List;

/**
 * 功能描述: DTO层,用户前段展示。
 *
 * @Auther: 蒋青茂
 * @Date: 2018/8/7 09:09
 */
@Data
@SuppressWarnings("all")
@ToString
@ApiModel(description = "用户信息",value = "用户信息")
public class MqUserDTO {

    //用户id
    private String id;

    //用户头像名字
    private String img;

    //用户头像
    private String photo;

    @ApiModelProperty(value = "用户账号【字符串（50）】",required = true)
    private String username;

    @ApiModelProperty(value = "用户昵称【字符串（100）】",required = true)
    private String name;

    @ApiModelProperty(value = "用户密码【字符串（100）、MD5加密后】",required = true)
    private String password;

    //用户email
    private String email;

    //用户性别
    private String sex;

    //手机号
    private String phone;

    /** 上级节点型10：粮食局，20：粮科院，25：检验单位, 65：企业 , 75：外部单位 */
    private String orgType;

    //上级节点id
    private String departmentParentId;

    //上级节点name
    private String departmentParentName;

    //部门id
    private String departmentId;

    //部门code
    private String departmentCode;

    @ApiModelProperty(value = "上级节点所属行政区划【字符串（50）】",required = true)
    private String areaCode;

    @ApiModelProperty(value = "部门名称")
    private String departmentName;

    //职位id
    private Long positionId;

    //职位名称
    private String positionName;

    //角色名称
    private List<String> roleName = new ArrayList<String>();

    //账号是否有效(0有效 ,1无效 )
    private Integer valid = 0;

    //是否删除 0 未删除 1 删除
    private Integer isDeleted = 0;

    //版本号
    private Integer version;

    //用户数据范围
    private Integer range;

    private Integer sign = 1;

    //企业用户
    private Long qyUserId;

    //企业编码
    private String companyCode;

    //组织机构code
    private String orgCode;
}
