package com.unis.ynls.irpt.server.entity.sys;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 功能描述：组织机构实体类
 *
 * @author 李兵
 * @data 2017年11月27日
 * @time 16时46分
 */
@Getter
@Setter
@ToString
@ApiModel(description = "机构信息",value = "机构信息")
public class OrganizationDTO {

    private String id;

    @ApiModelProperty(value = "名称【字符串（100）】",required = true)
    private String name;

    /** 排序 */
    private Integer orders;

    /** 上级节点id */
    private String parentId;

    /** 上级节点名称 */
    private String parentName;

    /** 是否为根节点 0 代表是， 1代表否 */
    private Integer root;

    /** 是否有效（有效 ,无效) */
    private String valid;

    /** 部门类型 单位 部门 */
    private String type;

    /** 机构类型10：粮食局，20：粮科院，25：检验单位, 65：企业 , 75：外部单位 */
    private String orgType;

    /** 部门类型码 0 是单位 1是部门 */
    private Integer typeCode;

    @ApiModelProperty(value = "行政区划【字符串（50）、IRPT机构代码】",required = true)
    private String areaCode;

    @ApiModelProperty(value = "父级行政区划【字符串（50）、为空即为根节点】")
    private String parentAreaCode;
}
