package com.unis.ynls.irpt.server.mapper;


import com.unis.ynls.irpt.common.VO.EconomicVO;
import com.unis.ynls.irpt.common.VO.ProductionVO;
import com.unis.ynls.irpt.common.VO.SafetyQueryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Mapper
@Repository
public interface EconomicMapper {

    //粮油产业经济统计年报
    List<EconomicVO> findStatistics(@Param("vo") EconomicVO vo);

    //粮油加工转化企业季报
    List<EconomicVO> findQuarterlyReport(@Param("vo") EconomicVO vo);

    //粮油加工转化企业年度表
    List<EconomicVO> findndChart(@Param("vo") EconomicVO vo);

    //粮油科技基本情况年报
    List<EconomicVO> findScienceBasic(@Param("vo") EconomicVO vo);

    //查年度
    List<String> findYearByZt(Integer zt);

    //工业总产值TOP5
    List<ProductionVO> findProduction(@Param("vo") SafetyQueryVO vo);
}
