package com.unis.ynls.irpt.server.mapper;

import com.unis.ynls.irpt.common.VO.system.CompanyEditVO;
import com.unis.ynls.irpt.common.VO.system.OrgVO;
import com.unis.ynls.irpt.common.VO.system.UserVO;
import com.unis.ynls.irpt.server.entity.sys.Es10OrgDO;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @InterfaceName: OrgMapper
 * @author liyb
 * @version v1.0
 * @Description: IRPT机构
 * @date 2018-11-22 09:46:08
 */
public interface OrgMapper extends Mapper<Es10OrgDO> {
    /**
     * 新增组织机构
     * @param params
     * @author liyb
     * @date 2018-11-22 09:46:08
     * @version v1.0
     */
    public void addOrg(Map<String, String> params);
    /**
     * 更新组织机构
     * @param params
     * @author liyb
     * @date 2018-11-22 09:46:08
     * @version v1.0
     */
    public void updateOrg(Map<String, String> params);
    /**
     * 查询组织机构代码
     * @param params
     * @author liyb
     * @return String
     * @date 2018-11-22 09:46:08
     * @version v1.0
     */
    public String queryOrgUpId(Map<String, String> params);
    /**
     * 修改用户密码
     * @param userVO
     * @author liyb
     * @date 2018-11-22 09:46:08
     * @version v1.0
     */
    void updateUserPWD(UserVO userVO);
    /**
     * 修改企业用户账户信息
     * @param companyEditVO
     * @author liyb
     * @date 2018-11-22 09:46:08
     * @version v1.0
     */
    void updateCompanyAccount(CompanyEditVO companyEditVO);
    /**
     * 修改企业机构信息
     * @param companyEditVO
     * @author liyb
     * @date 2018-11-22 09:46:08
     * @version v1.0
     */
    void updateCompanyUserOrg(CompanyEditVO companyEditVO);
    /**
     * 修改企业名称
     * @param companyEditVO
     * @author liyb
     * @date 2018-11-22 09:46:08
     * @version v1.0
     */
    void updateCompanyName(CompanyEditVO companyEditVO);
    /**
     * 根据平台部门名称获取IRPT对应部门代码
     * @param deptName
     * @return String
     */
    String getRptDeptCodeByName(String deptName);

    /**
     * 根据机构Id修改机构类型
     * @param parentId
     */
    void updateOrgTypeInfo(String parentId);
    /**
     * 获取粮食局机构
     * @return List<OrgVO>
     * @author liyb
     * @date 2019-05-05 13:40:00
     * @version v1.0
     */
    List<OrgVO> findAllManageOrg();
}
