package com.unis.ynls.irpt.server.mapper;

import com.unis.ynls.irpt.common.VO.Report.*;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface ReportMapper {
    /**
     * 地方储备粮收支平衡月报
     */
    List<LocalReservesReportVO> page(LocalReservesReportQueryVO vo);
    /**
     * 损耗计算
     */
    List<LossCalculationVO> lossCalculationPage(LossCalculationQueryVO vo);

    /**
     * 国有粮食企业商品粮油收支平衡月报
     */
    List<CountryReservesReportVO> countryReservesReportPage(CountryReservesReportQueryVO vo);
    /**
     * 小麦购销外省市
     */
    List<WheatProcurementVO> wheatProcurementPage(WheatProcurementQueryVO vo);
    /**
     * 市储粮轮换（实际库存）情况表
     */
    List<GrainRotationVO> grainRotationPage(GrainRotationQueryVO vo);

    /**
     * 市储粮实际库存分布表
     */
    List<ActualInventoryVO> actualInventoryPage(ActualInventoryQueryVO vo);
    /**
     * 市储粮账面库存分布表
     */
    List<BookInventoryVO> bookInventoryPage(BookInventoryQueryVO vo);
    /**
     * 市储备粮业务管理表（自动生成）
     */
    List<GrainReserveVO> grainReservePage(GrainReserveQueryVO vo);
    /**
     * 市储备油业务管理表（自动生成）
     */
    List<OilReserveVO> oilReservePage(OilReserveQueryVO vo);

    /**
     * 市储备粮油轮换情况季报表
     */
    List<GrainOilRotationVO> grainOilRotationPage(GrainOilRotationQueryVO vo);

    /**
     * 地方储备粮油进销存报表、补贴表
     */
    List<LocalDrpVO> localDrpPage(LocalDrpQueryVO vo);

    /**
     * 地方储备粮油进销存报表-总汇总
     */
    List<LocalDrpCollectVO> localDrpCollectPage(LocalDrpCollectQueryVO vo);
    /**
     * 补贴汇总表-储存费-各单位、每月补贴（汇总表）
     */
    List<StorageFeeSubsidyVO> storageFeeSubsidyPage(StorageFeeSubsidyQueryVO vo);
    /**
     * 市级储备粮轮换补贴清算申请表
     */
    List<ApplicationSubsidyVO> applicationSubsidyPage(ApplicationSubsidyQueryVO vo);
    /**
     * 市级储备粮库存数量检查抽包检斤法货位明细表
     */
    List<SmokePackageInspectionVO> smokePackageInspectionPage(SmokePacageInspectionQueryVO vo);
    /**
     * 市储备粮业务管理表
     */
    List<GrainBusinessVO> grainBusinessPage(GrainBusinessQueryVO vo);
    /**
     * 市储备油业务管理表
     */
    List<OilBusinessVO> oilBusinessPage(OilBusinessQueryVO vo);
    /**
     * 应急管理年报
     */
    List<EmergencyManagementVO> emergencyManagementPage(EmergencyManagementQueryVO vo);
    /**
     * 市级储备粮库存数量检查测量计算法货位明细表
     */
    List<SmokePackageCountVO> smokePackageCountPage(SmokePacageCountQueryVO vo);
    /**
     * 稻谷购、销外省市
     */
    List<RiceProcurementVO> riceProcurementPage(RiceProcurementQueryVO vo);
    /**
     * 市级储备粮轮换补贴预申请表
     */
    List<PreApplicationSubsidyVO> preApplicationSubsidyPage(PreApplicationSubsidyQueryVO vo);

}
