package com.unis.ynls.irpt.server.service;

import com.github.pagehelper.PageInfo;
import com.unis.ynls.irpt.common.VO.Report.*;

import java.util.List;

/**
 * 业务报表
 */
public interface ReportService {
    /**
     * 地方储备粮收支平衡月报
     */
    PageInfo<LocalReservesReportVO> page(LocalReservesReportQueryVO vo, Integer pageNum,

                                         Integer pageSize);
    /**
     * 损耗计算
     */
    PageInfo<LossCalculationVO> lossCalculationPage(LossCalculationQueryVO vo, Integer pageNum,
                                                    Integer pageSize);
    /**
     * 国有粮食企业商品粮油收支平衡月报
     */
    PageInfo<CountryReservesReportVO> countryReservesReportPage(CountryReservesReportQueryVO vo, Integer pageNum,
                                                                Integer pageSize);
    /**
     * 国有粮食企业商品粮油收支平衡月报
     */
    PageInfo<WheatProcurementVO> wheatProcurementPage(WheatProcurementQueryVO vo, Integer pageNum,
                                                      Integer pageSize);
    /**
     * 市储粮轮换（实际库存）情况表
     */
    PageInfo<GrainRotationVO> grainRotationPage(GrainRotationQueryVO vo, Integer pageNum,
                                                      Integer pageSize);
    /**
     * 市储粮实际库存分布表
     */
    PageInfo<ActualInventoryVO> actualInventoryPage(ActualInventoryQueryVO vo, Integer pageNum,
                                                Integer pageSize);

    /**
     * 市储粮账面库存分布表
     */
    PageInfo<BookInventoryVO> bookInventoryPage(BookInventoryQueryVO vo, Integer pageNum,
                                                    Integer pageSize);

    /**
     * 市储备粮业务管理表（自动生成）
     */
    PageInfo<GrainReserveVO> grainReservePage(GrainReserveQueryVO vo, Integer pageNum,
                                                Integer pageSize);
    /**
     * 市储备油业务管理表（自动生成）
     */
    PageInfo<OilReserveVO> oilReservePage(OilReserveQueryVO vo, Integer pageNum,
                                              Integer pageSize);
    /**
     * 市储备粮油轮换情况季报表
     */
    PageInfo<GrainOilRotationVO> grainOilRotationPage(GrainOilRotationQueryVO vo, Integer pageNum,
                                          Integer pageSize);
    /**
     * 地方储备粮油进销存报表、补贴表
     */
    PageInfo<LocalDrpVO> localDrpPage(LocalDrpQueryVO vo, Integer pageNum,
                                                      Integer pageSize);
    /**
     * 地方储备粮油进销存报表、补贴表
     */
    PageInfo<LocalDrpCollectVO> localDrpCollectPage(LocalDrpCollectQueryVO vo, Integer pageNum,
                                      Integer pageSize);

    /**
     * 补贴汇总表-储存费-各单位、每月补贴（汇总表）
     */
    PageInfo<StorageFeeSubsidyVO> storageFeeSubsidyPage(StorageFeeSubsidyQueryVO vo, Integer pageNum,
                                                        Integer pageSize);
    /**
     * 市级储备粮轮换补贴清算申请表
     */
    PageInfo<ApplicationSubsidyVO> applicationSubsidyPage(ApplicationSubsidyQueryVO vo, Integer pageNum,
                                                          Integer pageSize);
    /**
     * 市级储备粮库存数量检查抽包检斤法货位明细表
     */
    PageInfo<SmokePackageInspectionVO> smokePackageInspectionPage(SmokePacageInspectionQueryVO vo, Integer pageNum,
                                                                  Integer pageSize);
    /**
     * 市储备粮业务管理表
     */
    PageInfo<GrainBusinessVO> grainBusinessPage(GrainBusinessQueryVO vo, Integer pageNum,
                                                Integer pageSize);
    /**
     * 市储备油业务管理表
     */
    PageInfo<OilBusinessVO> oilBusinessPage(OilBusinessQueryVO vo, Integer pageNum,
                                            Integer pageSize);
    /**
     * 应急管理年报
     */
    PageInfo<EmergencyManagementVO> emergencyManagementPage(EmergencyManagementQueryVO vo, Integer pageNum,
                                                        Integer pageSize);
    /**
     * 市级储备粮库存数量检查测量计算法货位明细表
     */
    PageInfo<SmokePackageCountVO> smokePackageCountPage(SmokePacageCountQueryVO vo, Integer pageNum,
                                                        Integer pageSize);
    /**
     * 稻谷购、销外省市
     */
    PageInfo<RiceProcurementVO> riceProcurementPage(RiceProcurementQueryVO vo, Integer pageNum,
                                                    Integer pageSize);
    /**
     * 市级储备粮轮换补贴预申请表
     */
    PageInfo<PreApplicationSubsidyVO> preApplicationSubsidyPage(PreApplicationSubsidyQueryVO vo, Integer pageNum,
                                                                Integer pageSize);
}
