package com.unis.ynls.irpt.server.service;

import com.github.pagehelper.PageInfo;
import com.unis.common.utils.ResponseWrapper;
import com.unis.ynls.irpt.common.VO.reservereport.*;

import java.util.List;

public interface ReserveReportService {
    ResponseWrapper savePurchaseStock(PurchaseStockVO vo);

    ResponseWrapper getPeriod(PurchaseStockQueryVO queryVO);

    ResponseWrapper updatePurchaseStock(Integer type, PurchaseStockVO vo);

    PageInfo<PurchaseStockVO> getPurchaseStockPageList(Integer pageNum, Integer pageSize, PurchaseStockQueryVO queryVO);

    PageInfo<PurchaseStockVO> getPurchaseStockList(Integer pageNum, Integer pageSize, PurchaseStockQueryVO queryVO);

    PurchaseStockVO getPurchaseStockInfo(String psId);

    List<PurchaseStockDetailVO> getPreviousStock(PurchaseStockQueryVO queryVO);

    PurchaseStockSummaryVO generatePurchaseStockSummary(Integer dataType);

    ResponseWrapper savePurchaseStockSummary(PurchaseStockSummaryVO summaryVO);

    PageInfo<PurchaseStockSummaryVO> getPurchaseStockSummaryPageList(Integer pageNum, Integer pageSize, PurchaseStockQueryVO queryVO);

    PurchaseStockSummaryVO getPurchaseStockSummaryInfo(PurchaseStockQueryVO queryVO);

    ResponseWrapper saveStorageSubsidyStandard(StorageSubsidyStandardVO standardVO);

    int enableStorageSubsidy(String id);

    ResponseWrapper updateStorageSubsidyStandard(StorageSubsidyStandardVO standardVO);

    PageInfo<StorageSubsidyStandardVO> getStorageSubsidyStandardPageList(Integer pageNum, Integer pageSize, StorageSubsidyStandardQueryVO queryVO);

    List<StorageSubsidyStandardVO> getStorageSubsidyStandardList(StorageSubsidyStandardQueryVO standardVO);

    String getStorageSubsidyPeriod(StorageSubsidyQueryVO queryVO);

    boolean validPeriod(String period);

    ResponseWrapper saveStorageSubsidy(StorageSubsidyVO vo);

    ResponseWrapper updateStorageSubsidy(Integer type, StorageSubsidyVO vo);

    PageInfo<StorageSubsidyVO> getStorageSubsidyPageList(Integer pageNum, Integer pageSize, StorageSubsidyQueryVO queryVO);

    PageInfo<StorageSubsidyVO> getStorageSubsidyList(Integer pageNum, Integer pageSize, StorageSubsidyQueryVO queryVO);

    StorageSubsidyVO getStorageSubsidyInfo(String ssId);

    StorageSubsidySummaryVO generateStorageSubsidySummary( Integer dataType);

    ResponseWrapper saveStorageSubsidySummary(StorageSubsidySummaryVO storageSubsidySummaryVO);

    ResponseWrapper updateStorageSubsidySummary(Integer type,StorageSubsidySummaryVO storageSubsidySummaryVO);

    PageInfo<StorageSubsidySummaryVO> getStorageSubsidySummaryPageList(Integer pageNum, Integer pageSize, StorageSubsidySummaryQueryVO queryVO);

    StorageSubsidySummaryVO getStorageSubsidySummaryInfo(String id);

    int deletePurchaseStockSummary(String id);

    int deleteStorageSubsidySummary(String id);

    int saveEnterprise(EnterpriseVO enterpriseVO);

    int updateEnterprise(EnterpriseVO enterpriseVO);

    List<EnterpriseVO> getEnterpriseList(EnterpriseQueryVO queryVO);

    PageInfo<EnterpriseVO> getEnterprisePage(Integer pageNum, Integer pageSize, EnterpriseQueryVO queryVO);

    int deleteEnterprise(String ccqybm);

    boolean sortEnterprise(String enterpriseCode, Integer startIndex,Integer endIndex);

    ResponseWrapper updatePurchaseStockSummary(PurchaseStockSummaryVO summaryVO);

}
