package com.unis.ynls.irpt.server.service;


import java.util.List;

import com.unis.ynls.irpt.common.VO.BaseFilterVO;
import com.unis.ynls.irpt.common.VO.task.CompanyRptFilterVO;
import com.unis.ynls.irpt.common.VO.task.ReportInfoVO;
import com.unis.ynls.irpt.common.VO.task.RptListFilterVO;
import com.unis.ynls.irpt.common.VO.task.RptListVO;
import com.unis.ynls.irpt.common.VO.task.TaskFilterVO;

/**
 * @InterfaceName: TaskInfoService
 * @Description: IRPT报表管理
 * @author liyb
 * @version v1.0
 * @date 2018-12-27 14:37:36
 */
public interface TaskInfoService {
    /**
     * 查询指定报表已上报数量
     * @param taskFilterVO
     * @return int
     * @author liyb
     * @date 2018-12-27 14:46:58
     * @version v1.0
     */
    Integer queryReportByConditions(TaskFilterVO taskFilterVO);
    /**
     * 查询指定报表已上报数量
     * @param taskFilterVO
     * @return List<ReportInfoVO>
     * @author liyb
     * @date 2018-12-27 14:46:58
     * @version v1.0
     */
    List<ReportInfoVO> queryReportInfoByConditions(TaskFilterVO taskFilterVO);
    /**
     * 获取指定报表新增报表期
     * @param taskId I报表真实代码
     * @param unitCode 机构代码
     * @return String
     * @author liyb
     * @date 2019-01-25 15:42:28
     * @version v1.0
     */
    String queryReportBbqByTaskId(String taskId,String unitCode);
    /**
     * 查询指定条件下企业是否上报
     * @param companyRptFilterVO 参数：报表真实ID，报表期，企业统一社会信用代码
     * @return Integer
     * @author liyb
     * @date 2019-02-18 17:24:28
     * @version v1.0
     */
    Integer queryCompanyWhetherReport(CompanyRptFilterVO companyRptFilterVO);
    /**
     * 指定机构指定报表上报信息
     * @param rptListFilterVO
     * @return List<RptListVO>
     * @exception Exception
     * @author liyb
     * @date 2019-03-30 14:39:44
     * @version v1.0
     */
    List<RptListVO> findAllRptInfo(RptListFilterVO rptListFilterVO)  throws Exception ;

    /**
     * 指定机构指定报表上报信息---上集集团
     * @param rptListFilterVO
     * @return List<RptListVO>
     * @exception Exception
     * @author liyb
     * @date 2019-03-30 14:39:44
     * @version v1.0
     */
    List<RptListVO> findAllRptInfoShangJiJiTuan(RptListFilterVO rptListFilterVO) throws Exception ;


    /**
     * 指定报表指定报表期上报信息
     * @param rptListFilterVO
     * @return List<RptListVO>
     * @author liyb
     * @date 2019-04-30 14:45:33
     * @version v1.0
     */
    List<RptListVO> findRptInfoByBbqAndRptId(RptListFilterVO rptListFilterVO)throws Exception ;
    /**
     * 根据报表期、报表真实代码、机构代码查询对应报表填报或办理链接
     * @param baseFilterVO
     * @return String
     * @author liyb
     * @date 2019-05-07 13:46:36
     * @version v1.0
     */
    String findUrlByCondition(BaseFilterVO baseFilterVO,String pwd)throws Exception ;
}
