package com.unis.ynls.irpt.server.service.impl;

import com.github.pagehelper.PageInfo;
import com.unis.common.utils.ResponseWrapper;
import com.unis.ynls.irpt.common.VO.FinanceReportQueryVO;
import com.unis.ynls.irpt.common.VO.FinanceReportVO;
import com.unis.ynls.irpt.server.domain.FinanceReportDomain;
import com.unis.ynls.irpt.server.service.FinanceReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class FinanceReportServiceImpl implements FinanceReportService {

    @Autowired
    private FinanceReportDomain financeReportDomain;

    @Override
    public ResponseWrapper saveFinanceReport(String type, FinanceReportVO vo) {
        return financeReportDomain.saveFinanceReport(type,vo);
    }

    @Override
    public ResponseWrapper updateFinanceReport(FinanceReportVO vo) {
        return financeReportDomain.updateFinanceReport(vo);
    }

    @Override
    public PageInfo<FinanceReportVO> getFinanceReportPageList(String type, Integer pageNum, Integer pageSize, FinanceReportQueryVO queryVO) {
        return financeReportDomain.getFinanceReportPageList(type, pageNum, pageSize, queryVO);
    }

    @Override
    public FinanceReportVO getFinanceReportInfo(String id) {
        return financeReportDomain.getFinanceReportInfo(id);
    }

    @Override
    public int deleteFinanceReport(String id) {
        return financeReportDomain.deleteFinanceReport(id);
    }
}
