package com.unis.ynls.irpt.server.service.impl;

import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.ynls.irpt.common.VO.EconomicVO;
import com.unis.ynls.irpt.server.mapper.HighGradeMapper;
import com.unis.ynls.irpt.server.service.HighGradeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @Author ChenKai
 * @Date 2019/9/30 14:26
 * @Version 1.0
 */

@Service
@Slf4j
public class HighGradeServiceImpl  implements HighGradeService {

    @Autowired
    private HighGradeMapper highGradeMapper;

    @Override
    public PageInfo<List<EconomicVO>> findDetail(Integer pageNum, Integer pageSize, EconomicVO vo) {
        Page<List<EconomicVO>> listPage = PageHelper.startPage(pageNum, pageSize);
        List<EconomicVO> resultList= highGradeMapper.findDetail(vo);
        for (EconomicVO economicVO : resultList) {
            String nd = economicVO.getNd();
            String s = nd.substring(0, 4);
            String s1 = nd.substring(5, 6);
            Integer s2 = Integer.parseInt(s1);
            String jd="";
            String njd="";
            if (s2==1){
                jd=s+"年第一季度";
                economicVO.setNdmc(jd);
                njd=s+"0"+s2;
                economicVO.setNd(njd);
            }else if (s2==2){
                jd=s+"年第二季度";
                economicVO.setNdmc(jd);
                njd=s+"0"+s2;
                economicVO.setNd(njd);
            } else if (s2==3){
                jd=s+"年第三季度";
                economicVO.setNdmc(jd);
                njd=s+"0"+s2;
                economicVO.setNd(njd);
            }else {
                jd=s+"年第四季度";
                economicVO.setNdmc(jd);
                njd=s+"0"+s2;
                economicVO.setNd(njd);
            }

        }
        return listPage.toPageInfo();
    }

    @Override
    public PageInfo<List<EconomicVO>> findCollect(Integer pageNum, Integer pageSize, EconomicVO vo) {
        Page<List<EconomicVO>> listPage = PageHelper.startPage(pageNum, pageSize);
        List<EconomicVO> resultList= highGradeMapper.findCollect(vo);
        for (EconomicVO economicVO : resultList) {
            String nd = economicVO.getNd();
            String s = nd.substring(0, 4);
            String s1 = nd.substring(5, 6);
            Integer s2 = Integer.parseInt(s1);
            String jd="";
            String njd="";
            if (s2==1){
                jd=s+"年第一季度";
                economicVO.setNdmc(jd);
                njd=s+"0"+s2;
                economicVO.setNd(njd);
            }else if (s2==2){
                jd=s+"年第二季度";
                economicVO.setNdmc(jd);
                njd=s+"0"+s2;
                economicVO.setNd(njd);
            } else if (s2==3){
                jd=s+"年第三季度";
                economicVO.setNdmc(jd);
                njd=s+"0"+s2;
                economicVO.setNd(njd);
            }else {
                jd=s+"年第四季度";
                economicVO.setNdmc(jd);
                njd=s+"0"+s2;
                economicVO.setNd(njd);
            }

        }
        return listPage.toPageInfo();
    }
}
