package com.unis.ynls.irpt.server.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.ynls.irpt.common.VO.Report.*;
import com.unis.ynls.irpt.server.mapper.ReportMapper;
import com.unis.ynls.irpt.server.service.ReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public class ReportServiceImpl implements ReportService {
    @Autowired
    private ReportMapper reportMapper;
    @Override
    public PageInfo<LocalReservesReportVO> page(LocalReservesReportQueryVO vo, Integer pageNum, Integer pageSize) {
            PageHelper.startPage(pageNum, pageSize);
            List<LocalReservesReportVO> localReservesReportVOS =  reportMapper.page(vo);
            PageInfo<LocalReservesReportVO> PageInfoVO = new PageInfo<LocalReservesReportVO>(localReservesReportVOS);
    return PageInfoVO;
    }

    @Override
    public PageInfo<LossCalculationVO> lossCalculationPage(LossCalculationQueryVO vo, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<LossCalculationVO> lossCalculationVOS = reportMapper.lossCalculationPage(vo);
        PageInfo<LossCalculationVO> PageInfoVO = new PageInfo<>(lossCalculationVOS);
        return PageInfoVO;
    }

    @Override
    public PageInfo<CountryReservesReportVO> countryReservesReportPage(CountryReservesReportQueryVO vo, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<CountryReservesReportVO> countryReservesReportVOS = reportMapper.countryReservesReportPage(vo);
        PageInfo<CountryReservesReportVO> PageInfoVO = new PageInfo<>(countryReservesReportVOS);
        return PageInfoVO;
    }

    @Override
    public PageInfo<WheatProcurementVO> wheatProcurementPage(WheatProcurementQueryVO vo, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<WheatProcurementVO> wheatProcurementVOS = reportMapper.wheatProcurementPage(vo);
        PageInfo<WheatProcurementVO> PageInfoVO = new PageInfo<>(wheatProcurementVOS);
        return PageInfoVO;
    }

    @Override
    public PageInfo<GrainRotationVO> grainRotationPage(GrainRotationQueryVO vo, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<GrainRotationVO> grainRotationVOS = reportMapper.grainRotationPage(vo);
        PageInfo<GrainRotationVO> PageInfoVO = new PageInfo<>(grainRotationVOS);
        return PageInfoVO;
    }

    @Override
    public PageInfo<ActualInventoryVO> actualInventoryPage(ActualInventoryQueryVO vo, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<ActualInventoryVO> actualInventoryVOS = reportMapper.actualInventoryPage(vo);
        PageInfo<ActualInventoryVO> PageInfoVO = new PageInfo<>(actualInventoryVOS);
        return PageInfoVO;
    }

    @Override
    public PageInfo<BookInventoryVO> bookInventoryPage(BookInventoryQueryVO vo, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<BookInventoryVO> bookInventoryVOS = reportMapper.bookInventoryPage(vo);
        PageInfo<BookInventoryVO> PageInfoVO = new PageInfo<>(bookInventoryVOS);
        return PageInfoVO;
    }

    @Override
    public PageInfo<GrainReserveVO> grainReservePage(GrainReserveQueryVO vo, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<GrainReserveVO> grainReserveVOS = reportMapper.grainReservePage(vo);
        PageInfo<GrainReserveVO> PageInfoVO = new PageInfo<>(grainReserveVOS);
        return PageInfoVO;
    }

    @Override
    public PageInfo<OilReserveVO> oilReservePage(OilReserveQueryVO vo, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<OilReserveVO> oilReserveVOS = reportMapper.oilReservePage(vo);
        PageInfo<OilReserveVO> PageInfoVO = new PageInfo<>(oilReserveVOS);
        return PageInfoVO;
    }

    @Override
    public PageInfo<GrainOilRotationVO> grainOilRotationPage(GrainOilRotationQueryVO vo, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<GrainOilRotationVO> grainOilRotationVOS = reportMapper.grainOilRotationPage(vo);
        PageInfo<GrainOilRotationVO> PageInfoVO = new PageInfo<>(grainOilRotationVOS);
        return PageInfoVO;
    }

    @Override
    public PageInfo<LocalDrpVO> localDrpPage(LocalDrpQueryVO vo, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<LocalDrpVO> localDrpVOS = reportMapper.localDrpPage(vo);
        PageInfo<LocalDrpVO> PageInfoVO = new PageInfo<>(localDrpVOS);
        return PageInfoVO;
    }

    @Override
    public PageInfo<LocalDrpCollectVO> localDrpCollectPage(LocalDrpCollectQueryVO vo, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<LocalDrpCollectVO> localDrpCollectVOS = reportMapper.localDrpCollectPage(vo);
        PageInfo<LocalDrpCollectVO> PageInfoVO = new PageInfo<>(localDrpCollectVOS);
        return PageInfoVO;
    }

    @Override
    public PageInfo<StorageFeeSubsidyVO> storageFeeSubsidyPage(StorageFeeSubsidyQueryVO vo, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<StorageFeeSubsidyVO> storageFeeSubsidyVOS = reportMapper.storageFeeSubsidyPage(vo);
        PageInfo<StorageFeeSubsidyVO> PageInfoVO = new PageInfo<>(storageFeeSubsidyVOS);
        return PageInfoVO;
    }

    @Override
    public PageInfo<ApplicationSubsidyVO> applicationSubsidyPage(ApplicationSubsidyQueryVO vo, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<ApplicationSubsidyVO> applicationSubsidyVOS = reportMapper.applicationSubsidyPage(vo);
        PageInfo<ApplicationSubsidyVO> PageInfoVO = new PageInfo<>(applicationSubsidyVOS);
        return PageInfoVO;
    }

    @Override
    public PageInfo<SmokePackageInspectionVO> smokePackageInspectionPage(SmokePacageInspectionQueryVO vo, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<SmokePackageInspectionVO> smokePackageInspectionVOS = reportMapper.smokePackageInspectionPage(vo);
        PageInfo<SmokePackageInspectionVO> PageInfoVO = new PageInfo<>(smokePackageInspectionVOS);
        return PageInfoVO;
    }

    @Override
    public PageInfo<GrainBusinessVO> grainBusinessPage(GrainBusinessQueryVO vo, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<GrainBusinessVO> grainBusinessVOS = reportMapper.grainBusinessPage(vo);
        PageInfo<GrainBusinessVO> PageInfoVO = new PageInfo<>(grainBusinessVOS);
        return PageInfoVO;
    }

    @Override
    public PageInfo<OilBusinessVO> oilBusinessPage(OilBusinessQueryVO vo, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<OilBusinessVO> oilBusinessVOS = reportMapper.oilBusinessPage(vo);
        PageInfo<OilBusinessVO> PageInfoVO = new PageInfo<>(oilBusinessVOS);
        return PageInfoVO;
    }

    @Override
    public PageInfo<EmergencyManagementVO> emergencyManagementPage(EmergencyManagementQueryVO vo, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<EmergencyManagementVO> emergencyManagementVOS = reportMapper.emergencyManagementPage(vo);
        PageInfo<EmergencyManagementVO> PageInfoVO = new PageInfo<>(emergencyManagementVOS);
        return PageInfoVO;
    }

    @Override
    public PageInfo<SmokePackageCountVO> smokePackageCountPage(SmokePacageCountQueryVO vo, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<SmokePackageCountVO> smokePackageCountVOS = reportMapper.smokePackageCountPage(vo);
        PageInfo<SmokePackageCountVO> PageInfoVO = new PageInfo<>(smokePackageCountVOS);
        return PageInfoVO;
    }

    @Override
    public PageInfo<RiceProcurementVO> riceProcurementPage(RiceProcurementQueryVO vo, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<RiceProcurementVO> riceProcurementVOS = reportMapper.riceProcurementPage(vo);
        PageInfo<RiceProcurementVO> PageInfoVO = new PageInfo<>(riceProcurementVOS);
        return PageInfoVO;
    }

    @Override
    public PageInfo<PreApplicationSubsidyVO> preApplicationSubsidyPage(PreApplicationSubsidyQueryVO vo, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<PreApplicationSubsidyVO> preApplicationSubsidyVOS = reportMapper.preApplicationSubsidyPage(vo);
        PageInfo<PreApplicationSubsidyVO> PageInfoVO = new PageInfo<>(preApplicationSubsidyVOS);
        return PageInfoVO;
    }


}
