package com.unis.ynls.irpt.server.service.impl;

import com.github.pagehelper.PageInfo;
import com.unis.common.utils.ResponseWrapper;
import com.unis.ynls.irpt.common.VO.base.PageResult;
import com.unis.ynls.irpt.common.VO.reservereport.*;
import com.unis.ynls.irpt.server.domain.ReserveReportDomain;
import com.unis.ynls.irpt.server.service.ReserveReportService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.net.ssl.StandardConstants;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;


@Service
public class ReserveReportServiceImpl implements ReserveReportService {

    @Autowired
    private ReserveReportDomain reserveReportDomain;

    @Override
    public ResponseWrapper savePurchaseStock(PurchaseStockVO vo) {
        return reserveReportDomain.savePurchaseStock(vo);
    }

    @Override
    public ResponseWrapper getPeriod(PurchaseStockQueryVO queryVO) {
        return reserveReportDomain.getPeriod(queryVO);
    }

    @Override
    public ResponseWrapper updatePurchaseStock(Integer type, PurchaseStockVO vo) {
        return reserveReportDomain.updatePurchaseStock(type, vo);
    }

    @Override
    public PageInfo<PurchaseStockVO> getPurchaseStockPageList(Integer pageNum, Integer pageSize, PurchaseStockQueryVO queryVO) {
        return reserveReportDomain.getPurchaseStockPageList(pageNum, pageSize, queryVO);
    }

    @Override
    public PageInfo<PurchaseStockVO> getPurchaseStockList(Integer pageNum, Integer pageSize, PurchaseStockQueryVO queryVO) {
        return reserveReportDomain.getPurchaseStockList(pageNum, pageSize, queryVO);
    }

    @Override
    public PurchaseStockVO getPurchaseStockInfo(String psId) {
        return reserveReportDomain.getPurchaseStockInfo(psId);
    }

    @Override
    public List<PurchaseStockDetailVO> getPreviousStock(PurchaseStockQueryVO queryVO) {
        return reserveReportDomain.getPreviousStock(queryVO);
    }

    @Override
    public PurchaseStockSummaryVO generatePurchaseStockSummary(Integer dataType) {
        return reserveReportDomain.generatePurchaseStockSummary(dataType);
    }

    @Override
    public ResponseWrapper savePurchaseStockSummary(PurchaseStockSummaryVO summaryVO) {
        return reserveReportDomain.savePurchaseStockSummary(summaryVO);
    }

    @Override
    public PageInfo<PurchaseStockSummaryVO> getPurchaseStockSummaryPageList(Integer pageNum, Integer pageSize, PurchaseStockQueryVO queryVO) {
        return reserveReportDomain.getPurchaseStockSummaryPageList(pageNum, pageSize, queryVO);
    }

    @Override
    public PurchaseStockSummaryVO getPurchaseStockSummaryInfo(PurchaseStockQueryVO queryVO) {
        return reserveReportDomain.getPurchaseStockSummaryInfo(queryVO);
    }

    @Override
    public ResponseWrapper saveStorageSubsidyStandard(StorageSubsidyStandardVO standardVO) {
        return reserveReportDomain.saveStorageSubsidyStandard(standardVO);
    }

    @Override
    public int enableStorageSubsidy(String id) {
        return reserveReportDomain.enableStorageSubsidy(id);
    }

    @Override
    public ResponseWrapper updateStorageSubsidyStandard(StorageSubsidyStandardVO standardVO) {
        return reserveReportDomain.updateStorageSubsidyStandard(standardVO);
    }

    @Override
    public PageInfo<StorageSubsidyStandardVO> getStorageSubsidyStandardPageList(Integer pageNum, Integer pageSize, StorageSubsidyStandardQueryVO queryVO) {
        return reserveReportDomain.getStorageSubsidyStandardPageList(pageNum, pageSize, queryVO);
    }

    @Override
    public List<StorageSubsidyStandardVO> getStorageSubsidyStandardList(StorageSubsidyStandardQueryVO queryVO) {
        List<StorageSubsidyStandardVO> storageSubsidyStandardList = reserveReportDomain.getStorageSubsidyStandardList(queryVO);
        List<StorageSubsidyStandardVO> collect = new ArrayList<>();
        if (StringUtils.isNotBlank(queryVO.getSfyd()) && Objects.equals("1", queryVO.getSfyd())) {
            // 异地
            // 异地储存费补贴
            if (Objects.equals(0, queryVO.getStatus())) {
                collect = storageSubsidyStandardList.stream().filter(it -> Objects.equals(it.getTypeCode(), "12")).collect(Collectors.toList());
            }
            // 异地调节储备补贴
            if (Objects.equals(1, queryVO.getStatus())) {
                collect = storageSubsidyStandardList.stream().filter(it -> Objects.equals(it.getTypeCode(), "02")).collect(Collectors.toList());
            }
        } else {
            // 本地
            if (Objects.equals(0, queryVO.getStatus())) {
                collect = storageSubsidyStandardList.stream().filter(it -> Objects.equals(it.getTypeCode(), "11")).collect(Collectors.toList());
            }
            if (Objects.equals(1, queryVO.getStatus())) {
                collect = storageSubsidyStandardList.stream().filter(it -> Objects.equals(it.getTypeCode(), "01")).collect(Collectors.toList());
            }
        }
        if (queryVO.getStatus() == null) {
            return storageSubsidyStandardList;
        }
        return collect;
    }

    @Override
    public String getStorageSubsidyPeriod(StorageSubsidyQueryVO queryVO) {
        return reserveReportDomain.getStorageSubsidyPeriod(queryVO);
    }

    @Override
    public boolean validPeriod(String period) {
        return reserveReportDomain.validPeriod(period);
    }

    @Override
    public ResponseWrapper saveStorageSubsidy(StorageSubsidyVO vo) {
        return reserveReportDomain.saveStorageSubsidy(vo);
    }

    @Override
    public ResponseWrapper updateStorageSubsidy(Integer type, StorageSubsidyVO vo) {
        return reserveReportDomain.updateStorageSubsidy(type, vo);
    }

    @Override
    public PageInfo<StorageSubsidyVO> getStorageSubsidyPageList(Integer pageNum, Integer pageSize, StorageSubsidyQueryVO queryVO) {
        return reserveReportDomain.getStorageSubsidyPageList(pageNum, pageSize, queryVO);
    }

    @Override
    public PageInfo<StorageSubsidyVO> getStorageSubsidyList(Integer pageNum, Integer pageSize, StorageSubsidyQueryVO queryVO) {
        return reserveReportDomain.getStorageSubsidyList(pageNum, pageSize, queryVO);
    }

    @Override
    public StorageSubsidyVO getStorageSubsidyInfo(String ssId) {
        return reserveReportDomain.getStorageSubsidyInfo(ssId);
    }

    @Override
    public StorageSubsidySummaryVO generateStorageSubsidySummary(Integer dataType) {
        return reserveReportDomain.generateStorageSubsidySummary(dataType);
    }

    @Override
    public ResponseWrapper saveStorageSubsidySummary(StorageSubsidySummaryVO storageSubsidySummaryVO) {
        return reserveReportDomain.saveStorageSubsidySummary(storageSubsidySummaryVO);
    }

    @Override
    public ResponseWrapper updateStorageSubsidySummary(Integer type, StorageSubsidySummaryVO storageSubsidySummaryVO) {
        return reserveReportDomain.updateStorageSubsidySummary(type, storageSubsidySummaryVO);
    }

    @Override
    public PageInfo<StorageSubsidySummaryVO> getStorageSubsidySummaryPageList(Integer pageNum, Integer pageSize, StorageSubsidySummaryQueryVO queryVO) {
        return reserveReportDomain.getStorageSubsidySummaryPageList(pageNum, pageSize, queryVO);
    }

    @Override
    public StorageSubsidySummaryVO getStorageSubsidySummaryInfo(String id) {
        return reserveReportDomain.getStorageSubsidySummaryInfo(id);
    }

    @Override
    public int deletePurchaseStockSummary(String id) {
        return reserveReportDomain.deletePurchaseStockSummary(id);
    }

    @Override
    public int deleteStorageSubsidySummary(String id) {
        return reserveReportDomain.deleteStorageSubsidySummary(id);
    }

    @Override
    public int saveEnterprise(EnterpriseVO enterpriseVO) {
        return reserveReportDomain.saveEnterprise(enterpriseVO);
    }

    @Override
    public int updateEnterprise(EnterpriseVO enterpriseVO) {
        return reserveReportDomain.updateEnterprise(enterpriseVO);
    }

    @Override
    public List<EnterpriseVO> getEnterpriseList(EnterpriseQueryVO queryVO) {
        return reserveReportDomain.getEnterpriseList(queryVO);
    }

    @Override
    public PageInfo<EnterpriseVO> getEnterprisePage(Integer pageNum, Integer pageSize, EnterpriseQueryVO queryVO) {
        return reserveReportDomain.getEnterprisePage(pageNum, pageSize, queryVO);
    }

    @Override
    public int deleteEnterprise(String ccqybm) {
        return reserveReportDomain.deleteEnterprise(ccqybm);
    }

    @Override
    public boolean sortEnterprise(String enterpriseCode, Integer startIndex, Integer endIndex) {
        return reserveReportDomain.sortEnterprise(enterpriseCode, startIndex, endIndex);
    }

    @Override
    public ResponseWrapper updatePurchaseStockSummary(PurchaseStockSummaryVO summaryVO) {
        return reserveReportDomain.updatePurchaseStockSummary(summaryVO);
    }

}
