package com.unis.ynls.irpt.server.service.impl;

import com.github.pagehelper.PageInfo;
import com.unis.ynls.irpt.common.VO.RotateProtocolVO;
import com.unis.ynls.irpt.common.VO.rotationreport.*;
import com.unis.ynls.irpt.server.domain.RotationReportDomain;
import com.unis.ynls.irpt.server.entity.RotatePlanProtocolDetailVO;
import com.unis.ynls.irpt.server.entity.RotatePlanProtocolVO;
import com.unis.ynls.irpt.server.service.RotationReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class RotationReportServiceImpl implements RotationReportService {

    @Autowired
    private RotationReportDomain rotationReportDomain;

    @Override
    public Integer saveRotationSubsidyRate(RotationSubsidyRateVO vo) {
        return rotationReportDomain.saveRotationSubsidyRate(vo);
    }

    @Override
    public RotationSubsidyRateVO getEnabledByPzbm(String pzbm, String ttshxydm) {
        return rotationReportDomain.getEnabledByPzbm(pzbm, ttshxydm);
    }

    @Override
    public List<RotationSubsidyRateVO> getRotationSubsidyRateList() {
        return rotationReportDomain.getRotationSubsidyRateList();
    }

    @Override
    public Boolean saveRotationSubsidy(String type, RotationSubsidyVO vo) {
        return rotationReportDomain.saveRotationSubsidy(type, vo);
    }

    @Override
    public Boolean updateRotationSubsidy(String type, RotationSubsidyVO vo) {
        return rotationReportDomain.updateRotationSubsidy(type, vo);
    }

    @Override
    public PageInfo<RotationSubsidyVO> getRotationSubsidyPageList(Integer pageNum, Integer pageSize, RotationSubsidyQueryVO queryVO) {
        return rotationReportDomain.getRotationSubsidyPageList(pageNum, pageSize, queryVO);
    }

    @Override
    public RotationSubsidyVO getRotationSubsidyInfo(String rsId) {
        return rotationReportDomain.getRotationSubsidyInfo(rsId);
    }

    @Override
    public List<RotationSubsidyVO> getRotationSubsidyApprovalList(String type) {
        return rotationReportDomain.getRotationSubsidyApprovalList(type);
    }

    @Override
    public RotationSubsidySummaryVO initRotationSubsidySummary(String type, List<String> rotationSubsidyIds) {
        return rotationReportDomain.initRotationSubsidySummary(type, rotationSubsidyIds);
    }

    @Override
    public Integer saveRotationSubsidySummary(String type, RotationSubsidySummaryVO summaryVO) {
        return rotationReportDomain.saveRotationSubsidySummary(type, summaryVO);
    }

    @Override
    public Integer updateRotationSubsidySummary(Integer type, RotationSubsidySummaryVO summaryVO) {
        return rotationReportDomain.updateRotationSubsidySummary(type, summaryVO);
    }

    @Override
    public PageInfo<RotationSubsidySummaryVO> getRotationSubsidySummaryPageList(Integer pageNum, Integer pageSize, RotationSubsidySummaryQueryVO queryVO) {
        return rotationReportDomain.getRotationSubsidySummaryPageList(pageNum, pageSize, queryVO);
    }

    @Override
    public RotationSubsidySummaryVO getRotationSubsidySummaryInfo(String id) {
        return rotationReportDomain.getRotationSubsidySummaryInfo(id);
    }

    @Override
    public Integer deleteRotationSubsidySummary(String id) {
        return rotationReportDomain.deleteRotationSubsidySummary(id);
    }

    @Override
    public PageInfo<RotationSubsidyVO> getRotationSubsidyList(Integer pageNum, Integer pageSize, RotationSubsidyQueryVO queryVO) {
        return rotationReportDomain.getRotationSubsidyList(pageNum, pageSize, queryVO);
    }

    @Override
    public List<RotationSubsidyGrainVO> getRotationGrain(String ccqybm, String pzbm) {
        return rotationReportDomain.getRotationSubsidyGrainList(ccqybm, pzbm);
    }

    @Override
    public List<RotatePlanProtocolVO> getRotationProtocol(String ccqybm) {
        return rotationReportDomain.getRotationProtocol(ccqybm);
    }

    @Override
    public List<RotationSubsidyGrainVO> getRotationProtocolDetail(RotateProtocolVO rotateProtocolVO) {
        return rotationReportDomain.getRotationProtocolDetail(rotateProtocolVO);
    }

}
