package com.unis.ynls.irpt.server.service.impl;

import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.ynls.irpt.common.VO.SafetyQueryVO;
import com.unis.ynls.irpt.common.VO.SafetyVO;
import com.unis.ynls.irpt.server.mapper.SafeMapper;
import com.unis.ynls.irpt.server.service.SafeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author ChenKai
 * @Date 2019/10/18 14:19
 * @Version 1.0
 */
@Service
@Slf4j
public class SafeServiceImpl implements SafeService {

    @Autowired
    private SafeMapper safeMapper;

    @Override
    public PageInfo<List<SafetyVO>> findSafeInfo(Integer pageNum, Integer pageSize, SafetyQueryVO vo) {
        Page<List<SafetyVO>> listPage = PageHelper.startPage(pageNum, pageSize);
        List<SafetyVO> resultList= safeMapper.findSafeInfo(vo);
        return listPage.toPageInfo();
    }

    @Override
    public String findMaxId(String s) {
        return safeMapper.findMaxId(s);
    }

    @Override
    public int deleteByBbq(String bbq) {
        return safeMapper.deleteByBbq(bbq);
    }
}
