package com.unis.ynls.irpt.server.service.impl;
import com.github.pagehelper.PageInfo;
import com.unis.ynls.irpt.common.VO.StatisticalQueryVO;
import com.unis.ynls.irpt.common.VO.StatisticalVO;
import com.unis.ynls.irpt.server.domain.StatisticalDomain;
import com.unis.ynls.irpt.server.service.StatisticalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author 张琪
 * @version 1.0
 */
@Service
public class StatisticalServiceImp  implements StatisticalService{
	
	@Autowired
	private StatisticalDomain statisticalDomain;

	/**
	* <p>Title: getStatisticalTablePageList</p>
	* <p>Description:条件分页查询 </p>
	* @param statisticalQueryVO
	* @param pageNum
	* @param pageSize
	* @return
	* @see com.unis.ynls.irpt.server.service.StatisticalService#getStatisticalTablePageList(com.unis.ynls.irpt.common.VO.StatisticalQueryVO, java.lang.Integer, java.lang.Integer)
	 */
	@Override
	public PageInfo<StatisticalVO> getStatisticalTablePageList(StatisticalQueryVO statisticalQueryVO, Integer pageNum,	Integer pageSize) {
		return statisticalDomain.findPageList(statisticalQueryVO,pageNum,pageSize);
	}

	/**
	* <p>Title: statisticalInto</p>
	* <p>Description: 报表信息录入</p>
	* @param statisticalVO
	* @return
	* @see com.unis.ynls.irpt.server.service.StatisticalService#statisticalInto(com.unis.ynls.irpt.common.VO.StatisticalVO)
	*/
	@Override
	public int statisticalInto(StatisticalVO statisticalVO) {
		return statisticalDomain.statisticalInto(statisticalVO);
	}

	/** (非 Javadoc)
	* <p>Title: statisticalDelete</p>
	* <p>Description: 报表信息删除【执法督查机构、人员和经费情况统计表】</p>
	* @param statisticalVO
	* @return
	* @see com.unis.ynls.irpt.server.service.StatisticalService#statisticalDelete(com.unis.ynls.irpt.common.VO.StatisticalVO)
	*/
	@Override
	public int statisticalDelete(StatisticalVO statisticalVO) {
		return statisticalDomain.statisticalDelete(statisticalVO);
	}

	/** (非 Javadoc)
	* <p>Title: maxCodeById</p>
	* <p>Description: </p>
	* @param jhId
	* @return
	* @see com.unis.ynls.irpt.server.service.StatisticalService#maxCodeById(java.lang.String)
	*/
	@Override
	public String maxCodeById(String jhId) {
		return statisticalDomain.maxCodeById(jhId);
	}

	@Override
	public String findMaxId() {
		return statisticalDomain.findMaxId();
	}


}
